 
package abcm.db.components.defaults.tables;  
 
import abcm.db.components.ABCMdbField;
import abcm.db.components.tables.ABCMCommandCategoriesTable;
 
public class ABCMDefaultCommandCategoriesTable extends ABCMCommandCategoriesTable {

  protected ABCMdbField PK, NAME, DESC, ORDER;

  public ABCMDefaultCommandCategoriesTable(){
    super("tblCommandCategories");
    PK    = createAndAddField("intCommandCategoryID", INT,                true);
    NAME  = createAndAddField("vcharCategoryName",    false, VCHAR50      );
    DESC  = createAndAddField("txtDescription",       false, TEXT             );
    ORDER = createAndAddField("intOrder",             false, INT              );

    addIndex(new ABCMdbIndex("NoDupCommandCats", new String[]{ getField_Name().getName() }));
    addIndex(new ABCMdbIndex("NoDupCommandCatOrder", new String[]{ getField_Order().getName() }));
  }

  public ABCMdbField getField_PK(){          return PK;     }
  public ABCMdbField getField_Name(){        return NAME;   }
  public ABCMdbField getField_Description(){ return DESC;   }
  public ABCMdbField getField_Order(){       return ORDER;  }
 
}
 
