 
package abcm.db.components.defaults.tables;  
 
import abcm.db.components.ABCMdbField;
import abcm.db.components.tables.ABCMTermsTable;
 
public class ABCMDefaultTermsTable extends ABCMTermsTable {

  protected ABCMdbField PK, TERM, ANCHOR, DESC;

  public ABCMDefaultTermsTable(){
    super("tblTerms");
    PK     = createAndAddField("intTermID",      INT,                true);
    TERM   = createAndAddField("vcharTerm",      false, VCHAR50      );
    ANCHOR = createAndAddField("vcharAnchor",    false, VCHAR10     );
    DESC   = createAndAddField("txtDescription", false, TEXT             );

    addIndex(new ABCMdbIndex("NoDupTerms", new String[]{ getField_Term().getName() }));

  }

  public ABCMdbField getField_PK(){          return PK;      }
  public ABCMdbField getField_Term(){        return TERM;    }
  public ABCMdbField getField_Anchor(){      return ANCHOR;  }
  public ABCMdbField getField_Description(){ return DESC;    }
 
}
 
