
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMAnalysesAndRunsView;

public class ABCMDefaultAnalysesAndRunsView extends ABCMAnalysesAndRunsView {

  protected ABCMdbField ANALYSIS_PK, SIMULATIONRUN_PK;

  public ABCMDefaultAnalysesAndRunsView(AbstractABCMDBGateway db){
    super("AnalysesAndRuns", db);
    ANALYSIS_PK      = addField(new ABCMdbField("intAnalysisID"));
    SIMULATIONRUN_PK = addField(new ABCMdbField("lngSimulationRunID"));
  }

  public ABCMdbField getField_Analysis_PK(){     return ANALYSIS_PK;      }
  public ABCMdbField getField_SimulationRun_PK(){return SIMULATIONRUN_PK; }

}
