
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMCanBeEdited_HistoriesView;

public class ABCMDefaultCanBeEdited_HistoriesView extends ABCMCanBeEdited_HistoriesView {

  protected ABCMdbField HISTORY_PK, COUNTOFDATAMODELS, COUNTOFCOMMENTS;

  public ABCMDefaultCanBeEdited_HistoriesView(AbstractABCMDBGateway db){
    super("CanBeEdited_Histories", db);
    HISTORY_PK        = addField(new ABCMdbField("intHistoryID"));
    COUNTOFDATAMODELS = addField(new ABCMdbField("CountOfDataModels"));
    COUNTOFCOMMENTS   = addField(new ABCMdbField("CountOfComments"));
  }

  public ABCMdbField getField_History_PK(){       return HISTORY_PK;        }
  public ABCMdbField getField_CountOfDataModels(){return COUNTOFDATAMODELS; }
  public ABCMdbField getField_CountOfComments(){  return COUNTOFCOMMENTS;   }

}
