
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMCodeModeOptionsListedView;

public class ABCMDefaultCodeModeOptionsListedView extends ABCMCodeModeOptionsListedView {

  protected ABCMdbField CODEMODELOPTIONVALUE_PK, CODEMODELOPTIONDOMAIN_NAME, CODEMODELOPTIONVALUE_NAME, CODEMODELOPTIONVALUE_VALUE, CODEMODELOPTIONDOMAIN_PK, CODEMODELOPTIONDOMAIN_ID;

  public ABCMDefaultCodeModeOptionsListedView(AbstractABCMDBGateway db){
    super("CodeModeOptionsListed", db);
    CODEMODELOPTIONVALUE_PK    = addField(new ABCMdbField("intCodeModelOptionValueID"));
    CODEMODELOPTIONDOMAIN_NAME = addField(new ABCMdbField("vcharDomainName"));
    CODEMODELOPTIONVALUE_NAME  = addField(new ABCMdbField("varCharOptionValueName"));
    CODEMODELOPTIONVALUE_VALUE = addField(new ABCMdbField("intOptionValue"));
    CODEMODELOPTIONDOMAIN_PK   = addField(new ABCMdbField("intCodeModelOptionDomainID"));
    CODEMODELOPTIONDOMAIN_ID   = addField(new ABCMdbField("vcharInCodeDomainIDString"));
  }

  public ABCMdbField getField_CodeModelOptionValue_PK(){   return CODEMODELOPTIONVALUE_PK;    }
  public ABCMdbField getField_CodeModelOptionDomain_Name(){return CODEMODELOPTIONDOMAIN_NAME; }
  public ABCMdbField getField_CodeModelOptionValue_Name(){ return CODEMODELOPTIONVALUE_NAME;  }
  public ABCMdbField getField_CodeModelOptionValue_Value(){return CODEMODELOPTIONVALUE_VALUE; }
  public ABCMdbField getField_CodeModelOptionDomain_PK(){  return CODEMODELOPTIONDOMAIN_PK;   }
  public ABCMdbField getField_CodeModelOptionDomain_ID(){  return CODEMODELOPTIONDOMAIN_ID;   }

}
