
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMCodeModelOptionDomainsAndValuesView;

public class ABCMDefaultCodeModelOptionDomainsAndValuesView extends ABCMCodeModelOptionDomainsAndValuesView {

  protected ABCMdbField CODEMODELS_PK, CODEMODELOPTIONDOMAIN_PK, CODEMODELDOMAIN_NAME, CODEMODELDOMAIN_DESC, CODEMODELOPTIONVALUE_NAME, CODEMODELOPTIONVALUE_PK, CODEMODELOPTIONVALUE_CODE, CODEMODELOPTIONVALUE_DESC;

  public ABCMDefaultCodeModelOptionDomainsAndValuesView(AbstractABCMDBGateway db){
    super("CodeModelOptionDomainsAndValues", db);
    CODEMODELS_PK             = addField(new ABCMdbField("intCodeModelID"));
    CODEMODELOPTIONDOMAIN_PK  = addField(new ABCMdbField("intCodeModelOptionDomainID"));
    CODEMODELDOMAIN_NAME      = addField(new ABCMdbField("vcharDomainName"));
    CODEMODELDOMAIN_DESC      = addField(new ABCMdbField("txtDescription"));
    CODEMODELOPTIONVALUE_NAME = addField(new ABCMdbField("varCharOptionValueName"));
    CODEMODELOPTIONVALUE_PK   = addField(new ABCMdbField("intOptionValue"));
    CODEMODELOPTIONVALUE_CODE = addField(new ABCMdbField("txtCode"));
    CODEMODELOPTIONVALUE_DESC = addField(new ABCMdbField("txtCodeModelOptionValueDesc"));
  }

  public ABCMdbField getField_CodeModels_PK(){            return CODEMODELS_PK;             }
  public ABCMdbField getField_CodeModelOptionDomain_PK(){ return CODEMODELOPTIONDOMAIN_PK;  }
  public ABCMdbField getField_CodeModelDomain_Name(){     return CODEMODELDOMAIN_NAME;      }
  public ABCMdbField getField_CodeModelDomain_Desc(){     return CODEMODELDOMAIN_DESC;      }
  public ABCMdbField getField_CodeModelOptionValue_Name(){return CODEMODELOPTIONVALUE_NAME; }
  public ABCMdbField getField_CodeModelOptionValue_PK(){  return CODEMODELOPTIONVALUE_PK;   }
  public ABCMdbField getField_CodeModelOptionValue_Code(){return CODEMODELOPTIONVALUE_CODE; }
  public ABCMdbField getField_CodeModelOptionValue_Desc(){return CODEMODELOPTIONVALUE_DESC; }

}
