
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMCodeModelsAndAllOptionsView;

public class ABCMDefaultCodeModelsAndAllOptionsView extends ABCMCodeModelsAndAllOptionsView {

  protected ABCMdbField CODEMODEL_PK, CODEMODELOPTIONDOMAIN_PK, CODEMODELDOMAIN_NAME, 
     CODEMODELDOMAIN_DESC, CODEMODELDOMAIN_ID, CODEMODEL_TITLE, RESEARCHER_PK, 
     CODEMODEL_DATECREATED, CODEMODEL_DESC;

  public ABCMDefaultCodeModelsAndAllOptionsView(AbstractABCMDBGateway db){
    super("CodeModelsAndAllOptions", db);
    CODEMODEL_PK             = addField(new ABCMdbField("intCodeModelID"));
    CODEMODELOPTIONDOMAIN_PK = addField(new ABCMdbField("intCodeModelOptionDomainID"));
    CODEMODELDOMAIN_NAME     = addField(new ABCMdbField("vcharDomainName"));
    CODEMODELDOMAIN_DESC     = addField(new ABCMdbField("txtDescription"));
    CODEMODELDOMAIN_ID       = addField(new ABCMdbField("vcharInCodeDomainIDString"));
    CODEMODEL_TITLE          = addField(new ABCMdbField("vcharCodeModelTitle"));
    RESEARCHER_PK            = addField(new ABCMdbField("intResearcherID"));
    CODEMODEL_DATECREATED    = addField(new ABCMdbField("dteDateCreated"));
    CODEMODEL_DESC           = addField(new ABCMdbField("ModelDescription"));
  }

  public ABCMdbField getField_CodeModel_PK(){            return CODEMODEL_PK;             }
  public ABCMdbField getField_CodeModelOptionDomain_PK(){return CODEMODELOPTIONDOMAIN_PK; }
  public ABCMdbField getField_CodeModelDomain_Name(){    return CODEMODELDOMAIN_NAME;     }
  public ABCMdbField getField_CodeModelDomain_Desc(){    return CODEMODELDOMAIN_DESC;     }
  public ABCMdbField getField_CodeModelDomain_ID(){      return CODEMODELDOMAIN_ID;       }
  public ABCMdbField getField_CodeModel_Title(){         return CODEMODEL_TITLE;          }
  public ABCMdbField getField_Researcher_PK(){           return RESEARCHER_PK;            }
  public ABCMdbField getField_CodeModel_DateCreated(){   return CODEMODEL_DATECREATED;    }
  public ABCMdbField getField_CodeModel_Desc(){          return CODEMODEL_DESC;           }

}
