
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMCodeModelsAndResearchersView;

public class ABCMDefaultCodeModelsAndResearchersView extends ABCMCodeModelsAndResearchersView {

  protected ABCMdbField CODEMODEL_PK, CODEMODEL_TITLE, CODEMODEL_DATECREATED, CODEMODEL_DESC, RESEARCHER_NAME, CANBEEDITED;

  public ABCMDefaultCodeModelsAndResearchersView(AbstractABCMDBGateway db){
    super("CodeModelsAndResearchers", db);
    CODEMODEL_PK          = addField(new ABCMdbField("intCodeModelID"));
    CODEMODEL_TITLE       = addField(new ABCMdbField("vcharCodeModelTitle"));
    CODEMODEL_DATECREATED = addField(new ABCMdbField("dteDateCreated"));
    CODEMODEL_DESC        = addField(new ABCMdbField("txtDescription"));
    RESEARCHER_NAME       = addField(new ABCMdbField("vcharResearcherName"));
    CANBEEDITED           = addField(new ABCMdbField("CanBeEdited"));
  }

  public ABCMdbField getField_CodeModel_PK(){         return CODEMODEL_PK;          }
  public ABCMdbField getField_CodeModel_Title(){      return CODEMODEL_TITLE;       }
  public ABCMdbField getField_CodeModel_DateCreated(){return CODEMODEL_DATECREATED; }
  public ABCMdbField getField_CodeModel_Desc(){       return CODEMODEL_DESC;        }
  public ABCMdbField getField_Researcher_Name(){      return RESEARCHER_NAME;       }
  public ABCMdbField getField_CanBeEdited(){          return CANBEEDITED;           }

}
