
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMCodeModelsDomainsAndOptionsView;

public class ABCMDefaultCodeModelsDomainsAndOptionsView extends ABCMCodeModelsDomainsAndOptionsView {

  protected ABCMdbField CODEMODELOPTIONDOMAIN_ID, CODEMODELOPTIONDOMAIN_NAME, CODEMODELOPTIONVALUE_NAME, CODEMODELOPTIONVALUE_VALUE;

  public ABCMDefaultCodeModelsDomainsAndOptionsView(AbstractABCMDBGateway db){
    super("CodeModelsDomainsAndOptions", db);
    CODEMODELOPTIONDOMAIN_ID   = addField(new ABCMdbField("vcharInCodeDomainIDString"));
    CODEMODELOPTIONDOMAIN_NAME = addField(new ABCMdbField("vcharDomainName"));
    CODEMODELOPTIONVALUE_NAME  = addField(new ABCMdbField("varCharOptionValueName"));
    CODEMODELOPTIONVALUE_VALUE = addField(new ABCMdbField("intOptionValue"));
  }

  public ABCMdbField getField_CodeModelOptionDomain_ID(){  return CODEMODELOPTIONDOMAIN_ID;   }
  public ABCMdbField getField_CodeModelOptionDomain_Name(){return CODEMODELOPTIONDOMAIN_NAME; }
  public ABCMdbField getField_CodeModelOptionValue_Name(){ return CODEMODELOPTIONVALUE_NAME;  }
  public ABCMdbField getField_CodeModelOptionValue_Value(){return CODEMODELOPTIONVALUE_VALUE; }

}
