
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMDataModelsWithNamesOfElementsView;

public class ABCMDefaultDataModelsWithNamesOfElementsView extends ABCMDataModelsWithNamesOfElementsView {

  protected ABCMdbField TRUTHVALUE_PK, DATAMODEL_PK, DATAMODEL_NAME, DATAMODEL_DESC, DATAMODEL_DATECREATED, HISTORY_TITLE, SIMULATIONCONFIGURATION_NAME, RESEARCHER_NAME, HISTORY_PK, SIMULATIONCONFIGURATION_PK, CANBEEDITED, COMBINEDTRUTHVALUE, TRUTHVALUE;

  public ABCMDefaultDataModelsWithNamesOfElementsView(AbstractABCMDBGateway db){
    super("DataModelsWithNamesOfElements", db);
    TRUTHVALUE_PK                = addField(new ABCMdbField("intTruthValue"));
    DATAMODEL_PK                 = addField(new ABCMdbField("intDataModelID"));
    DATAMODEL_NAME               = addField(new ABCMdbField("varcharDataModelName"));
    DATAMODEL_DESC               = addField(new ABCMdbField("txtDescription"));
    DATAMODEL_DATECREATED        = addField(new ABCMdbField("dteDateCreated"));
    HISTORY_TITLE                = addField(new ABCMdbField("vcharHistoryTitle"));
    SIMULATIONCONFIGURATION_NAME = addField(new ABCMdbField("vcharSimConfigName"));
    RESEARCHER_NAME              = addField(new ABCMdbField("vcharResearcherName"));
    HISTORY_PK                   = addField(new ABCMdbField("intHistoryID"));
    SIMULATIONCONFIGURATION_PK   = addField(new ABCMdbField("intSimulationConfigurationID"));
    CANBEEDITED                  = addField(new ABCMdbField("CanBeEdited"));
    COMBINEDTRUTHVALUE           = addField(new ABCMdbField("combinedTruthValue"));
    TRUTHVALUE                   = addField(new ABCMdbField("txtTruthValue"));
  }

  public ABCMdbField getField_TruthValue_PK(){               return TRUTHVALUE_PK;                }
  public ABCMdbField getField_DataModel_PK(){                return DATAMODEL_PK;                 }
  public ABCMdbField getField_DataModel_Name(){              return DATAMODEL_NAME;               }
  public ABCMdbField getField_DataModel_Desc(){              return DATAMODEL_DESC;               }
  public ABCMdbField getField_DataModel_DateCreated(){       return DATAMODEL_DATECREATED;        }
  public ABCMdbField getField_History_Title(){               return HISTORY_TITLE;                }
  public ABCMdbField getField_SimulationConfiguration_Name(){return SIMULATIONCONFIGURATION_NAME; }
  public ABCMdbField getField_Researcher_Name(){             return RESEARCHER_NAME;              }
  public ABCMdbField getField_History_PK(){                  return HISTORY_PK;                   }
  public ABCMdbField getField_SimulationConfiguration_PK(){  return SIMULATIONCONFIGURATION_PK;   }
  public ABCMdbField getField_CanBeEdited(){                 return CANBEEDITED;                  }
  public ABCMdbField getField_CombinedTruthValue(){          return COMBINEDTRUTHVALUE;           }
  public ABCMdbField getField_TruthValue(){                  return TRUTHVALUE;                   }

}
