
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMHistoriesInDataModelsView;

public class ABCMDefaultHistoriesInDataModelsView extends ABCMHistoriesInDataModelsView {

  protected ABCMdbField HISTORY_PK, COUNTOFDATAMODELS;

  public ABCMDefaultHistoriesInDataModelsView(AbstractABCMDBGateway db){
    super("HistoriesInDataModels", db);
    HISTORY_PK        = addField(new ABCMdbField("intHistoryID"));
    COUNTOFDATAMODELS = addField(new ABCMdbField("CountOfDataModels"));
  }

  public ABCMdbField getField_History_PK(){       return HISTORY_PK;        }
  public ABCMdbField getField_CountOfDataModels(){return COUNTOFDATAMODELS; }

}
