
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMHistoriesNarrativesAndResearchersView;

public class ABCMDefaultHistoriesNarrativesAndResearchersView extends ABCMHistoriesNarrativesAndResearchersView {

  protected ABCMdbField HISTORY_PK, NARRATIVE_NAME, NARRATIVE_DESC, RESEARCHER_PK, NARRATIVE_STARTBASEDATE, NARRATIVE_BASEDATE, 
              NARRATIVE_DATECREATED, RESEARCHER_NAME, NARRATIVE_ORDER, NARRATIVE_PK, HISTORY_NAME;

  public ABCMDefaultHistoriesNarrativesAndResearchersView(AbstractABCMDBGateway db){
    super("HistoriesNarrativesAndResearchers", db);
    HISTORY_PK              = addField(new ABCMdbField("intHistoryID"));
    NARRATIVE_NAME          = addField(new ABCMdbField("charNarrativeName"));
    NARRATIVE_DESC          = addField(new ABCMdbField("txtDescription"));
    RESEARCHER_PK           = addField(new ABCMdbField("intResearcherID"));
    NARRATIVE_STARTBASEDATE = addField(new ABCMdbField("dblStartBaseDate"));
    NARRATIVE_BASEDATE      = addField(new ABCMdbField("dblBaseDate"));
    NARRATIVE_DATECREATED   = addField(new ABCMdbField("dteDateCreated"));
    RESEARCHER_NAME         = addField(new ABCMdbField("vcharResearcherName"));
    NARRATIVE_ORDER         = addField(new ABCMdbField("intOrder"));
    NARRATIVE_PK            = addField(new ABCMdbField("intNarrativeID"));
    HISTORY_NAME            = addField(new ABCMdbField("vcharHistoryTitle"));
  }

  public ABCMdbField getField_History_PK(){             return HISTORY_PK;              }
  public ABCMdbField getField_Narrative_Name(){         return NARRATIVE_NAME;          }
  public ABCMdbField getField_Narrative_Desc(){         return NARRATIVE_DESC;          }
  public ABCMdbField getField_Researcher_PK(){          return RESEARCHER_PK;           }
  public ABCMdbField getField_Narrative_StartBaseDate(){return NARRATIVE_STARTBASEDATE; }
  public ABCMdbField getField_Narrative_BaseDate(){     return NARRATIVE_BASEDATE;      }
  public ABCMdbField getField_Narrative_DateCreated(){  return NARRATIVE_DATECREATED;   }
  public ABCMdbField getField_Researcher_Name(){        return RESEARCHER_NAME;         }
  public ABCMdbField getField_Narrative_Order(){        return NARRATIVE_ORDER;         }
  public ABCMdbField getField_Narrative_PK(){           return NARRATIVE_PK;            }
  public ABCMdbField getField_History_Name(){           return HISTORY_NAME;            }

}
