
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMJournalEntriesAndResearchersView;

public class ABCMDefaultJournalEntriesAndResearchersView extends ABCMJournalEntriesAndResearchersView {

  protected ABCMdbField JOURNALENTRY_PK, JOURNALENTRY_DATEMADE, JOURNALENTRY_ENTRY, RESEARCHER_PK, RESEARCHER_NAME;

  public ABCMDefaultJournalEntriesAndResearchersView(AbstractABCMDBGateway db){
    super("JournalEntriesAndResearchers", db);
    JOURNALENTRY_PK       = addField(new ABCMdbField("intJournalEntryID"));
    JOURNALENTRY_DATEMADE = addField(new ABCMdbField("dteEntryMade"));
    JOURNALENTRY_ENTRY    = addField(new ABCMdbField("txtEntry"));
    RESEARCHER_PK         = addField(new ABCMdbField("intResearcherID"));
    RESEARCHER_NAME       = addField(new ABCMdbField("vcharResearcherName"));
  }

  public ABCMdbField getField_JournalEntry_PK(){      return JOURNALENTRY_PK;       }
  public ABCMdbField getField_JournalEntry_DateMade(){return JOURNALENTRY_DATEMADE; }
  public ABCMdbField getField_JournalEntry_Entry(){   return JOURNALENTRY_ENTRY;    }
  public ABCMdbField getField_Researcher_PK(){        return RESEARCHER_PK;         }
  public ABCMdbField getField_Researcher_Name(){      return RESEARCHER_NAME;       }

}
