package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMNarrativeArgumentsView;

public class ABCMDefaultNarrativeArgumentsView extends ABCMNarrativeArgumentsView {

  protected ABCMdbField PK, COMMAND_FK, COMMAND, ARG_NO, ARG_NAME; 
  
  public ABCMDefaultNarrativeArgumentsView(AbstractABCMDBGateway db){
    super("NarrativeArguments", db);
    PK          = addField(new ABCMdbField("intNarrativeCommandArgID")); 
    COMMAND_FK  = addField(new ABCMdbField("intNarrativeCommandID"));
    COMMAND     = addField(new ABCMdbField("charNarrativeCommand"));
    ARG_NO      = addField(new ABCMdbField("intArgNo"));
    ARG_NAME    = addField(new ABCMdbField("vcharArgName"));    
  }
  
  public ABCMdbField getField_PK() {           return PK;           }
  public ABCMdbField getField_CommandFK() {    return COMMAND_FK;   }
  public ABCMdbField getField_Command() {      return COMMAND;      }
  public ABCMdbField getField_ArgNo() {        return ARG_NO;       }
  public ABCMdbField getField_ArgName() {      return ARG_NAME;     }
  
}
