
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMNarrativeCommandsByCategoryView;

public class ABCMDefaultNarrativeCommandsByCategoryView extends ABCMNarrativeCommandsByCategoryView {

  protected ABCMdbField COMMANDCATEGORY_NAME, COMMANDCATEGORY_DESC, COMMANDCATEGORY_ORDER, COMMAND, NUMBEROFARGUMENTS, COMMAND_DESC, COMMANDLINEOONLY, PROBE, INSTRUCTIONS, NARRATIVECOMMAND_PK, COMMANDCATEGORY_PK;

  public ABCMDefaultNarrativeCommandsByCategoryView(AbstractABCMDBGateway db){
    super("NarrativeCommandsByCategory", db);
    COMMANDCATEGORY_NAME  = addField(new ABCMdbField("vcharCategoryName"));
    COMMANDCATEGORY_DESC  = addField(new ABCMdbField("txtDescription"));
    COMMANDCATEGORY_ORDER = addField(new ABCMdbField("intOrder"));
    COMMAND               = addField(new ABCMdbField("charNarrativeCommand"));
    NUMBEROFARGUMENTS     = addField(new ABCMdbField("intNumberOfArgs"));
    COMMAND_DESC          = addField(new ABCMdbField("commandDesc"));
    COMMANDLINEOONLY      = addField(new ABCMdbField("blnCommandLineOnly"));
    PROBE                 = addField(new ABCMdbField("blnProbe"));
    INSTRUCTIONS          = addField(new ABCMdbField("txtInstructions"));
    NARRATIVECOMMAND_PK   = addField(new ABCMdbField("intNarrativeCommandID"));
    COMMANDCATEGORY_PK    = addField(new ABCMdbField("intCommandCategoryID"));
  }

  public ABCMdbField getField_CommandCategory_Name(){ return COMMANDCATEGORY_NAME;  }
  public ABCMdbField getField_CommandCategory_Desc(){ return COMMANDCATEGORY_DESC;  }
  public ABCMdbField getField_CommandCategory_Order(){return COMMANDCATEGORY_ORDER; }
  public ABCMdbField getField_Command(){              return COMMAND;               }
  public ABCMdbField getField_NumberOfArguments(){    return NUMBEROFARGUMENTS;     }
  public ABCMdbField getField_Command_Desc(){         return COMMAND_DESC;          }
  public ABCMdbField getField_CommandLineoOnly(){     return COMMANDLINEOONLY;      }
  public ABCMdbField getField_Probe(){                return PROBE;                 }
  public ABCMdbField getField_Instructions(){         return INSTRUCTIONS;          }
  public ABCMdbField getField_NarrativeCommand_PK(){  return NARRATIVECOMMAND_PK;   }
  public ABCMdbField getField_CommandCategory_PK(){   return COMMANDCATEGORY_PK;    }

}
