
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMNarrativeCommandsView;

public class ABCMDefaultNarrativeCommandsView extends ABCMNarrativeCommandsView {

  protected ABCMdbField NARRATIVECOMMAND_PK, NARRATIVECOMMAND, NUMBEROFARGUMENTS, DESCRIPTION, COMMANDLINEONLY, 
  PROBE, NARRATIVECOMMAND_INSTRUCTIONS, COMMANDCATEGORY_PK, COMMANDCATEGORY;

  public ABCMDefaultNarrativeCommandsView(AbstractABCMDBGateway db){
    super("NarrativeCommands", db);
    NARRATIVECOMMAND_PK           = addField(new ABCMdbField("intNarrativeCommandID"));
    NARRATIVECOMMAND              = addField(new ABCMdbField("charNarrativeCommand"));
    NUMBEROFARGUMENTS             = addField(new ABCMdbField("intNumberOfArgs"));
    DESCRIPTION                   = addField(new ABCMdbField("txtDescription"));
    COMMANDLINEONLY               = addField(new ABCMdbField("blnCommandLineOnly"));
    PROBE                         = addField(new ABCMdbField("blnProbe"));
    NARRATIVECOMMAND_INSTRUCTIONS = addField(new ABCMdbField("txtInstructions"));
    COMMANDCATEGORY_PK            = addField(new ABCMdbField("intCommandCategory"));
    COMMANDCATEGORY               = addField(new ABCMdbField("txtCommandCategory"));

  }

  public ABCMdbField getField_NarrativeCommand_PK(){          return NARRATIVECOMMAND_PK;           }
  public ABCMdbField getField_NarrativeCommand(){             return NARRATIVECOMMAND;              }
  public ABCMdbField getField_NumberOfArguments(){            return NUMBEROFARGUMENTS;             }
  public ABCMdbField getField_Description(){                  return DESCRIPTION;                   }
  public ABCMdbField getField_CommandLineOnly(){              return COMMANDLINEONLY;               }
  public ABCMdbField getField_Probe(){                        return PROBE;                         }
  public ABCMdbField getField_NarrativeCommand_Instructions(){return NARRATIVECOMMAND_INSTRUCTIONS; }
  public ABCMdbField getField_CommandCategory_PK(){           return COMMANDCATEGORY_PK;            }
  public ABCMdbField getField_CommandCategory(){              return COMMANDCATEGORY;               }

}
