
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMNarrativesAndInstructionsView;

public class ABCMDefaultNarrativesAndInstructionsView extends ABCMNarrativesAndInstructionsView {

  protected ABCMdbField NARRATIVE_PK, NARRATIVEINSTRUCTION_PK, DATE, ORDER, COMMAND, 
      ARG1, ARG2, ARG3, ARG4, ARG5, ARG6, ARG7, ARG8, ARG9, ARG10, COMMENT, NUMBEROFARGUMENTS, NARRATIVE_NAME;

  public ABCMDefaultNarrativesAndInstructionsView(AbstractABCMDBGateway db){
    super("NarrativesAndInstructions", db);
    NARRATIVE_PK            = addField(new ABCMdbField("intNarrativeID"));
    NARRATIVEINSTRUCTION_PK = addField(new ABCMdbField("intInstructionID"));
    DATE                    = addField(new ABCMdbField("dblDate"));
    ORDER                   = addField(new ABCMdbField("intInstructionOrder"));
    COMMAND                 = addField(new ABCMdbField("charNarrativeCommand"));
    ARG1                    = addField(new ABCMdbField("Arg1"));
    ARG2                    = addField(new ABCMdbField("Arg2"));
    ARG3                    = addField(new ABCMdbField("Arg3"));
    ARG4                    = addField(new ABCMdbField("Arg4"));
    ARG5                    = addField(new ABCMdbField("Arg5"));
    ARG6                    = addField(new ABCMdbField("Arg6"));
    ARG7                    = addField(new ABCMdbField("Arg7"));
    ARG8                    = addField(new ABCMdbField("Arg8"));
    ARG9                    = addField(new ABCMdbField("Arg9"));
    ARG10                   = addField(new ABCMdbField("Arg10"));
    COMMENT                 = addField(new ABCMdbField("charComment"));
    NUMBEROFARGUMENTS       = addField(new ABCMdbField("intNumberOfArgs"));
    NARRATIVE_NAME          = addField(new ABCMdbField("charNarrativeName"));
  }

  public ABCMdbField getField_Narrative_PK(){           return NARRATIVE_PK;            }
  public ABCMdbField getField_NarrativeInstruction_PK(){return NARRATIVEINSTRUCTION_PK; }
  public ABCMdbField getField_Date(){                   return DATE;                    }
  public ABCMdbField getField_Order(){                  return ORDER;                   }
  public ABCMdbField getField_Command(){                return COMMAND;                 }
  public ABCMdbField getField_Arg1(){                   return ARG1;                    }
  public ABCMdbField getField_Arg2(){                   return ARG2;                    }
  public ABCMdbField getField_Arg3(){                   return ARG3;                    }
  public ABCMdbField getField_Arg4(){                   return ARG4;                    }
  public ABCMdbField getField_Arg5(){                   return ARG5;                    }
  public ABCMdbField getField_Arg6(){                   return ARG6;                    }
  public ABCMdbField getField_Arg7(){                   return ARG7;                    }
  public ABCMdbField getField_Arg8(){                   return ARG8;                    }
  public ABCMdbField getField_Arg9(){                   return ARG9;                    }
  public ABCMdbField getField_Arg10(){                  return ARG10;                   }
  public ABCMdbField getField_Comment(){                return COMMENT;                 }
  public ABCMdbField getField_NumberOfArguments(){      return NUMBEROFARGUMENTS;       }
  public ABCMdbField getField_Narrative_Name(){         return NARRATIVE_NAME;          }

}
