
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMParameterAppliesToCodeModelDomainsView;

public class ABCMDefaultParameterAppliesToCodeModelDomainsView extends ABCMParameterAppliesToCodeModelDomainsView {

  protected ABCMdbField PARAMETER_NAME, CODEMODELOPTIONDOMAIN_ID, CODEMODELOPTIONVALUE_PK;

  public ABCMDefaultParameterAppliesToCodeModelDomainsView(AbstractABCMDBGateway db){
    super("ParameterAppliesToCodeModelDomains", db);
    PARAMETER_NAME           = addField(new ABCMdbField("vcharParameterName"));
    CODEMODELOPTIONDOMAIN_ID = addField(new ABCMdbField("vcharInCodeDomainIDString"));
    CODEMODELOPTIONVALUE_PK  = addField(new ABCMdbField("intCodeModelOptionValue"));

  }

  public ABCMdbField getField_Parameter_Name(){          return PARAMETER_NAME;           }
  public ABCMdbField getField_CodeModelOptionDomain_ID(){return CODEMODELOPTIONDOMAIN_ID; }
  public ABCMdbField getField_CodeModelOptionValue_PK(){ return CODEMODELOPTIONVALUE_PK;  }

}
