
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMParameterSetsAndResearchersStep1View;

public class ABCMDefaultParameterSetsAndResearchersStep1View extends ABCMParameterSetsAndResearchersStep1View {

  protected ABCMdbField PARAMETERSET_PK, PARAMETERSET_NAME, PARAMETERSET_DATECREATED, AUTOMATIC, PARAMETERSET_DESCRIPTION, RESEARCHER_PK, RESEARCHER_NAME, CANBEEDITED, PARAMETERSET_TRUTHVALUE;

  public ABCMDefaultParameterSetsAndResearchersStep1View(AbstractABCMDBGateway db){
    super("ParameterSetsAndResearchersStep1", db);
    PARAMETERSET_PK          = addField(new ABCMdbField("intParameterSetID"));
    PARAMETERSET_NAME        = addField(new ABCMdbField("varcharParameterSetName"));
    PARAMETERSET_DATECREATED = addField(new ABCMdbField("dteDateCreated"));
    AUTOMATIC                = addField(new ABCMdbField("blnAutomatic"));
    PARAMETERSET_DESCRIPTION = addField(new ABCMdbField("memDescription"));
    RESEARCHER_PK            = addField(new ABCMdbField("intResearcherID"));
    RESEARCHER_NAME          = addField(new ABCMdbField("vcharResearcherName"));
    CANBEEDITED              = addField(new ABCMdbField("CanBeEdited"));
    PARAMETERSET_TRUTHVALUE  = addField(new ABCMdbField("truthValue"));
  }

  public ABCMdbField getField_ParameterSet_PK(){         return PARAMETERSET_PK;          }
  public ABCMdbField getField_ParameterSet_Name(){       return PARAMETERSET_NAME;        }
  public ABCMdbField getField_ParameterSet_DateCreated(){return PARAMETERSET_DATECREATED; }
  public ABCMdbField getField_Automatic(){               return AUTOMATIC;                }
  public ABCMdbField getField_ParameterSet_Description(){return PARAMETERSET_DESCRIPTION; }
  public ABCMdbField getField_Researcher_PK(){           return RESEARCHER_PK;            }
  public ABCMdbField getField_Researcher_Name(){         return RESEARCHER_NAME;          }
  public ABCMdbField getField_CanBeEdited(){             return CANBEEDITED;              }
  public ABCMdbField getField_ParameterSet_TruthValue(){ return PARAMETERSET_TRUTHVALUE;  }

}
