
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMParameterSetsAndResearchersView;

public class ABCMDefaultParameterSetsAndResearchersView extends ABCMParameterSetsAndResearchersView {

  protected ABCMdbField CANBEEDITED, RESEARCHER_NAME, RESEARCHER_PK, PARAMETERSET_DESCRIPTION, AUTOMATIC, PARAMETERSET_DATECREATED, PARAMETERSET_NAME, PARAMETERSET_PK, PARAMETERSET_TRUTHVALUE;

  public ABCMDefaultParameterSetsAndResearchersView(AbstractABCMDBGateway db){
    super("ParameterSetsAndResearchers", db);
    CANBEEDITED              = addField(new ABCMdbField("CanBeEdited"));
    RESEARCHER_NAME          = addField(new ABCMdbField("vcharResearcherName"));
    RESEARCHER_PK            = addField(new ABCMdbField("intResearcherID"));
    PARAMETERSET_DESCRIPTION = addField(new ABCMdbField("memDescription"));
    AUTOMATIC                = addField(new ABCMdbField("blnAutomatic"));
    PARAMETERSET_DATECREATED = addField(new ABCMdbField("dteDateCreated"));
    PARAMETERSET_NAME        = addField(new ABCMdbField("varcharParameterSetName"));
    PARAMETERSET_PK          = addField(new ABCMdbField("intParameterSetID"));
    PARAMETERSET_TRUTHVALUE  = addField(new ABCMdbField("txtTruthValue"));
  }

  public ABCMdbField getField_CanBeEdited(){             return CANBEEDITED;              }
  public ABCMdbField getField_Researcher_Name(){         return RESEARCHER_NAME;          }
  public ABCMdbField getField_Researcher_PK(){           return RESEARCHER_PK;            }
  public ABCMdbField getField_ParameterSet_Description(){return PARAMETERSET_DESCRIPTION; }
  public ABCMdbField getField_Automatic(){               return AUTOMATIC;                }
  public ABCMdbField getField_ParameterSet_DateCreated(){return PARAMETERSET_DATECREATED; }
  public ABCMdbField getField_ParameterSet_Name(){       return PARAMETERSET_NAME;        }
  public ABCMdbField getField_ParameterSet_PK(){         return PARAMETERSET_PK;          }
  public ABCMdbField getField_ParameterSet_TruthValue(){ return PARAMETERSET_TRUTHVALUE;  }

}
