
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMParameterSetsInSimulationRunsView;

public class ABCMDefaultParameterSetsInSimulationRunsView extends ABCMParameterSetsInSimulationRunsView {

  protected ABCMdbField PARAMETERSET_PK, COUNTOFTIMESRUN;

  public ABCMDefaultParameterSetsInSimulationRunsView(AbstractABCMDBGateway db){
    super("ParameterSetsInSimulationRuns", db);
    PARAMETERSET_PK = addField(new ABCMdbField("intParameterSetID"));
    COUNTOFTIMESRUN = addField(new ABCMdbField("TimesRun"));
  }

  public ABCMdbField getField_ParameterSet_PK(){return PARAMETERSET_PK; }
  public ABCMdbField getField_CountOfTimesRun(){return COUNTOFTIMESRUN; }

}
