
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMProbeSetsInSimulationRunsView;

public class ABCMDefaultProbeSetsInSimulationRunsView extends ABCMProbeSetsInSimulationRunsView {

  protected ABCMdbField PROBESET_PK, TIMESRUN;

  public ABCMDefaultProbeSetsInSimulationRunsView(AbstractABCMDBGateway db){
    super("ProbeSetsInSimulationRuns", db);
    PROBESET_PK = addField(new ABCMdbField("intProbeSetID"));
    TIMESRUN    = addField(new ABCMdbField("TimesRun"));
  }

  public ABCMdbField getField_ProbeSet_PK(){return PROBESET_PK; }
  public ABCMdbField getField_TimesRun(){   return TIMESRUN;    }

}
