
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMProbesInProbeSetsView;

public class ABCMDefaultProbesInProbeSetsView extends ABCMProbesInProbeSetsView {

  protected ABCMdbField PROBE_PK, COUNTOFPROBESETS;

  public ABCMDefaultProbesInProbeSetsView(AbstractABCMDBGateway db){
    super("ProbesInProbeSets", db);
    PROBE_PK         = addField(new ABCMdbField("intProbeID"));
    COUNTOFPROBESETS = addField(new ABCMdbField("NumberOfSets"));    
  }

  public ABCMdbField getField_Probe_PK(){        return PROBE_PK;         }
  public ABCMdbField getField_CountOfProbeSets(){return COUNTOFPROBESETS; }

}
