
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMProjectResearchersView;

public class ABCMDefaultProjectResearchersView extends ABCMProjectResearchersView {

  protected ABCMdbField RESEARCHER_FK, RESEARCHER_LASTNAMEFIRSTNAME, PROJECTRESEARCHER_USERNAME;

  public ABCMDefaultProjectResearchersView(AbstractABCMDBGateway db){
    super("HWMResearchers", db);
    RESEARCHER_FK                = addField(new ABCMdbField("intResearcherID"));
    RESEARCHER_LASTNAMEFIRSTNAME = addField(new ABCMdbField("vcharResearcherLastFirst"));
    PROJECTRESEARCHER_USERNAME   = addField(new ABCMdbField("vcharUserName"));
    
  }

  public ABCMdbField getField_Researcher_FK(){               return RESEARCHER_FK;                }
  public ABCMdbField getField_Researcher_LastNameFirstName(){return RESEARCHER_LASTNAMEFIRSTNAME; }
  public ABCMdbField getField_ProjectResearcher_UserName(){  return PROJECTRESEARCHER_USERNAME;   }

}
