
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMReferencesAndCommentsView;

public class ABCMDefaultReferencesAndCommentsView extends ABCMReferencesAndCommentsView {

  protected ABCMdbField PK, COMMENT_PK, COMMENT_ENTRY_DATE, REFERENCE_TITLE, REFERENCE_DATE, REFERENCE_PK, PAGES, COMMENT;

  public ABCMDefaultReferencesAndCommentsView(AbstractABCMDBGateway db){
    super("ReferencesAndComments", db);
    PK                  = addField(new ABCMdbField("refCommentID"));
    COMMENT_PK          = addField(new ABCMdbField("intCommentID"));
    COMMENT_ENTRY_DATE  = addField(new ABCMdbField("dteEntryMade"));
    REFERENCE_TITLE     = addField(new ABCMdbField("vcharTitle"));
    REFERENCE_DATE      = addField(new ABCMdbField("vcharDate"));
    REFERENCE_PK        = addField(new ABCMdbField("intReferenceID"));
    PAGES               = addField(new ABCMdbField("varcharPages"));
    COMMENT             = addField(new ABCMdbField("txtComment"));
  }

  public ABCMdbField getField_PK(){                   return PK;                 }
  public ABCMdbField getField_Comment_PK(){           return COMMENT_PK;         }
  public ABCMdbField getField_Comment_Entry_Date(){   return COMMENT_ENTRY_DATE; }
  public ABCMdbField getField_Reference_Title(){      return REFERENCE_TITLE;    }
  public ABCMdbField getField_Reference_Date(){       return REFERENCE_DATE;     }
  public ABCMdbField getField_Reference_PK(){         return REFERENCE_PK;       }
  public ABCMdbField getField_Pages(){                return PAGES;              }
  public ABCMdbField getField_Comment(){              return COMMENT;            }

}
