
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMReferencesTypesAndAddedByView;

public class ABCMDefaultReferencesTypesAndAddedByView extends ABCMReferencesTypesAndAddedByView {

  protected ABCMdbField REFERENCE_PK, REFERENCE_TITLE, REFERENCE_DATE, REFERENCE_SUMMARY, REFERENCE_ABSTRACT, REFERENCE_LOCATION, REFERENCETYPE, RESEARCHER_NAME;

  public ABCMDefaultReferencesTypesAndAddedByView(AbstractABCMDBGateway db){
    super("ReferencesTypesAndAddedBy", db);
    REFERENCE_PK       = addField(new ABCMdbField("intReferenceID"));
    REFERENCE_TITLE    = addField(new ABCMdbField("vcharTitle"));
    REFERENCE_DATE     = addField(new ABCMdbField("vcharDate"));
    REFERENCE_SUMMARY  = addField(new ABCMdbField("txtSummary"));
    REFERENCE_ABSTRACT = addField(new ABCMdbField("txtAbstract"));
    REFERENCE_LOCATION = addField(new ABCMdbField("vcharLocation"));
    REFERENCETYPE      = addField(new ABCMdbField("vcharType"));
    RESEARCHER_NAME    = addField(new ABCMdbField("vcharResearcherName"));
  }

  public ABCMdbField getField_Reference_PK(){      return REFERENCE_PK;       }
  public ABCMdbField getField_Reference_Title(){   return REFERENCE_TITLE;    }
  public ABCMdbField getField_Reference_Date(){    return REFERENCE_DATE;     }
  public ABCMdbField getField_Reference_Summary(){ return REFERENCE_SUMMARY;  }
  public ABCMdbField getField_Reference_Abstract(){return REFERENCE_ABSTRACT; }
  public ABCMdbField getField_Reference_Location(){return REFERENCE_LOCATION; }
  public ABCMdbField getField_ReferenceType(){     return REFERENCETYPE;      }
  public ABCMdbField getField_Researcher_Name(){   return RESEARCHER_NAME;    }

}
