
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMSimulationAnalysesDatesView;

public class ABCMDefaultSimulationAnalysesDatesView extends ABCMSimulationAnalysesDatesView {

  protected ABCMdbField ANALYSIS_PK, SIMULATIONDATASERIES_DATE;

  public ABCMDefaultSimulationAnalysesDatesView(AbstractABCMDBGateway db){
    super("SimulationAnalysesDates", db);
    ANALYSIS_PK               = addField(new ABCMdbField("intAnalysisID"));
    SIMULATIONDATASERIES_DATE = addField(new ABCMdbField("dblSimulationDate"));
  }

  public ABCMdbField getField_Analysis_PK(){              return ANALYSIS_PK;               }
  public ABCMdbField getField_SimulationDataSeries_Date(){return SIMULATIONDATASERIES_DATE; }

}
