
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMSimulationAnalysesSeriesView;

public class ABCMDefaultSimulationAnalysesSeriesView extends ABCMSimulationAnalysesSeriesView {

  protected ABCMdbField ANALYSIS_PK, SIMULATIONRUN_PK, SIMULATIONDATASERIES_NAME;

  public ABCMDefaultSimulationAnalysesSeriesView(AbstractABCMDBGateway db){
    super("SimulationAnalysesSeries", db);
    ANALYSIS_PK               = addField(new ABCMdbField("intAnalysisID"));
    SIMULATIONRUN_PK          = addField(new ABCMdbField("lngSimulationRunID"));
    SIMULATIONDATASERIES_NAME = addField(new ABCMdbField("vcharSeriesName"));
  }

  public ABCMdbField getField_Analysis_PK(){              return ANALYSIS_PK;               }
  public ABCMdbField getField_SimulationRun_PK(){         return SIMULATIONRUN_PK;          }
  public ABCMdbField getField_SimulationDataSeries_Name(){return SIMULATIONDATASERIES_NAME; }

}
