package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMSimulationConfigurationsAndResearchersView;

public class ABCMDefaultSimulationConfigurationsAndResearchersView extends
    ABCMSimulationConfigurationsAndResearchersView {

  protected ABCMdbField SIMULATIONCONFIGURATION_PK, SIMULATIONCONFIGURATION_NAME, SIMULATIONCONFIGURATION_DESC, SIMULATIONCONFIGURATION_DATECREATED, RESEARCHER_NAME, CANBEEDITED, TRUTHVALUE;
  
  public ABCMDefaultSimulationConfigurationsAndResearchersView(AbstractABCMDBGateway db){ 
    super("SimulationConfigurationsAndResearchers", db);
    SIMULATIONCONFIGURATION_PK          = addField(new ABCMdbField("intSimulationConfigurationID"));
    SIMULATIONCONFIGURATION_NAME        = addField(new ABCMdbField("vcharSimConfigName"));
    SIMULATIONCONFIGURATION_DESC        = addField(new ABCMdbField("txtDescription"));
    SIMULATIONCONFIGURATION_DATECREATED = addField(new ABCMdbField("dteDateCreated"));
    RESEARCHER_NAME                     = addField(new ABCMdbField("vcharResearcherName"));
    CANBEEDITED                         = addField(new ABCMdbField("CanBeEdited"));
    TRUTHVALUE                          = addField(new ABCMdbField("txtTruthValue"));
  }
  
  public ABCMdbField getField_SimulationConfiguration_PK(){         return SIMULATIONCONFIGURATION_PK;          }
  public ABCMdbField getField_SimulationConfiguration_Name(){       return SIMULATIONCONFIGURATION_NAME;        }
  public ABCMdbField getField_SimulationConfiguration_Desc(){       return SIMULATIONCONFIGURATION_DESC;        }
  public ABCMdbField getField_SimulationConfiguration_DateCreated(){return SIMULATIONCONFIGURATION_DATECREATED; }
  public ABCMdbField getField_Researcher_Name(){                    return RESEARCHER_NAME;                     }
  public ABCMdbField getField_CanBeEdited(){                        return CANBEEDITED;                         }
  public ABCMdbField getField_TruthValue(){                         return TRUTHVALUE;                          }
  
}
