
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMSimulationDetailsOLDView;

public class ABCMDefaultSimulationDetailsOLDView extends ABCMSimulationDetailsOLDView {

  protected ABCMdbField SIMULATION_PK, SIMULATION_TITLE, SIMULATION_DATECREATED, RESEARCHER_NAME, CODEMODEL_PK, CODEMODEL_TITLE, DATAMODEL_PK, DATAMODEL_NAME, SIMULATION_DESC, CANBEEDITED;

  public ABCMDefaultSimulationDetailsOLDView(AbstractABCMDBGateway db){
    super("SimulationDetailsOLD", db);
    SIMULATION_PK          = addField(new ABCMdbField("intSimulationID"));
    SIMULATION_TITLE       = addField(new ABCMdbField("vcharSimulationTitle"));
    SIMULATION_DATECREATED = addField(new ABCMdbField("dteDateCreated"));
    RESEARCHER_NAME        = addField(new ABCMdbField("vcharResearcherName"));
    CODEMODEL_PK           = addField(new ABCMdbField("intCodeModelID"));
    CODEMODEL_TITLE        = addField(new ABCMdbField("vcharCodeModelTitle"));
    DATAMODEL_PK           = addField(new ABCMdbField("intDataModelID"));
    DATAMODEL_NAME         = addField(new ABCMdbField("varcharDataModelName"));
    SIMULATION_DESC        = addField(new ABCMdbField("txtDescription"));
    CANBEEDITED            = addField(new ABCMdbField("CanBeEdited"));
  }

  public ABCMdbField getField_Simulation_PK(){         return SIMULATION_PK;          }
  public ABCMdbField getField_Simulation_Title(){      return SIMULATION_TITLE;       }
  public ABCMdbField getField_Simulation_DateCreated(){return SIMULATION_DATECREATED; }
  public ABCMdbField getField_Researcher_Name(){       return RESEARCHER_NAME;        }
  public ABCMdbField getField_CodeModel_PK(){          return CODEMODEL_PK;           }
  public ABCMdbField getField_CodeModel_Title(){       return CODEMODEL_TITLE;        }
  public ABCMdbField getField_DataModel_PK(){          return DATAMODEL_PK;           }
  public ABCMdbField getField_DataModel_Name(){        return DATAMODEL_NAME;         }
  public ABCMdbField getField_Simulation_Desc(){       return SIMULATION_DESC;        }
  public ABCMdbField getField_CanBeEdited(){           return CANBEEDITED;            }

}
