
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMSimulationsAndResearchersView;

public class ABCMDefaultSimulationsAndResearchersView extends ABCMSimulationsAndResearchersView {

  protected ABCMdbField SIMULATION_PK, SIMULATION_TITLE, CODEMODEL_PK, DATAMODEL_PK, SIMULATION_DATECREATED, RESEARCHER_PK, RESEARCHER_NAME;

  public ABCMDefaultSimulationsAndResearchersView(AbstractABCMDBGateway db){
    super("SimulationsAndResearchers", db);
    SIMULATION_PK          = addField(new ABCMdbField("intSimulationID"));
    SIMULATION_TITLE       = addField(new ABCMdbField("vcharSimulationTitle"));
    CODEMODEL_PK           = addField(new ABCMdbField("intCodeModelID"));
    DATAMODEL_PK           = addField(new ABCMdbField("intDataModelID"));
    SIMULATION_DATECREATED = addField(new ABCMdbField("dteDateCreated"));
    RESEARCHER_PK          = addField(new ABCMdbField("intResearcherID"));
    RESEARCHER_NAME        = addField(new ABCMdbField("vcharResearcherName"));
  }

  public ABCMdbField getField_Simulation_PK(){         return SIMULATION_PK;          }
  public ABCMdbField getField_Simulation_Title(){      return SIMULATION_TITLE;       }
  public ABCMdbField getField_CodeModel_PK(){          return CODEMODEL_PK;           }
  public ABCMdbField getField_DataModel_PK(){          return DATAMODEL_PK;           }
  public ABCMdbField getField_Simulation_DateCreated(){return SIMULATION_DATECREATED; }
  public ABCMdbField getField_Researcher_PK(){         return RESEARCHER_PK;          }
  public ABCMdbField getField_Researcher_Name(){       return RESEARCHER_NAME;        }

}
