
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMSimulationsInSimulationRunsView;

public class ABCMDefaultSimulationsInSimulationRunsView extends ABCMSimulationsInSimulationRunsView {

  protected ABCMdbField SIMULATIONRUN_PK, COUNTOFTIMESRUN;

  public ABCMDefaultSimulationsInSimulationRunsView(AbstractABCMDBGateway db){
    super("SimulationsInSimulationRuns", db);
    SIMULATIONRUN_PK = addField(new ABCMdbField("intSimulationID"));
    COUNTOFTIMESRUN  = addField(new ABCMdbField("timesRun"));
  }

  public ABCMdbField getField_SimulationRun_PK(){return SIMULATIONRUN_PK; }
  public ABCMdbField getField_CountOfTimesRun(){ return COUNTOFTIMESRUN;  }

}
