
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMSummariesAndResearchersView;

public class ABCMDefaultSummariesAndResearchersView extends ABCMSummariesAndResearchersView {

  protected ABCMdbField SUMMARY_PK, SUMMARY_TITLE, SUMMARY_DESC, SUMMARY_SUMMARY, SUMMARY_CONCLUSION, SUMMARY_DATECREATED, RESEARCHER_LASTNAMEFIRSTNAME;

  public ABCMDefaultSummariesAndResearchersView(AbstractABCMDBGateway db){
    super("SummariesAndResearchers", db);
    SUMMARY_PK                   = addField(new ABCMdbField("intSummaryID"));
    SUMMARY_TITLE                = addField(new ABCMdbField("vcharSummaryTitle"));
    SUMMARY_DESC                 = addField(new ABCMdbField("txtDescription"));
    SUMMARY_SUMMARY              = addField(new ABCMdbField("txtSummary"));
    SUMMARY_CONCLUSION           = addField(new ABCMdbField("txtConclusion"));
    SUMMARY_DATECREATED          = addField(new ABCMdbField("dteDateCreated"));
    RESEARCHER_LASTNAMEFIRSTNAME = addField(new ABCMdbField("vcharResearcherLastFirst"));
  }

  public ABCMdbField getField_Summary_PK(){                  return SUMMARY_PK;                   }
  public ABCMdbField getField_Summary_Title(){               return SUMMARY_TITLE;                }
  public ABCMdbField getField_Summary_Desc(){                return SUMMARY_DESC;                 }
  public ABCMdbField getField_Summary_Summary(){             return SUMMARY_SUMMARY;              }
  public ABCMdbField getField_Summary_Conclusion(){          return SUMMARY_CONCLUSION;           }
  public ABCMdbField getField_Summary_DateCreated(){         return SUMMARY_DATECREATED;          }
  public ABCMdbField getField_Researcher_LastNameFirstName(){return RESEARCHER_LASTNAMEFIRSTNAME; }

}
