
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMSummaryCodeModelsAndDetailsView;

public class ABCMDefaultSummaryCodeModelsAndDetailsView extends ABCMSummaryCodeModelsAndDetailsView {

  protected ABCMdbField SUMMARY_PK, CODEMODEL_PK, CODEMODEL_TITLE, CODEMODEL_DATECREATED, CODEMODEL_DESC, RESEARCHER_NAME;

  public ABCMDefaultSummaryCodeModelsAndDetailsView(AbstractABCMDBGateway db){
    super("SummaryCodeModelsAndDetails", db);
    SUMMARY_PK            = addField(new ABCMdbField("intSummaryID"));
    CODEMODEL_PK          = addField(new ABCMdbField("intCodeModelID"));
    CODEMODEL_TITLE       = addField(new ABCMdbField("vcharCodeModelTitle"));
    CODEMODEL_DATECREATED = addField(new ABCMdbField("dteDateCreated"));
    CODEMODEL_DESC        = addField(new ABCMdbField("txtDescription"));
    RESEARCHER_NAME       = addField(new ABCMdbField("vcharResearcherName"));
  }

  public ABCMdbField getField_Summary_PK(){           return SUMMARY_PK;            }
  public ABCMdbField getField_CodeModel_PK(){         return CODEMODEL_PK;          }
  public ABCMdbField getField_CodeModel_Title(){      return CODEMODEL_TITLE;       }
  public ABCMdbField getField_CodeModel_DateCreated(){return CODEMODEL_DATECREATED; }
  public ABCMdbField getField_CodeModel_Desc(){       return CODEMODEL_DESC;        }
  public ABCMdbField getField_Researcher_Name(){      return RESEARCHER_NAME;       }

}
