
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMSummaryCodeModelsView;

public class ABCMDefaultSummaryCodeModelsView extends ABCMSummaryCodeModelsView {

  protected ABCMdbField SUMMARY_PK, CODEMODEL_PK;

  public ABCMDefaultSummaryCodeModelsView(AbstractABCMDBGateway db){
    super("SummaryCodeModels", db);
    SUMMARY_PK   = addField(new ABCMdbField("intSummaryID"));
    CODEMODEL_PK = addField(new ABCMdbField("intCodeModelID"));
  }

  public ABCMdbField getField_Summary_PK(){  return SUMMARY_PK;   }
  public ABCMdbField getField_CodeModel_PK(){return CODEMODEL_PK; }

}
