
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMSummaryHistoriesView;

public class ABCMDefaultSummaryHistoriesView extends ABCMSummaryHistoriesView {

  protected ABCMdbField SUMMARY_PK, HISTORY_PK;

  public ABCMDefaultSummaryHistoriesView(AbstractABCMDBGateway db){
    super("SummaryHistories", db);
    SUMMARY_PK = addField(new ABCMdbField("intSummaryID"));
    HISTORY_PK = addField(new ABCMdbField("intHistoryID"));
  }

  public ABCMdbField getField_Summary_PK(){return SUMMARY_PK; }
  public ABCMdbField getField_History_PK(){return HISTORY_PK; }

}
