
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMSummaryNarrativesAndDetailsView;

public class ABCMDefaultSummaryNarrativesAndDetailsView extends ABCMSummaryNarrativesAndDetailsView {

  protected ABCMdbField SUMMARY_PK, NARRATIVE_NAME, NARRATIVE_DESCRIPTION, NARRATIVE_BASEDATE, NARRATIVE_DATECREATED, NARRATIVE_ISSEASONAL, RESEARCHER_NAME, NARRATIVE_PK;

  public ABCMDefaultSummaryNarrativesAndDetailsView(AbstractABCMDBGateway db){
    super("SummaryNarrativesAndDetails", db);
    SUMMARY_PK            = addField(new ABCMdbField("intSummaryID"));
    NARRATIVE_NAME        = addField(new ABCMdbField("charNarrativeName"));
    NARRATIVE_DESCRIPTION = addField(new ABCMdbField("txtDescription"));
    NARRATIVE_BASEDATE    = addField(new ABCMdbField("dblBaseDate"));
    NARRATIVE_DATECREATED = addField(new ABCMdbField("dteDateCreated"));
    NARRATIVE_ISSEASONAL  = addField(new ABCMdbField("blnIsSeasonal"));
    RESEARCHER_NAME       = addField(new ABCMdbField("vcharResearcherName"));
    NARRATIVE_PK          = addField(new ABCMdbField("intNarrativeID"));
  }

  public ABCMdbField getField_Summary_PK(){           return SUMMARY_PK;            }
  public ABCMdbField getField_Narrative_Name(){       return NARRATIVE_NAME;        }
  public ABCMdbField getField_Narrative_Description(){return NARRATIVE_DESCRIPTION; }
  public ABCMdbField getField_Narrative_BaseDate(){   return NARRATIVE_BASEDATE;    }
  public ABCMdbField getField_Narrative_DateCreated(){return NARRATIVE_DATECREATED; }
  public ABCMdbField getField_Narrative_IsSeasonal(){ return NARRATIVE_ISSEASONAL;  }
  public ABCMdbField getField_Researcher_Name(){      return RESEARCHER_NAME;       }
  public ABCMdbField getField_Narrative_PK(){         return NARRATIVE_PK;          }

}
