
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMSummaryNarrativesView;

public class ABCMDefaultSummaryNarrativesView extends ABCMSummaryNarrativesView {

  protected ABCMdbField SUMMARY_PK, NARRATIVE_PK;

  public ABCMDefaultSummaryNarrativesView(AbstractABCMDBGateway db){
    super("SummaryNarratives", db);
    SUMMARY_PK   = addField(new ABCMdbField("intSummaryID"));
    NARRATIVE_PK = addField(new ABCMdbField("intNarrativeID"));
  }

  public ABCMdbField getField_Summary_PK(){  return SUMMARY_PK;   }
  public ABCMdbField getField_Narrative_PK(){return NARRATIVE_PK; }

}
