
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMSummaryParameterSetsAndDetailsView;

public class ABCMDefaultSummaryParameterSetsAndDetailsView extends ABCMSummaryParameterSetsAndDetailsView {

  protected ABCMdbField SUMMARY_PK, PARAMETERSET_PK, PARAMETERSET_NAME, PARAMETERSET_DATECREATED, PARAMETERSET_ISAUTOMATIC, PARAMETERSET_DESC, RESEARCHER_NAME;

  public ABCMDefaultSummaryParameterSetsAndDetailsView(AbstractABCMDBGateway db){
    super("SummaryParameterSetsAndDetails", db);
    SUMMARY_PK               = addField(new ABCMdbField("intSummaryID"));
    PARAMETERSET_PK          = addField(new ABCMdbField("intParameterSetID"));
    PARAMETERSET_NAME        = addField(new ABCMdbField("varcharParameterSetName"));
    PARAMETERSET_DATECREATED = addField(new ABCMdbField("dteDateCreated"));
    PARAMETERSET_ISAUTOMATIC = addField(new ABCMdbField("blnAutomatic"));
    PARAMETERSET_DESC        = addField(new ABCMdbField("memDescription"));
    RESEARCHER_NAME          = addField(new ABCMdbField("vcharResearcherName"));
  }

  public ABCMdbField getField_Summary_PK(){              return SUMMARY_PK;               }
  public ABCMdbField getField_ParameterSet_PK(){         return PARAMETERSET_PK;          }
  public ABCMdbField getField_ParameterSet_Name(){       return PARAMETERSET_NAME;        }
  public ABCMdbField getField_ParameterSet_DateCreated(){return PARAMETERSET_DATECREATED; }
  public ABCMdbField getField_ParameterSet_IsAutomatic(){return PARAMETERSET_ISAUTOMATIC; }
  public ABCMdbField getField_ParameterSet_Desc(){       return PARAMETERSET_DESC;        }
  public ABCMdbField getField_Researcher_Name(){         return RESEARCHER_NAME;          }

}
