
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMSummaryRunsView;

public class ABCMDefaultSummaryRunsView extends ABCMSummaryRunsView {

  protected ABCMdbField SUMMARY_PK, SIMULATIONRUN_PK;

  public ABCMDefaultSummaryRunsView(AbstractABCMDBGateway db){
    super("SummaryRuns", db);
    SUMMARY_PK       = addField(new ABCMdbField("intSummaryID"));
    SIMULATIONRUN_PK = addField(new ABCMdbField("intSimulationRunID"));
  }

  public ABCMdbField getField_Summary_PK(){      return SUMMARY_PK;       }
  public ABCMdbField getField_SimulationRun_PK(){return SIMULATIONRUN_PK; }

}
