 
package abcm.db.components.tables;  
 
import abcm.db.components.ABCMdbDatum;
import abcm.db.components.ABCMdbField;
import abcm.db.components.ABCMdbTable;
 
public abstract class ABCMAnalysisDataSeriesTable extends ABCMdbTable{
 
  public ABCMAnalysisDataSeriesTable(String tableName){ super(tableName); }

  public abstract ABCMdbField getField_PK();
  public abstract ABCMdbField getField_AnalysisFK();
  public abstract ABCMdbField getField_DataSeriesFK();

  public ABCMdbDatum getDatum(String analysisFK, String dataSeriesFK){
    ABCMdbDatum datum = new ABCMdbDatum(this);
    datum.addValue(getField_AnalysisFK(), analysisFK);
    datum.addValue(getField_DataSeriesFK(), dataSeriesFK);
    return datum;
  }

}
 
