 
package abcm.db.components.tables;  
 
import abcm.db.components.ABCMdbDatum;
import abcm.db.components.ABCMdbField;
import abcm.db.components.ABCMdbTable;
 
public abstract class ABCMCodeModelOptionDomainsTable extends ABCMdbTable{
 
  public ABCMCodeModelOptionDomainsTable(String tableName){ super(tableName); }

  public abstract ABCMdbField getField_PK();
  public abstract ABCMdbField getField_DomainName();
  public abstract ABCMdbField getField_Description();
  public abstract ABCMdbField getField_InCodeID();

  public ABCMdbDatum getDatum(String domain, String description, String ID){
    ABCMdbDatum datum = new ABCMdbDatum(this);
    datum.addValue(getField_DomainName(), domain);
    datum.addValue(getField_Description(), description);
    datum.addValue(getField_InCodeID(), ID);
    return datum;
  }

}
 
