 
package abcm.db.components.tables;  
 
import abcm.db.components.ABCMdbDatum;
import abcm.db.components.ABCMdbField;
import abcm.db.components.ABCMdbTable;
 
public abstract class ABCMCodeModelOptionValuesTable extends ABCMdbTable{
 
  public ABCMCodeModelOptionValuesTable(String tableName){ super(tableName); }
 
  public abstract ABCMdbField getField_PRIMARY_KEY();
  public abstract ABCMdbField getField_CodeModelOptionDomainFK();
  public abstract ABCMdbField getField_OptionValue();
  public abstract ABCMdbField getField_Name();
  public abstract ABCMdbField getField_Code();
  public abstract ABCMdbField getField_Description();

  public ABCMdbDatum getDatum(String manualPK, String optionDomainFK, String value, String name, String code, String description){
    ABCMdbDatum datum = new ABCMdbDatum(this);
    datum.addValue(getField_PRIMARY_KEY(), manualPK);
    datum.addValue(getField_CodeModelOptionDomainFK(), optionDomainFK);
    datum.addValue(getField_OptionValue(), value);
    datum.addValue(getField_Name(), name);
    datum.addValue(getField_Code(), code);
    datum.addValue(getField_Description(), description);
    return datum;
  }
  
  public ABCMdbDatum getDatum(long manualPK, long optionDomainFK, long value, String name, String code, String description){
    return getDatum("" + manualPK, "" + optionDomainFK, "" + value, name, code, description);
  }

}
 
