 
package abcm.db.components.tables;  
 
import abcm.db.components.ABCMdbDatum;
import abcm.db.components.ABCMdbField;
import abcm.db.components.ABCMdbTable;
 
public abstract class ABCMCommentsTable extends ABCMdbTable{
 
  public ABCMCommentsTable(String tableName){ super(tableName); }

  public abstract ABCMdbField getField_PK();
  public abstract ABCMdbField getField_ResearcherFK();
  public abstract ABCMdbField getField_DateCreated();
  public abstract ABCMdbField getField_Comment();

  public ABCMdbDatum getDatum(String researcherFK, String dateCreated, String comment){
    ABCMdbDatum datum = new ABCMdbDatum(this);
    datum.addValue(getField_ResearcherFK(), researcherFK);
    datum.addValue(getField_DateCreated(), dateCreated);
    datum.addValue(getField_Comment(), comment);
    return datum;
  }
  
  public ABCMdbDatum getDatum(long researcherFK, String dateCreated, String comment){
    return getDatum("" + researcherFK, dateCreated, comment);
  }

}
 
