 
package abcm.db.components.tables;  
 
import abcm.db.components.ABCMObjectCommentTable;
import abcm.db.components.ABCMdbDatum;
import abcm.db.components.ABCMdbField;
 
public abstract class ABCMDataModelCommentsTable extends ABCMObjectCommentTable{
 
  public ABCMDataModelCommentsTable(String tableName){ super(tableName); }

  public abstract ABCMdbField getField_PK();
  public abstract ABCMdbField getField_DataModelFK();
  public abstract ABCMdbField getField_CommentFK();

  public ABCMdbDatum getDatum(long dataModelFK, long commentFK){
    ABCMdbDatum datum = new ABCMdbDatum(this);
    datum.addValue(getField_DataModelFK(), dataModelFK);
    datum.addValue(getField_CommentFK(), commentFK);
    return datum;
  }
}
 
