 
package abcm.db.components.tables;  
 
import abcm.db.components.ABCMdbDatum;
import abcm.db.components.ABCMdbField;
import abcm.db.components.ABCMdbTable;
 
public abstract class ABCMNarrativeArgumentsTable extends ABCMdbTable{
 
  public ABCMNarrativeArgumentsTable(String tableName){ super(tableName); }

  public abstract ABCMdbField getField_PK();
  public abstract ABCMdbField getField_NarrativeCommandFK();
  public abstract ABCMdbField getField_ArgumentNumber();
  public abstract ABCMdbField getField_ArgumentName();

  public ABCMdbDatum getDatum(String narrativeCommandFK, String argumentNumber, String argumentName){
    ABCMdbDatum datum = new ABCMdbDatum(this);
    datum.addValue(getField_NarrativeCommandFK(), narrativeCommandFK);
    datum.addValue(getField_ArgumentNumber(), argumentNumber);
    datum.addValue(getField_ArgumentName(), argumentName);
    return datum;
  }
  
  public ABCMdbDatum getDatum(long narrativeCommandFK, long argumentNumber, String argumentName){
    return getDatum("" + narrativeCommandFK, "" + argumentNumber, argumentName);
  }

}
 
