 
package abcm.db.components.tables;  
 
import abcm.db.components.ABCMObjectCommentTable;
import abcm.db.components.ABCMdbDatum;
import abcm.db.components.ABCMdbField;
 
public abstract class ABCMNarrativeCommentsTable extends ABCMObjectCommentTable{
 
  public ABCMNarrativeCommentsTable(String tableName){ super(tableName); }

  public abstract ABCMdbField getField_PK();
  public abstract ABCMdbField getField_NarrativeFK();
  public abstract ABCMdbField getField_CommentFK();

  public ABCMdbDatum getDatum(long narrativeFK, long commentFK){
    ABCMdbDatum datum = new ABCMdbDatum(this);
    datum.addValue(getField_NarrativeFK(), narrativeFK);
    datum.addValue(getField_CommentFK(), commentFK);
    return datum;
  }
  
}
 
