 
package abcm.db.components.tables;  
 
import abcm.db.components.ABCMdbDatum;
import abcm.db.components.ABCMdbField;
import abcm.db.components.ABCMdbTable;
 
public abstract class ABCMParameterAppliesToCodeModelTable extends ABCMdbTable{
 
  public ABCMParameterAppliesToCodeModelTable(String tableName){ super(tableName); }

  public abstract ABCMdbField getField_PK();
  public abstract ABCMdbField getField_ParameterFK();
  public abstract ABCMdbField getField_CodeModelOptionDomainFK();
  public abstract ABCMdbField getField_OptionValueFK();

  public ABCMdbDatum getDatum(String parameterFK, String codeModelOptionDomainFK, String optionValueFK){
    ABCMdbDatum datum = new ABCMdbDatum(this);
    datum.addValue(getField_ParameterFK(), parameterFK);
    datum.addValue(getField_CodeModelOptionDomainFK(), codeModelOptionDomainFK);
    datum.addValue(getField_OptionValueFK(), optionValueFK);
    return datum;
  }
  
}
 
