 
package abcm.db.components.tables;  
 
import abcm.db.components.ABCMObjectCommentTable;
import abcm.db.components.ABCMdbDatum;
import abcm.db.components.ABCMdbField;
 
public abstract class ABCMParameterSetCommentsTable extends ABCMObjectCommentTable{
 
  public ABCMParameterSetCommentsTable(String tableName){ super(tableName); }

  public abstract ABCMdbField getField_PK();
  public abstract ABCMdbField getField_ParameterSetFK();
  public abstract ABCMdbField getField_CommentFK();

  public ABCMdbDatum getDatum(long parameterSetFK, long commentFK){
    ABCMdbDatum datum = new ABCMdbDatum(this);
    datum.addValue(getField_ParameterSetFK(), parameterSetFK);
    datum.addValue(getField_CommentFK(), commentFK);
    return datum;
  }  
}
 
