 
package abcm.db.components.tables;  
 
import abcm.db.components.ABCMdbDatum;
import abcm.db.components.ABCMdbField;
import abcm.db.components.ABCMdbTable;
 
public abstract class ABCMProbeSetsTable extends ABCMdbTable{
 
  public ABCMProbeSetsTable(String tableName){ super(tableName); }

  public abstract ABCMdbField getField_PK();
  public abstract ABCMdbField getField_Name();
  public abstract ABCMdbField getField_DateCreated();
  public abstract ABCMdbField getField_ResearcherFK();
  public abstract ABCMdbField getField_Description();

  public ABCMdbDatum getDatum(String name, String dateCreated, String researcherFK, String description){
    ABCMdbDatum datum = new ABCMdbDatum(this);
    datum.addValue(getField_Name(), name);
    datum.addValue(getField_DateCreated(), dateCreated);
    datum.addValue(getField_ResearcherFK(), researcherFK);
    datum.addValue(getField_Description(), description);
    return datum;
  }
  
  public ABCMdbDatum getDatum(String name, String dateCreated, long researcherFK, String description){
    return getDatum(name, dateCreated, "" + researcherFK, description);
  }
  
}
 
