 
package abcm.db.components.tables;  
 
import abcm.db.components.ABCMdbDatum;
import abcm.db.components.ABCMdbField;
import abcm.db.components.ABCMdbTable;
 
public abstract class ABCMProjectResearchersTable extends ABCMdbTable{
 
  public ABCMProjectResearchersTable(String tableName){ super(tableName); }

  public abstract ABCMdbField getField_PK();
  public abstract ABCMdbField getField_ResearcherFK();
  public abstract ABCMdbField getField_Username();
  public abstract ABCMdbField getField_Password();
  public abstract ABCMdbField getField_IsAdministrator();  

  public ABCMdbDatum getDatum(String researcherFK, String userName, String password, String admin){
    ABCMdbDatum datum = new ABCMdbDatum(this);
    datum.addValue(getField_ResearcherFK(), researcherFK);
    datum.addValue(getField_Username(), userName);
    datum.addValue(getField_Password(), password);
    datum.addValue(getField_IsAdministrator(), admin);
    return datum;
  }
  
  public ABCMdbDatum getDatum(long researcherFK, String userName, String password, boolean admin){
    return getDatum("" + researcherFK, userName, password, (admin ? "1" : "0"));
  }

}
 
