 
package abcm.db.components.tables;  
 
import abcm.db.components.ABCMdbDatum;
import abcm.db.components.ABCMdbField;
import abcm.db.components.ABCMdbTable;
 
public abstract class ABCMReferencesAndCategoriesTable extends ABCMdbTable{
 
  public ABCMReferencesAndCategoriesTable(String tableName){ super(tableName); }

  public abstract ABCMdbField getField_PK();
  public abstract ABCMdbField getField_ReferenceFK();
  public abstract ABCMdbField getField_CategoryFK();

  public ABCMdbDatum getDatum(String referenceFK, String categoryFK){
    ABCMdbDatum datum = new ABCMdbDatum(this);
    datum.addValue(getField_ReferenceFK(), referenceFK);
    datum.addValue(getField_CategoryFK(), categoryFK);
    return datum;
  }
  
}
 
