 
package abcm.db.components.tables;  
 
import abcm.db.components.ABCMObjectCommentTable;
import abcm.db.components.ABCMdbDatum;
import abcm.db.components.ABCMdbField;
 
public abstract class ABCMSimulationCommentsTable extends ABCMObjectCommentTable{
 
  public ABCMSimulationCommentsTable(String tableName){ super(tableName); }

  public abstract ABCMdbField getField_PK();
  public abstract ABCMdbField getField_SimulationFK();
  public abstract ABCMdbField getField_CommentFK();

  public ABCMdbDatum getDatum(long simulationFK, long commentFK){
    ABCMdbDatum datum = new ABCMdbDatum(this);
    datum.addValue(getField_SimulationFK(), simulationFK);
    datum.addValue(getField_CommentFK(), commentFK);
    return datum;
  }
}
 
