 
package abcm.db.components.tables;  
 
import abcm.db.components.ABCMObjectCommentTable;
import abcm.db.components.ABCMdbDatum;
import abcm.db.components.ABCMdbField;
 
public abstract class ABCMSimulationConfigurationCommentsTable extends ABCMObjectCommentTable{
 
  public ABCMSimulationConfigurationCommentsTable(String tableName){ super(tableName); }

  public abstract ABCMdbField getField_PK();
  public abstract ABCMdbField getField_SimulationConfigurationFK();
  public abstract ABCMdbField getField_CommentFK();

  public ABCMdbDatum getDatum(long simConfigFK, long commentFK){
    ABCMdbDatum datum = new ABCMdbDatum(this);
    datum.addValue(getField_SimulationConfigurationFK(), "" + simConfigFK);
    datum.addValue(getField_CommentFK(), "" + commentFK);
    return datum;
  }
}
 
