 
package abcm.db.components.tables;  
 
import abcm.db.components.ABCMdbDatum;
import abcm.db.components.ABCMdbField;
import abcm.db.components.ABCMdbTable;
 
public abstract class ABCMSummariesTable extends ABCMdbTable{
 
  public ABCMSummariesTable(String tableName){ super(tableName); }

  public abstract ABCMdbField getField_PK();
  public abstract ABCMdbField getField_Title();
  public abstract ABCMdbField getField_Description();
  public abstract ABCMdbField getField_Summary();
  public abstract ABCMdbField getField_Conclusion();
  public abstract ABCMdbField getField_ResearcherFK();
  public abstract ABCMdbField getField_DateCreated();

  public ABCMdbDatum getDatum(String title, String description, String summary, String conclusion, String researcherFK, String dateCreated){
    ABCMdbDatum datum = new ABCMdbDatum(this);
    datum.addValue(getField_Title(), title);
    datum.addValue(getField_Description(), description);
    datum.addValue(getField_Summary(), summary);
    datum.addValue(getField_Conclusion(), conclusion);
    datum.addValue(getField_ResearcherFK(), researcherFK);
    datum.addValue(getField_DateCreated(), dateCreated);
    return datum;
  }
  
}
 
