 
package abcm.db.components.tables;  
 
import abcm.db.components.ABCMdbDatum;
import abcm.db.components.ABCMdbField;
import abcm.db.components.ABCMdbTable;
 
public abstract class ABCMSummaryAnalysesTable extends ABCMdbTable{
 
  public ABCMSummaryAnalysesTable(String tableName){ super(tableName); }

  public abstract ABCMdbField getField_PK();
  public abstract ABCMdbField getField_SummaryFK();
  public abstract ABCMdbField getField_AnalysisFK();
  public abstract ABCMdbField getField_Description();
  public abstract ABCMdbField getField_Order();

  public ABCMdbDatum getDatum(String summaryFK, String analysisFK, String description, int order){
    ABCMdbDatum datum = new ABCMdbDatum(this);
    datum.addValue(getField_SummaryFK(), summaryFK);
    datum.addValue(getField_AnalysisFK(), analysisFK);
    datum.addValue(getField_Description(), description);
    datum.addValue(getField_Order(), order);
    return datum;
  }
  
}
 
