 
package abcm.db.components.tables;  
 
import abcm.db.components.ABCMObjectCommentTable;
import abcm.db.components.ABCMdbDatum;
import abcm.db.components.ABCMdbField;
 
public abstract class ABCMSummaryCommentsTable extends ABCMObjectCommentTable{
 
  public ABCMSummaryCommentsTable(String tableName){ super(tableName); }

  public abstract ABCMdbField getField_PK();
  public abstract ABCMdbField getField_SummaryFK();
  public abstract ABCMdbField getField_CommentFK();

  public ABCMdbDatum getDatum(long summaryFK, long commentFK){
    ABCMdbDatum datum = new ABCMdbDatum(this);
    datum.addValue(getField_SummaryFK(), summaryFK);
    datum.addValue(getField_CommentFK(), commentFK);
    return datum;
  }
  
}
 
