
package abcm.db.components.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.ABCMdbView;

public abstract class ABCMSimulationDetailsOLDView extends ABCMdbView {
  
  public ABCMSimulationDetailsOLDView(String viewName, AbstractABCMDBGateway db){ 
    super(viewName, db);
  }

  public abstract ABCMdbField getField_Simulation_PK();
  public abstract ABCMdbField getField_Simulation_Title();
  public abstract ABCMdbField getField_Simulation_DateCreated();
  public abstract ABCMdbField getField_Researcher_Name();
  public abstract ABCMdbField getField_CodeModel_PK();
  public abstract ABCMdbField getField_CodeModel_Title();
  public abstract ABCMdbField getField_DataModel_PK();
  public abstract ABCMdbField getField_DataModel_Name();
  public abstract ABCMdbField getField_Simulation_Desc();
  public abstract ABCMdbField getField_CanBeEdited();

  public String getSQL(){
    return
//    setSQL(     "SELECT " +simulationsTable.getField_PK().getFullFieldName(dbOwner) + " AS intSimulationID, " +"\n" + 
//                   simulationsTable.getField_Title().getFullFieldName(dbOwner) + " AS vcharSimulationTitle, " +"\n" + 
//                   simulationsTable.getField_DateCreated().getFullFieldName(dbOwner) + " AS dteDateCreated, " +"\n" + 
//                   researchersTable.getField_ResearcherName().getFullFieldName(dbOwner) + " AS vcharResearcherName, " +"\n" + 
//                   jtmurphy.tblCodeModels.intCodeModelID AS intCodeModelID, " +"\n" + 
//                   codeModelsTable.getField_Title().getFullFieldName(dbOwner) + " AS vcharCodeModelTitle, " +"\n" + 
//                   simulationsTable.getField_DataModelFK().getFullFieldName(dbOwner) + " AS intDataModelID, " +"\n" + 
//                   dataModelsTable.getField_Name().getFullFieldName(dbOwner) + " AS varcharDataModelName, " +"\n" + 
//                   dataModelsTable.getField_Description().getFullFieldName(dbOwner) + " AS txtDescription, " +"\n" + 
//                   getCanBeEdited_SimulationsView().getField_Simulation_PK().getFullFieldName(dbOwner) + " AS CanBeEdited " +"\n" + 
//           "FROM   " + simulationsTable.getFullName(dbOwner) + " INNER JOIN " +"\n" + 
//                        researchersTable.getFullName(dbOwner) + " ON " +"\n" + 
//                        simulationsTable.getField_ResearcherFK().getFullFieldName(dbOwner) + " = jtmurphy.tblResearchers.intResearcherID INNER JOIN " +"\n" + 
//                    jtmurphy.tblCodeModels ON " +"\n" + 
//                        simulationsTable.getField_CodeModelFK().getFullFieldName(dbOwner) + " = jtmurphy.tblCodeModels.intCodeModelID INNER JOIN " +"\n" + 
//                        dataModelsTable.getFullName(dbOwner) + " ON " +"\n" + 
//                        simulationsTable.getField_DataModelFK().getFullFieldName(dbOwner) + " = " + dataModelsTable.getField_PK().getFullFieldName(dbOwner) + " LEFT OUTER JOIN " +"\n" + 
//                    "  + getCanBeEdited_SimulationsView().getName() + " ON " +"\n" + 
//                        simulationsTable.getField_PK().getFullFieldName(dbOwner) + " = " + getCanBeEdited_SimulationsView().getField_Simulation_PK().getFullFieldName(dbOwner) + " ");

    "";
  }
  
}
