package abcm.db.syntaxengines;


public interface SQLDataTypes{
  
 
  public abstract class SQLDataType{}
  
  public final class SQLINTDataType extends SQLDataType {}
  
  public final class SQLVCHARDataType extends SQLDataType {
    private int length;
    public SQLVCHARDataType(int l){ length = l; }
    public int getLength(){ return length; }
  }
  
  public final class SQLTEXTDataType extends SQLDataType {}
  
  public final class SQLDateTimeDataType extends SQLDataType {}
  
  public final class SQLFloatDataType extends SQLDataType{
    private int size;
    public SQLFloatDataType(int s){ size = s; }
    public int getSize(){ return size; }
  }
  
  public final class SQLBooleanDataType extends SQLDataType{}

  public final class SQLCHARDataType extends SQLDataType{
    private int length;
    public SQLCHARDataType(int l){
      length = l;
    }
    public int getLength(){ return length; } 
  }
  
}