package flowag.basic;

/**
 * Contains global values for the HWMFlowAg routines.<br/><br/>
 * 
 *  @author John T. Murphy<br/>
 *  Global Institute of Sustainability,<br/>
 *  Arizona State University<br/>
 *  For license and disclaimers, see the Overview.
 */
public interface Global {

  /**
   * Acceleration Due to Gravity is assumed to be constant within the simulation
   * (@value m/s^2)
   */
  public static final double AccelerationDueToGravity                =  9.8d;

}
