package wm.db.defaults.tables;

import wm.db.tables.WMPlantConfigurationCommentsTable;
import wm.db.tables.WMPlantConfigurationsTable;
import abcm.db.components.ABCMdbField;
import abcm.db.components.tables.ABCMCommentsTable;

public class WMDefaultPlantConfigurationCommentsTable extends  WMPlantConfigurationCommentsTable {

  private ABCMdbField PK, COMMENT_FK, PLANTCONFIG_FK;
  
  public WMDefaultPlantConfigurationCommentsTable(WMPlantConfigurationsTable plantConfigurationsTable,
      ABCMCommentsTable commentsTable) {  
    super("tblPlantConfigurationComments"); 
    PK             = createAndAddField("intPlantConfigurationCommentID", INT,        true);
    COMMENT_FK     = createAndAddField("intCommentID",  false, INT,
        commentsTable.getName(), commentsTable.getField_PK().getName());
    PLANTCONFIG_FK = createAndAddField("intPlantConfigurationID", false, INT,
        plantConfigurationsTable.getName(), plantConfigurationsTable.getField_PK().getName());
  }
  
  public ABCMdbField getField_PK(){                    return PK;             }
  public ABCMdbField getField_CommentFK(){             return COMMENT_FK;     }
  public ABCMdbField getField_PlantConfigurationFK(){  return PLANTCONFIG_FK; }
  
}
