
package wm.db.defaults.views;

import wm.db.views.WMCanBeEdited_PlantConfigurationsView;
import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;

public class WMDefaultCanBeEdited_PlantConfigurationsView extends WMCanBeEdited_PlantConfigurationsView {

  protected ABCMdbField PLANTCONFIGURATION_PK, COUNTOFSIMULATIONCONFIGURATIONS, COUNTOFCOMMENTS;

  public WMDefaultCanBeEdited_PlantConfigurationsView(AbstractABCMDBGateway db){
    super("CanBeEdited_PlantConfigurations", db);
    PLANTCONFIGURATION_PK           = addField(new ABCMdbField("intPlantConfigurationID"));
    COUNTOFSIMULATIONCONFIGURATIONS = addField(new ABCMdbField("SimConfigs"));
    COUNTOFCOMMENTS                 = addField(new ABCMdbField("CountOfComments"));
  }

  public ABCMdbField getField_PlantConfiguration_PK(){          return PLANTCONFIGURATION_PK;           }
  public ABCMdbField getField_CountOfSimulationConfigurations(){return COUNTOFSIMULATIONCONFIGURATIONS; }
  public ABCMdbField getField_CountOfComments(){                return COUNTOFCOMMENTS;                 }

}
