package wm.db.defaults.views;

import wm.db.views.WMPlantConfigurationInfoView2;
import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;

public class WMDefaultPlantConfigurationInfoView2 extends
		WMPlantConfigurationInfoView2 {

  protected ABCMdbField VARIETY_NAME, ORDER, DURATION, CROP_FACTOR, DROUGHT_SENSITIVITY, LABOR_REQUIRED, CONFIG_PK;
  
  
  public WMDefaultPlantConfigurationInfoView2(AbstractABCMDBGateway db){
    super("PlantConfigurationInfoView2", db);
    VARIETY_NAME          = addField(new ABCMdbField("vcharVarietyName"));
    ORDER                 = addField(new ABCMdbField("intOrder"));
    DURATION              = addField(new ABCMdbField("intDuration"));
    CROP_FACTOR           = addField(new ABCMdbField("dblCropFactor"));
    DROUGHT_SENSITIVITY   = addField(new ABCMdbField("dblDroughtSensitivity"));
    LABOR_REQUIRED        = addField(new ABCMdbField("dblLaborRequired"));
    CONFIG_PK             = addField(new ABCMdbField("intSimulationConfigurationID"));
  }

  public ABCMdbField getField_VarietyName(){               return VARIETY_NAME;        }
  public ABCMdbField getField_Order(){                     return ORDER;               }
  public ABCMdbField getField_Duration(){                  return DURATION;            }
  public ABCMdbField getField_CropFactor(){                return CROP_FACTOR;         }
  public ABCMdbField getField_DroughtSensitivity(){        return DROUGHT_SENSITIVITY; }
  public ABCMdbField getField_LaborRequired(){             return LABOR_REQUIRED;      }
  public ABCMdbField getField_SimulationConfigurationPK(){ return CONFIG_PK;           } 
	
}
