
package wm.db.defaults.views;

import wm.db.views.WMPlantsAndReferencesToThemView;
import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;

public class WMDefaultPlantsAndReferencesToThemView extends WMPlantsAndReferencesToThemView {

  protected ABCMdbField PLANT_PK, REFERENCE_PK, REFERENCE_TITLE, REFERENCE_DATE, REFERENCE_PAGES, REFERENCE_COMMENT, RESEARCHER_NAME, COMMENT_PK;

  public WMDefaultPlantsAndReferencesToThemView(AbstractABCMDBGateway db){
    super("PlantsAndReferencesToThem", db);
    PLANT_PK          = addField(new ABCMdbField("intPlantID"));
    REFERENCE_PK      = addField(new ABCMdbField("intReferenceID"));
    REFERENCE_TITLE   = addField(new ABCMdbField("vcharTitle"));
    REFERENCE_DATE    = addField(new ABCMdbField("vcharDate"));
    REFERENCE_PAGES   = addField(new ABCMdbField("varcharPages"));
    REFERENCE_COMMENT = addField(new ABCMdbField("txtComment"));
    RESEARCHER_NAME   = addField(new ABCMdbField("vcharResearcherName"));
    COMMENT_PK        = addField(new ABCMdbField("intCommentID"));
  }

  public ABCMdbField getField_Plant_PK(){         return PLANT_PK;          }
  public ABCMdbField getField_Reference_PK(){     return REFERENCE_PK;      }
  public ABCMdbField getField_Reference_Title(){  return REFERENCE_TITLE;   }
  public ABCMdbField getField_Reference_Date(){   return REFERENCE_DATE;    }
  public ABCMdbField getField_Reference_Pages(){  return REFERENCE_PAGES;   }
  public ABCMdbField getField_Reference_Comment(){return REFERENCE_COMMENT; }
  public ABCMdbField getField_Researcher_Name(){  return RESEARCHER_NAME;   }
  public ABCMdbField getField_Comment_PK(){       return COMMENT_PK;        }

}
