
package wm.db.defaults.views;

import wm.db.views.WMPlantsAndResearchersView;
import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;

public class WMDefaultPlantsAndResearchersView extends WMPlantsAndResearchersView {

  protected ABCMdbField PLANT_PK, PLANT_NM, RESEARCHER_NAME, CANBEEDITED;

  public WMDefaultPlantsAndResearchersView(AbstractABCMDBGateway db){
    super("PlantsAndResearchers", db);
    PLANT_PK        = addField(new ABCMdbField("intPlantID"));
    PLANT_NM        = addField(new ABCMdbField("vcharPlantName"));
    RESEARCHER_NAME = addField(new ABCMdbField("vcharResearcherName"));
    CANBEEDITED     = addField(new ABCMdbField("CanBeEdited"));
  }

  public ABCMdbField getField_Plant_PK(){       return PLANT_PK;        }
  public ABCMdbField getField_Plant_Nm(){       return PLANT_NM;        }
  public ABCMdbField getField_Researcher_Name(){return RESEARCHER_NAME; }
  public ABCMdbField getField_CanBeEdited(){    return CANBEEDITED;     }

}
