
package wm.db.defaults.views;

import wm.db.views.WMPlantsCountingConfigurationsView;
import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;

public class WMDefaultPlantsCountingConfigurationsView extends WMPlantsCountingConfigurationsView {

  protected ABCMdbField PLANT_PK, COUNTOFCONFIGURATIONS;

  public WMDefaultPlantsCountingConfigurationsView(AbstractABCMDBGateway db){
    super("PlantsCountingConfigurations", db);
    PLANT_PK              = addField(new ABCMdbField("intPlantID"));
    COUNTOFCONFIGURATIONS = addField(new ABCMdbField("NumberOfConfigs"));
  }

  public ABCMdbField getField_Plant_PK(){             return PLANT_PK;              }
  public ABCMdbField getField_CountOfConfigurations(){return COUNTOFCONFIGURATIONS; }

}
