
package wm.db.defaults.views;

import wm.db.views.WMSimConfigPlantStagesView;
import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;

public class WMDefaultSimConfigPlantStagesView extends WMSimConfigPlantStagesView {

  protected ABCMdbField SIMULATIONCONFIGURATION_PK, SIMULATIONCONFIGURATION_NAME, PLANTCONFIGURATION_ID, PLANTCONFIGURATION_NAME, PLANTSTAGE_ORDER, PLANTSTAGE_DURATION, PLANTSTAGE_CROPFACTOR, PLANTSTAGE_DROUGHTSENSITIVITY, PLANT_NAME;

  public WMDefaultSimConfigPlantStagesView(AbstractABCMDBGateway db){
    super("SimConfigPlantStages", db);
    SIMULATIONCONFIGURATION_PK    = addField(new ABCMdbField("intSimulationConfigurationID"));
    SIMULATIONCONFIGURATION_NAME  = addField(new ABCMdbField("vcharSimConfigName"));
    PLANTCONFIGURATION_ID         = addField(new ABCMdbField("intPlantConfigurationID"));
    PLANTCONFIGURATION_NAME       = addField(new ABCMdbField("vcharPlantConfigName"));
    PLANTSTAGE_ORDER              = addField(new ABCMdbField("intOrder"));
    PLANTSTAGE_DURATION           = addField(new ABCMdbField("intDuration"));
    PLANTSTAGE_CROPFACTOR         = addField(new ABCMdbField("dblCropFactor"));
    PLANTSTAGE_DROUGHTSENSITIVITY = addField(new ABCMdbField("dblDroughtSensitivity"));
    PLANT_NAME                    = addField(new ABCMdbField("vcharPlantName"));
  }

  public ABCMdbField getField_SimulationConfiguration_PK(){   return SIMULATIONCONFIGURATION_PK;    }
  public ABCMdbField getField_SimulationConfiguration_Name(){ return SIMULATIONCONFIGURATION_NAME;  }
  public ABCMdbField getField_PlantConfiguration_ID(){        return PLANTCONFIGURATION_ID;         }
  public ABCMdbField getField_PlantConfiguration_Name(){      return PLANTCONFIGURATION_NAME;       }
  public ABCMdbField getField_PlantStage_Order(){             return PLANTSTAGE_ORDER;              }
  public ABCMdbField getField_PlantStage_Duration(){          return PLANTSTAGE_DURATION;           }
  public ABCMdbField getField_PlantStage_CropFactor(){        return PLANTSTAGE_CROPFACTOR;         }
  public ABCMdbField getField_PlantStage_DroughtSensitivity(){return PLANTSTAGE_DROUGHTSENSITIVITY; }
  public ABCMdbField getField_Plant_Name(){                   return PLANT_NAME;                    }

}
