 
package wm.db.tables;  
 
import abcm.db.components.ABCMObjectCommentTable;
import abcm.db.components.ABCMdbDatum;
import abcm.db.components.ABCMdbField;
 
public abstract class WMPlantCommentsTable extends ABCMObjectCommentTable{
 
  public WMPlantCommentsTable(String tableName){ super(tableName); }

  public abstract ABCMdbField getField_PK();
  public abstract ABCMdbField getField_PlantFK();
  public abstract ABCMdbField getField_CommentFK();

  public ABCMdbDatum getDatum(long plantFK, long commentFK){
    ABCMdbDatum datum = new ABCMdbDatum(this);
    datum.addValue(getField_PlantFK(), plantFK);
    datum.addValue(getField_CommentFK(), commentFK);
    return datum;
  }
  
}
 
