
package wm.db.tables;

import abcm.db.components.ABCMObjectCommentTable;
import abcm.db.components.ABCMdbDatum;
import abcm.db.components.ABCMdbField;

public abstract class WMPlantConfigurationCommentsTable extends ABCMObjectCommentTable {

  public WMPlantConfigurationCommentsTable(String tableName) {    super(tableName);   }

  public abstract ABCMdbField getField_PK();
  public abstract ABCMdbField getField_PlantConfigurationFK();
  public abstract ABCMdbField getField_CommentFK();

  public ABCMdbDatum getDatum(long plantFK, long commentFK){
    ABCMdbDatum datum = new ABCMdbDatum(this);
    datum.addValue(getField_PlantConfigurationFK(), plantFK);
    datum.addValue(getField_CommentFK(), commentFK);
    return datum;
  }

  
}
