 
package wm.db.tables;  
 
import abcm.db.components.ABCMdbDatum;
import abcm.db.components.ABCMdbField;
import abcm.db.components.ABCMdbTable;
 
public abstract class WMPlantsTable extends ABCMdbTable{
 
  public WMPlantsTable(String tableName){ super(tableName); }

  public abstract ABCMdbField getField_PK();
  public abstract ABCMdbField getField_Name();
  public abstract ABCMdbField getField_ResearcherFK();

  public ABCMdbDatum getDatum(String name, String researcherFK){
    ABCMdbDatum datum = new ABCMdbDatum(this);
    datum.addValue(getField_Name(), name);
    datum.addValue(getField_ResearcherFK(), researcherFK);
    return datum;
  }
  
  public ABCMdbDatum getDatum(String name, long researcherFK){
    return getDatum(name, "" + researcherFK);
  }
  
}
 
