package wm.db.tables;  
 
import abcm.db.components.ABCMdbDatum;
import abcm.db.components.ABCMdbField;
import abcm.db.components.ABCMdbTable;
 
public abstract class WMSimulationConfigurationPlantConfigurationsTable extends ABCMdbTable{
 
  public WMSimulationConfigurationPlantConfigurationsTable(String tableName){ super(tableName); }

  public abstract ABCMdbField getField_PK();
  public abstract ABCMdbField getField_SimulationConfigurationFK();
  public abstract ABCMdbField getField_PlantConfigurationFK();

  public ABCMdbDatum getDatum(String simConfigPK, String plantConfigPK){
    ABCMdbDatum datum = new ABCMdbDatum(this);
    datum.addValue(getField_SimulationConfigurationFK(), simConfigPK);
    datum.addValue(getField_PlantConfigurationFK(), plantConfigPK);
    return datum;
  }
  
  public ABCMdbDatum getDatum(long simConfigPK, long plantConfigPK){
    return getDatum("" + simConfigPK, "" + plantConfigPK);
  }
  
}
 
