 
package abcm.db.components.defaults.tables;  
 
import abcm.db.components.ABCMdbField;
import abcm.db.components.tables.ABCMParameterCategoriesTable;
 
public class ABCMDefaultParameterCategoriesTable extends ABCMParameterCategoriesTable {

  protected ABCMdbField PK, NAME, DESC;

  public ABCMDefaultParameterCategoriesTable(){
    super("tblParameterCategories");
    PK   = createAndAddField("intParameterCategoryID",            INT,                true);
    NAME = createAndAddField("vcharParameterCategoryName",        false, VCHAR50      );
    DESC = createAndAddField("vcharParameterCategoryDescription", false, VCHAR50      );

    addIndex(new ABCMdbIndex("NoDupParamCats", new String[]{ getField_Name().getName() }));

  }

  public ABCMdbField getField_PK(){          return PK;    }
  public ABCMdbField getField_Name(){        return NAME;  }
  public ABCMdbField getField_Description(){ return DESC;  }
 
}
 
