 
package abcm.db.components.defaults.tables;  
 
import abcm.db.components.ABCMdbField;
import abcm.db.components.tables.ABCMReferenceCategoriesTable;
 
public class ABCMDefaultReferenceCategoriesTable extends ABCMReferenceCategoriesTable {

  protected ABCMdbField PK, CATEGORY;

  public ABCMDefaultReferenceCategoriesTable(){
    super("tblReferenceCategories");
    PK       = createAndAddField("intCategoryID", INT,             true);
    CATEGORY = createAndAddField("charCategory",  false, CHAR16        );

    addIndex(new ABCMdbIndex("NoDupRefCategories", new String[]{ getField_Category().getName() }));

  }

  public ABCMdbField getField_PK(){       return PK;        }
  public ABCMdbField getField_Category(){ return CATEGORY;  }

 
}
 
