 
package abcm.db.components.defaults.tables;  
 
import abcm.db.components.ABCMdbField;
import abcm.db.components.tables.ABCMReferenceWorkTypesTable;
 
public class ABCMDefaultReferenceWorkTypesTable extends ABCMReferenceWorkTypesTable {

  protected ABCMdbField PK, TYPE;

  public ABCMDefaultReferenceWorkTypesTable(){
    super("tblReferenceWorkTypes");
    PK   = createAndAddField("intTypeID", INT,                true);
    TYPE = createAndAddField("vcharType", false, VCHAR20      );

    addIndex(new ABCMdbIndex("NoDupRefWorkTypes", new String[]{ getField_Type().getName() }));

  }

  public ABCMdbField getField_PK(){   return PK;    }
  public ABCMdbField getField_Type(){ return TYPE;  }
 
}
 
