 
package abcm.db.components.defaults.tables;  
 
import abcm.db.components.ABCMdbField;
import abcm.db.components.tables.ABCMRunModesTable;
 
public class ABCMDefaultRunModesTable extends ABCMRunModesTable {
 
  protected ABCMdbField PK, RUN_MODE;

  public ABCMDefaultRunModesTable(){
    super("tblRunModes");
    PK       = createAndAddField("intModeID",     false, INT,                true);
    RUN_MODE = createAndAddField("vcharModeType", false, VCHAR16      );

    addIndex(new ABCMdbIndex("NoDupRunModes", new String[]{ getField_RunMode().getName() }));
    
    multiFieldPKFieldList = new String[] { PK.getName() };

//    addIndex(new ABCMdbIndex("KeyForRunModes", new String[]{ getField_PK().getName()}));
  }

  public ABCMdbField getField_PK(){      return PK;        }
  public ABCMdbField getField_RunMode(){ return RUN_MODE;  }
  
}
 
