 
package abcm.db.components.defaults.tables;  
 
import abcm.db.components.ABCMdbField;
import abcm.db.components.tables.ABCMSimulationDataSeriesTable;
import abcm.db.components.tables.ABCMSimulationDataTable;
 
public class ABCMDefaultSimulationDataTable extends ABCMSimulationDataTable {

  protected ABCMdbField PK, FK_DATA_SERIES, SIM_DATE, NUMERIC_VALUE, STRING_VALUE;

  public ABCMDefaultSimulationDataTable(ABCMSimulationDataSeriesTable simulationDataSeriesTable){
    super("tblSimulationData");
    PK             = createAndAddField("intSimulationDatumID", INT,                true);
    FK_DATA_SERIES = createAndAddField("intDataSeriesID",      false, INT,
        simulationDataSeriesTable.getName(), simulationDataSeriesTable.getField_PK().getName());
    SIM_DATE       = createAndAddField("dblSimulationDate",    false, FLOAT8             );
    NUMERIC_VALUE  = createAndAddField("dblValue",              true, FLOAT8             );
    STRING_VALUE   = createAndAddField("vcharValue",            true, VCHAR50      );

  }

  public ABCMdbField getField_PK(){             return PK;              }
  public ABCMdbField getField_DataSeriesFK(){   return FK_DATA_SERIES;  }
  public ABCMdbField getField_SimulationDate(){ return SIM_DATE;        }
  public ABCMdbField getField_NumericValue(){   return NUMERIC_VALUE;   }
  public ABCMdbField getField_StringValue(){    return STRING_VALUE;    }
 
}
 
