 
package abcm.db.components.defaults.tables;  
 
import abcm.db.components.ABCMdbField;
import abcm.db.components.tables.ABCMTruthValuesTable;
 
public class ABCMDefaultTruthValuesTable extends ABCMTruthValuesTable {
 
  protected ABCMdbField PK, DESC, VALUE;

  public ABCMDefaultTruthValuesTable(){
    super("tblTruthValues");
    PK    = createAndAddField("intTruthValue",  false, INT,                 true);
    DESC  = createAndAddField("txtDescription", false, TEXT              );
    VALUE = createAndAddField("vcharTruthValue",  false, VCHAR16         );

    addIndex(new ABCMdbIndex("NoDupValues", new String[]{ getField_TruthValue().getName() }));

  }

  public ABCMdbField getField_PK(){          return PK;     }
  public ABCMdbField getField_Description(){ return DESC;   }
  public ABCMdbField getField_TruthValue(){  return VALUE;  }
  
}
 
