
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMAnalysesAndResearchersView;

public class ABCMDefaultAnalysesAndResearchersView extends ABCMAnalysesAndResearchersView {

  protected ABCMdbField ANALYSIS_PK, ANALYSIS_TITLE, ANALYSIS_DESC, ANALYSIS_DATE_CREATED, RESEARCHER_LAST_NAME_FIRST_NAME;

  public ABCMDefaultAnalysesAndResearchersView(AbstractABCMDBGateway db){
    super("AnalysesAndResearchers", db);
    ANALYSIS_PK                     = addField(new ABCMdbField("intAnalysisID"));
    ANALYSIS_TITLE                  = addField(new ABCMdbField("vcharAnalysisTitle"));
    ANALYSIS_DESC                   = addField(new ABCMdbField("txtDescription"));
    ANALYSIS_DATE_CREATED           = addField(new ABCMdbField("dteDateCreated"));
    RESEARCHER_LAST_NAME_FIRST_NAME = addField(new ABCMdbField("vcharResearcherLastFirst"));
  }

  public ABCMdbField getField_Analysis_PK(){                    return ANALYSIS_PK;                     }
  public ABCMdbField getField_Analysis_Title(){                 return ANALYSIS_TITLE;                  }
  public ABCMdbField getField_Analysis_Desc(){                  return ANALYSIS_DESC;                   }
  public ABCMdbField getField_Analysis_DateCreated(){           return ANALYSIS_DATE_CREATED;           }
  public ABCMdbField getField_Researcher_LastNameFirstName(){   return RESEARCHER_LAST_NAME_FIRST_NAME; }

}
