
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMAnalysesInSummariesView;

public class ABCMDefaultAnalysesInSummariesView extends ABCMAnalysesInSummariesView {

  protected ABCMdbField SUMMARY_PK, ANALYSIS_PK, ANALYSIS_TITLE;

  public ABCMDefaultAnalysesInSummariesView(AbstractABCMDBGateway db){
    super("AnalysesInSummaries", db);
    SUMMARY_PK     = addField(new ABCMdbField("intSummaryID"));
    ANALYSIS_PK    = addField(new ABCMdbField("intAnalysisID"));
    ANALYSIS_TITLE = addField(new ABCMdbField("vcharAnalysisTitle"));
  }

  public ABCMdbField getField_Summary_PK(){    return SUMMARY_PK;     }
  public ABCMdbField getField_Analysis_PK(){   return ANALYSIS_PK;    }
  public ABCMdbField getField_Analysis_Title(){return ANALYSIS_TITLE; }

}
