
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMAnalysisDataSeriesView;

public class ABCMDefaultAnalysisDataSeriesView extends ABCMAnalysisDataSeriesView {

  protected ABCMdbField ANALYSIS_PK, ANALYSIS_TITLE, SIMULATIONRUN_PK, DATASERIES_NAME, ANALYSISDATASERIES_PK, DATASERIES_PK;

  public ABCMDefaultAnalysisDataSeriesView(AbstractABCMDBGateway db){
    super("AnalysisDataSeries", db);
    ANALYSIS_PK           = addField(new ABCMdbField("intAnalysisID"));
    ANALYSIS_TITLE        = addField(new ABCMdbField("vcharAnalysisTitle"));
    SIMULATIONRUN_PK      = addField(new ABCMdbField("lngSimulationRunID"));
    DATASERIES_NAME       = addField(new ABCMdbField("vcharSeriesName"));
    ANALYSISDATASERIES_PK = addField(new ABCMdbField("intAnalysisDataSeriesID"));
    DATASERIES_PK         = addField(new ABCMdbField("intDataSeriesID"));
  }

  public ABCMdbField getField_Analysis_PK(){          return ANALYSIS_PK;           }
  public ABCMdbField getField_Analysis_Title(){       return ANALYSIS_TITLE;        }
  public ABCMdbField getField_SimulationRun_PK(){     return SIMULATIONRUN_PK;      }
  public ABCMdbField getField_DataSeries_Name(){      return DATASERIES_NAME;       }
  public ABCMdbField getField_AnalysisDataSeries_PK(){return ANALYSISDATASERIES_PK; }
  public ABCMdbField getField_DataSeries_PK(){        return DATASERIES_PK;         }

}
