
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMCanBeEdited_CodeModelsView;

public class ABCMDefaultCanBeEdited_CodeModelsView extends ABCMCanBeEdited_CodeModelsView {

  protected ABCMdbField CODEMODEL_PK, COUNTOFSIMULATIONS, COUNTOFCOMMENTS;

  public ABCMDefaultCanBeEdited_CodeModelsView(AbstractABCMDBGateway db){
    super("CanBeEdited_CodeModels", db);
    CODEMODEL_PK       = addField(new ABCMdbField("intCodeModelID"));
    COUNTOFSIMULATIONS = addField(new ABCMdbField("NumberOfSimulations"));
    COUNTOFCOMMENTS    = addField(new ABCMdbField("CountOfComments"));
  }

  public ABCMdbField getField_CodeModel_PK(){      return CODEMODEL_PK;       }
  public ABCMdbField getField_CountOfSimulations(){return COUNTOFSIMULATIONS; }
  public ABCMdbField getField_CountOfComments(){   return COUNTOFCOMMENTS;    }

}
