
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMCanBeEdited_DataModelsView;

public class ABCMDefaultCanBeEdited_DataModelsView extends ABCMCanBeEdited_DataModelsView {

  protected ABCMdbField DATAMODEL_PK, COUNTOFSIMULATIONS, COUNTOFCOMMENTS;

  public ABCMDefaultCanBeEdited_DataModelsView(AbstractABCMDBGateway db){
    super("CanBeEdited_DataModels", db);
    DATAMODEL_PK       = addField(new ABCMdbField("intDataModelID"));
    COUNTOFSIMULATIONS = addField(new ABCMdbField("NumberOfSimulations"));
    COUNTOFCOMMENTS    = addField(new ABCMdbField("CountOfComments"));
  }

  public ABCMdbField getField_DataModel_PK(){      return DATAMODEL_PK;       }
  public ABCMdbField getField_CountOfSimulations(){return COUNTOFSIMULATIONS; }
  public ABCMdbField getField_CountOfComments(){   return COUNTOFCOMMENTS;    }

}
