
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMCanBeEdited_NarrativesView;

public class ABCMDefaultCanBeEdited_NarrativesView extends ABCMCanBeEdited_NarrativesView {

  protected ABCMdbField NARRATIVE_PK, COUNTUSED, COUNTOFCOMMENTS;

  public ABCMDefaultCanBeEdited_NarrativesView(AbstractABCMDBGateway db){
    super("CanBeEdited_Narratives", db);
    NARRATIVE_PK    = addField(new ABCMdbField("intNarrativeID"));
    COUNTUSED       = addField(new ABCMdbField("CountUsed"));
    COUNTOFCOMMENTS = addField(new ABCMdbField("CountOfComments"));
  }

  public ABCMdbField getField_Narrative_PK(){   return NARRATIVE_PK;    }
  public ABCMdbField getField_CountUsed(){      return COUNTUSED;       }
  public ABCMdbField getField_CountOfComments(){return COUNTOFCOMMENTS; }

}
