
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMCanBeEdited_ParameterSetsView;

public class ABCMDefaultCanBeEdited_ParameterSetsView extends ABCMCanBeEdited_ParameterSetsView {

  protected ABCMdbField PARAMETERSET_PK, COUNTOFRUNS, COUNTOFCOMMENTS;

  public ABCMDefaultCanBeEdited_ParameterSetsView(AbstractABCMDBGateway db){
    super("CanBeEdited_ParameterSets", db);
    PARAMETERSET_PK = addField(new ABCMdbField("intParameterSetID"));
    COUNTOFRUNS     = addField(new ABCMdbField("TimesRun"));
    COUNTOFCOMMENTS = addField(new ABCMdbField("CountOfComments"));
  }

  public ABCMdbField getField_ParameterSet_PK(){return PARAMETERSET_PK; }
  public ABCMdbField getField_CountOfRuns(){    return COUNTOFRUNS;     }
  public ABCMdbField getField_CountOfComments(){return COUNTOFCOMMENTS; }

}
