
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMCanBeEdited_ProbeSetsView;

public class ABCMDefaultCanBeEdited_ProbeSetsView extends ABCMCanBeEdited_ProbeSetsView {

  protected ABCMdbField PROBESET_PK, COUNTOFTIMESRUN, COUNTOFCOMMENTS;

  public ABCMDefaultCanBeEdited_ProbeSetsView(AbstractABCMDBGateway db){
    super("CanBeEdited_ProbeSets", db);
    PROBESET_PK     = addField(new ABCMdbField("intProbeSetID"));
    COUNTOFTIMESRUN = addField(new ABCMdbField("TimesRun"));
    COUNTOFCOMMENTS = addField(new ABCMdbField("CountOfComments"));
  }

  public ABCMdbField getField_ProbeSet_PK(){    return PROBESET_PK;     }
  public ABCMdbField getField_CountOfTimesRun(){return COUNTOFTIMESRUN; }
  public ABCMdbField getField_CountOfComments(){return COUNTOFCOMMENTS; }

}
