
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMCanBeEdited_ProbesView;

public class ABCMDefaultCanBeEdited_ProbesView extends ABCMCanBeEdited_ProbesView {

  protected ABCMdbField PROBE_PK, COUNTOFPROBESETS, COUNTOFCOMMENTS;
  
  public ABCMDefaultCanBeEdited_ProbesView(AbstractABCMDBGateway db){
    super("CanBeEdited_Probes", db);
    PROBE_PK         = addField(new ABCMdbField("intProbeID"));
    COUNTOFPROBESETS = addField(new ABCMdbField("NumberOfSets"));
    COUNTOFCOMMENTS  = addField(new ABCMdbField("CountOfComments"));
  }

  public ABCMdbField getField_Probe_PK(){        return PROBE_PK;         }
  public ABCMdbField getField_CountOfProbeSets(){return COUNTOFPROBESETS; }
  public ABCMdbField getField_CountOfComments(){ return COUNTOFCOMMENTS;  }

}
