
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMCanBeEdited_SimulationConfigurationsView;

public class ABCMDefaultCanBeEdited_SimulationConfigurationsView extends ABCMCanBeEdited_SimulationConfigurationsView {

  protected ABCMdbField SIMULATIONCONFIGURATION_PK, COUNTOFDATAMODELS, COUNTOFCOMMENTS;

  public ABCMDefaultCanBeEdited_SimulationConfigurationsView(AbstractABCMDBGateway db){
    super("CanBeEdited_SimulationConfigurations", db);
    SIMULATIONCONFIGURATION_PK = addField(new ABCMdbField("intSimulationConfigurationID"));
    COUNTOFDATAMODELS          = addField(new ABCMdbField("NumberOfDataModels"));
    COUNTOFCOMMENTS            = addField(new ABCMdbField("CountOfComments"));
  }

  public ABCMdbField getField_SimulationConfiguration_PK(){return SIMULATIONCONFIGURATION_PK; }
  public ABCMdbField getField_CountOfDataModels(){         return COUNTOFDATAMODELS;          }
  public ABCMdbField getField_CountOfComments(){           return COUNTOFCOMMENTS;            }

}
