
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMCanBeEdited_SimulationsView;

public class ABCMDefaultCanBeEdited_SimulationsView extends ABCMCanBeEdited_SimulationsView {

  protected ABCMdbField SIMULATION_PK, COUNTOFRUNS, COUNTOFCOMMENTS;

  public ABCMDefaultCanBeEdited_SimulationsView(AbstractABCMDBGateway db){
    super("CanBeEdited_Simulations", db);
    SIMULATION_PK   = addField(new ABCMdbField("intSimulationID"));
    COUNTOFRUNS     = addField(new ABCMdbField("timesRun"));
    COUNTOFCOMMENTS = addField(new ABCMdbField("CountOfComments"));
  }

  public ABCMdbField getField_Simulation_PK(){  return SIMULATION_PK;   }
  public ABCMdbField getField_CountOfRuns(){    return COUNTOFRUNS;     }
  public ABCMdbField getField_CountOfComments(){return COUNTOFCOMMENTS; }

}
