
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMCanBeEdited_SummariesView;

public class ABCMDefaultCanBeEdited_SummariesView extends ABCMCanBeEdited_SummariesView {

  protected ABCMdbField SUMMARY_PK, COUNTOFCOMMENTS;

  public ABCMDefaultCanBeEdited_SummariesView(AbstractABCMDBGateway db){
    super("CanBeEdited_Summaries", db);
    SUMMARY_PK      = addField(new ABCMdbField("intSummaryID"));
    COUNTOFCOMMENTS = addField(new ABCMdbField("CommentsCount"));
  }

  public ABCMdbField getField_Summary_PK(){     return SUMMARY_PK;      }
  public ABCMdbField getField_CountOfComments(){return COUNTOFCOMMENTS; }

}
