
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMCodeModelsDomainsAndValuesAllView;

public class ABCMDefaultCodeModelsDomainsAndValuesAllView extends ABCMCodeModelsDomainsAndValuesAllView {

  protected ABCMdbField CODEMODEL_AND_OPTION_VALUE_PK, CODEMODEL_TITLE, CODEMODEL_PK, CODEMODELOPTIONDOMAIN_ID, CODEMODELOPTIONDOMAIN_PK, CODEMODELOPTIONVALUE_VALUE, CODEMODELOPTIONVALUE_NAME, CODEMODELOPTIONVALUE_CODE, CODEMODELOPTIONVALUE_DESC, CODEMODELOPTIONDOMAIN_NAME, CODEMODELOPTIONDOMAIN_DESC;

  public ABCMDefaultCodeModelsDomainsAndValuesAllView(AbstractABCMDBGateway db){
    super("CodeModelsDomainsAndValuesAll", db);
    CODEMODEL_AND_OPTION_VALUE_PK = addField(new ABCMdbField("intPK"));
    CODEMODEL_TITLE               = addField(new ABCMdbField("vcharCodeModelTitle"));
    CODEMODEL_PK                  = addField(new ABCMdbField("intCodeModelID"));
    CODEMODELOPTIONDOMAIN_ID      = addField(new ABCMdbField("vcharInCodeDomainIDString"));
    CODEMODELOPTIONDOMAIN_PK      = addField(new ABCMdbField("intCodeModelOptionDomainID"));
    CODEMODELOPTIONVALUE_VALUE    = addField(new ABCMdbField("intOptionValue"));
    CODEMODELOPTIONVALUE_NAME     = addField(new ABCMdbField("varCharOptionValueName"));
    CODEMODELOPTIONVALUE_CODE     = addField(new ABCMdbField("txtCode"));
    CODEMODELOPTIONVALUE_DESC     = addField(new ABCMdbField("txtCodeModelOptionValueDesc"));
    CODEMODELOPTIONDOMAIN_NAME    = addField(new ABCMdbField("vcharDomainName"));
    CODEMODELOPTIONDOMAIN_DESC    = addField(new ABCMdbField("txtDescription"));
  }

  public ABCMdbField getField_CodeModelAndOptionValue_PK(){ return CODEMODEL_AND_OPTION_VALUE_PK; }
  public ABCMdbField getField_CodeModel_Title(){            return CODEMODEL_TITLE;               }
  public ABCMdbField getField_CodeModel_PK(){               return CODEMODEL_PK;                  }
  public ABCMdbField getField_CodeModelOptionDomain_ID(){   return CODEMODELOPTIONDOMAIN_ID;      }
  public ABCMdbField getField_CodeModelOptionDomain_PK(){   return CODEMODELOPTIONDOMAIN_PK;      }
  public ABCMdbField getField_CodeModelOptionValue_Value(){ return CODEMODELOPTIONVALUE_VALUE;    }
  public ABCMdbField getField_CodeModelOptionValue_Name(){  return CODEMODELOPTIONVALUE_NAME;     }
  public ABCMdbField getField_CodeModelOptionValue_Code(){  return CODEMODELOPTIONVALUE_CODE;     }
  public ABCMdbField getField_CodeModelOptionValue_Desc(){  return CODEMODELOPTIONVALUE_DESC;     }
  public ABCMdbField getField_CodeModelOptionDomain_Name(){ return CODEMODELOPTIONDOMAIN_NAME;    }
  public ABCMdbField getField_CodeModelOptionDomain_Desc(){ return CODEMODELOPTIONDOMAIN_DESC;    }

}
