
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMCodeModelsForWriteupView;

public class ABCMDefaultCodeModelsForWriteupView extends ABCMCodeModelsForWriteupView {

  protected ABCMdbField CODEMODELOPTIONVALUE_NAME, CODEMODELOPTIONVALUE_CODE, CODEMODELOPTIONVALUE_DESC, CODEMODELOPTIONVALUE_VALUE, CODEMODELOPTIONDOMAIN_PK;

  public ABCMDefaultCodeModelsForWriteupView(AbstractABCMDBGateway db){
    super("CodeModelsForWriteup", db);
    CODEMODELOPTIONVALUE_NAME  = addField(new ABCMdbField("varCharOptionValueName"));
    CODEMODELOPTIONVALUE_CODE  = addField(new ABCMdbField("txtCode"));
    CODEMODELOPTIONVALUE_DESC  = addField(new ABCMdbField("txtDescription"));
    CODEMODELOPTIONVALUE_VALUE = addField(new ABCMdbField("intOptionValue"));
    CODEMODELOPTIONDOMAIN_PK   = addField(new ABCMdbField("intCodeModelOptionDomainID"));

  }

  public ABCMdbField getField_CodeModelOptionValue_Name(){ return CODEMODELOPTIONVALUE_NAME;  }
  public ABCMdbField getField_CodeModelOptionValue_Code(){ return CODEMODELOPTIONVALUE_CODE;  }
  public ABCMdbField getField_CodeModelOptionValue_Desc(){ return CODEMODELOPTIONVALUE_DESC;  }
  public ABCMdbField getField_CodeModelOptionValue_Value(){return CODEMODELOPTIONVALUE_VALUE; }
  public ABCMdbField getField_CodeModelOptionDomain_PK(){  return CODEMODELOPTIONDOMAIN_PK;   }

}
