
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMCodeModelsInSimulationsView;

public class ABCMDefaultCodeModelsInSimulationsView extends ABCMCodeModelsInSimulationsView {

  protected ABCMdbField CODEMODEL_PK, COUNTOFSIMULATIONS;

  public ABCMDefaultCodeModelsInSimulationsView(AbstractABCMDBGateway db){
    super("CodeModelsInSimulations", db);
    CODEMODEL_PK       = addField(new ABCMdbField("intCodeModelID"));
    COUNTOFSIMULATIONS = addField(new ABCMdbField("NumberOfSimulations"));
  }

  public ABCMdbField getField_CodeModel_PK(){      return CODEMODEL_PK;       }
  public ABCMdbField getField_CountOfSimulations(){return COUNTOFSIMULATIONS; }

}
