
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMCommandCategoriesInOrderView;

public class ABCMDefaultCommandCategoriesInOrderView extends ABCMCommandCategoriesInOrderView {

  protected ABCMdbField COMMANDCATEGORY_PK, COMMANDCATEGORY_NAME, COMMANDCATEGORY_DESC, COMMANDCATEGORY_ORDER;

  public ABCMDefaultCommandCategoriesInOrderView(AbstractABCMDBGateway db){
    super("CommandCategoriesInOrder", db);
    COMMANDCATEGORY_PK    = addField(new ABCMdbField("intCommandCategoryID"));
    COMMANDCATEGORY_NAME  = addField(new ABCMdbField("vcharCategoryName"));
    COMMANDCATEGORY_DESC  = addField(new ABCMdbField("txtDescription"));
    COMMANDCATEGORY_ORDER = addField(new ABCMdbField("intOrder"));
  }

  public ABCMdbField getField_CommandCategory_PK(){   return COMMANDCATEGORY_PK;    }
  public ABCMdbField getField_CommandCategory_Name(){ return COMMANDCATEGORY_NAME;  }
  public ABCMdbField getField_CommandCategory_Desc(){ return COMMANDCATEGORY_DESC;  }
  public ABCMdbField getField_CommandCategory_Order(){return COMMANDCATEGORY_ORDER; }

}
