
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMCommentsAndResearchersView;

public class ABCMDefaultCommentsAndResearchersView extends ABCMCommentsAndResearchersView {

  protected ABCMdbField COMMENT_PK, RESEARCHER_PK, COMMENT_DATEENTRYMADE, COMMENT_TEXT, RESEARCHER_NAME;

  public ABCMDefaultCommentsAndResearchersView(AbstractABCMDBGateway db){
    super("CommentsAndResearchers", db);
    COMMENT_PK            = addField(new ABCMdbField("intCommentID"));
    RESEARCHER_PK         = addField(new ABCMdbField("intResearcherID"));
    COMMENT_DATEENTRYMADE = addField(new ABCMdbField("dteEntryMade"));
    COMMENT_TEXT          = addField(new ABCMdbField("txtComment"));
    RESEARCHER_NAME       = addField(new ABCMdbField("vcharResearcherName"));
  }

  public ABCMdbField getField_Comment_PK(){           return COMMENT_PK;            }
  public ABCMdbField getField_Researcher_PK(){        return RESEARCHER_PK;         }
  public ABCMdbField getField_Comment_DateEntryMade(){return COMMENT_DATEENTRYMADE; }
  public ABCMdbField getField_Comment_Text(){         return COMMENT_TEXT;          }
  public ABCMdbField getField_Researcher_Name(){      return RESEARCHER_NAME;       }

}
