
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMConfigurationsInDataModelsView;

public class ABCMDefaultConfigurationsInDataModelsView extends ABCMConfigurationsInDataModelsView {

  protected ABCMdbField SIMULATIONCONFIGURATION_PK, COUNTOFDATAMODELS;

  public ABCMDefaultConfigurationsInDataModelsView(AbstractABCMDBGateway db){
    super("ConfigurationsInDataModels", db);
    SIMULATIONCONFIGURATION_PK = addField(new ABCMdbField("intSimulationConfigurationID"));
    COUNTOFDATAMODELS          = addField(new ABCMdbField("NumberOfDataModels"));
  }

  public ABCMdbField getField_SimulationConfiguration_PK(){return SIMULATIONCONFIGURATION_PK; }
  public ABCMdbField getField_CountOfDataModels(){         return COUNTOFDATAMODELS;          }

}
