
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMDataModelsInSimulationsView;

public class ABCMDefaultDataModelsInSimulationsView extends ABCMDataModelsInSimulationsView {

  protected ABCMdbField DATAMODEL_PK, COUNTOFSIMULATIONS;

  public ABCMDefaultDataModelsInSimulationsView(AbstractABCMDBGateway db){
    super("DataModelsInSimulations", db);
    DATAMODEL_PK       = addField(new ABCMdbField("intDataModelID"));
    COUNTOFSIMULATIONS = addField(new ABCMdbField("NumberOfSimulations"));
  }

  public ABCMdbField getField_DataModel_PK(){      return DATAMODEL_PK;       }
  public ABCMdbField getField_CountOfSimulations(){return COUNTOFSIMULATIONS; }

}
