
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMHistoriesAndResearchersView;

public class ABCMDefaultHistoriesAndResearchersView extends ABCMHistoriesAndResearchersView {

  protected ABCMdbField HISTORY_PK, HISTORY_TITLE, RESEARCHER_PK, HISTORY_DESCRIPTION, RESEARCHER_NAME, CANBEEDITED, TRUTHVALUE_VALUE;

  public ABCMDefaultHistoriesAndResearchersView(AbstractABCMDBGateway db){
    super("HistoriesAndResearchers", db);
    HISTORY_PK          = addField(new ABCMdbField("intHistoryID"));
    HISTORY_TITLE       = addField(new ABCMdbField("vcharHistoryTitle"));
    RESEARCHER_PK       = addField(new ABCMdbField("intResearcherID"));
    HISTORY_DESCRIPTION = addField(new ABCMdbField("txtDescription"));
    RESEARCHER_NAME     = addField(new ABCMdbField("vcharResearcherName"));
    CANBEEDITED         = addField(new ABCMdbField("CanBeEdited"));
    TRUTHVALUE_VALUE    = addField(new ABCMdbField("txtTruthValue"));
  }

  public ABCMdbField getField_History_PK(){         return HISTORY_PK;          }
  public ABCMdbField getField_History_Title(){      return HISTORY_TITLE;       }
  public ABCMdbField getField_Researcher_PK(){      return RESEARCHER_PK;       }
  public ABCMdbField getField_History_Description(){return HISTORY_DESCRIPTION; }
  public ABCMdbField getField_Researcher_Name(){    return RESEARCHER_NAME;     }
  public ABCMdbField getField_CanBeEdited(){        return CANBEEDITED;         }
  public ABCMdbField getField_TruthValue_Value(){   return TRUTHVALUE_VALUE;    }

}
