
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMHistoryNarrativeDetailsView;

public class ABCMDefaultHistoryNarrativeDetailsView extends ABCMHistoryNarrativeDetailsView {

  protected ABCMdbField HISTORYNARRATIVE_PK, NARRATIVE_NAME, NARRATIVE_DESC, RESEARCHER_PK, NARRATIVE_BASEDATE, NARRATIVE_DATECREATED, NARRATIVE_ISSEASONAL, RESEARCHER_NAME, HISTORY_PK, NARRATIVE_STARTBASEDATE, NARRATIVE_ORDER;

  public ABCMDefaultHistoryNarrativeDetailsView(AbstractABCMDBGateway db){
    super("HistoryNarrativeDetails", db);
    HISTORYNARRATIVE_PK     = addField(new ABCMdbField("intHistoryNarrativeID"));
    NARRATIVE_NAME          = addField(new ABCMdbField("charNarrativeName"));
    NARRATIVE_DESC          = addField(new ABCMdbField("txtDescription"));
    RESEARCHER_PK           = addField(new ABCMdbField("intResearcherID"));
    NARRATIVE_BASEDATE      = addField(new ABCMdbField("dblBaseDate"));
    NARRATIVE_DATECREATED   = addField(new ABCMdbField("dteDateCreated"));
    NARRATIVE_ISSEASONAL    = addField(new ABCMdbField("blnIsSeasonal"));
    RESEARCHER_NAME         = addField(new ABCMdbField("vcharResearcherName"));
    HISTORY_PK              = addField(new ABCMdbField("intHistoryID"));
    NARRATIVE_STARTBASEDATE = addField(new ABCMdbField("dblStartBaseDate"));
    NARRATIVE_ORDER         = addField(new ABCMdbField("intOrder"));
  }

  public ABCMdbField getField_HistoryNarrative_PK(){    return HISTORYNARRATIVE_PK;     }
  public ABCMdbField getField_Narrative_Name(){         return NARRATIVE_NAME;          }
  public ABCMdbField getField_Narrative_Desc(){         return NARRATIVE_DESC;          }
  public ABCMdbField getField_Researcher_PK(){          return RESEARCHER_PK;           }
  public ABCMdbField getField_Narrative_BaseDate(){     return NARRATIVE_BASEDATE;      }
  public ABCMdbField getField_Narrative_DateCreated(){  return NARRATIVE_DATECREATED;   }
  public ABCMdbField getField_Narrative_IsSeasonal(){   return NARRATIVE_ISSEASONAL;    }
  public ABCMdbField getField_Researcher_Name(){        return RESEARCHER_NAME;         }
  public ABCMdbField getField_History_PK(){             return HISTORY_PK;              }
  public ABCMdbField getField_Narrative_StartBaseDate(){return NARRATIVE_STARTBASEDATE; }
  public ABCMdbField getField_Narrative_Order(){        return NARRATIVE_ORDER;         }

}
