
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMNarrativeCommandsAndArgumentsView;

public class ABCMDefaultNarrativeCommandsAndArgumentsView extends ABCMNarrativeCommandsAndArgumentsView {

  protected ABCMdbField NARRATIVECOMMAND, NARRATIVECOMMAND_DESCRIPTION, NUMBEROFARGUMENTS, ARGUMENTNUMBER, ARGUMENTNAME;

  public ABCMDefaultNarrativeCommandsAndArgumentsView(AbstractABCMDBGateway db){
    super("NarrativeCommandsAndArguments", db);
    NARRATIVECOMMAND             = addField(new ABCMdbField("charNarrativeCommand"));
    NARRATIVECOMMAND_DESCRIPTION = addField(new ABCMdbField("txtDescription"));
    NUMBEROFARGUMENTS            = addField(new ABCMdbField("intNumberOfArgs"));
    ARGUMENTNUMBER               = addField(new ABCMdbField("intArgNo"));
    ARGUMENTNAME                 = addField(new ABCMdbField("vcharArgName"));
  }

  public ABCMdbField getField_NarrativeCommand(){            return NARRATIVECOMMAND;             }
  public ABCMdbField getField_NarrativeCommand_Description(){return NARRATIVECOMMAND_DESCRIPTION; }
  public ABCMdbField getField_NumberOfArguments(){           return NUMBEROFARGUMENTS;            }
  public ABCMdbField getField_ArgumentNumber(){              return ARGUMENTNUMBER;               }
  public ABCMdbField getField_ArgumentName(){                return ARGUMENTNAME;                 }

}
