
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMNarrativesAndResearchersView;

public class ABCMDefaultNarrativesAndResearchersView extends ABCMNarrativesAndResearchersView {

  protected ABCMdbField NARRATIVE_PK, NARRATIVE_NAME, NARRATIVE_DESC, RESEARCHER_PK, NARRATIVE_BASEDATE, RESEARCHER_NAME, NARRATIVE_DATECREATED, NARRATIVE_ISSEASONAL, CANBEEDITED;

  public ABCMDefaultNarrativesAndResearchersView(AbstractABCMDBGateway db){
    super("NarrativesAndResearchers", db);
    NARRATIVE_PK          = addField(new ABCMdbField("intNarrativeID"));
    NARRATIVE_NAME        = addField(new ABCMdbField("charNarrativeName"));
    NARRATIVE_DESC        = addField(new ABCMdbField("txtDescription"));
    RESEARCHER_PK         = addField(new ABCMdbField("intResearcherID"));
    NARRATIVE_BASEDATE    = addField(new ABCMdbField("dblBaseDate"));
    RESEARCHER_NAME       = addField(new ABCMdbField("vcharResearcherName"));
    NARRATIVE_DATECREATED = addField(new ABCMdbField("dteDateCreated"));
    NARRATIVE_ISSEASONAL  = addField(new ABCMdbField("blnIsSeasonal"));
    CANBEEDITED           = addField(new ABCMdbField("CanBeEdited"));
  }

  public ABCMdbField getField_Narrative_PK(){         return NARRATIVE_PK;          }
  public ABCMdbField getField_Narrative_Name(){       return NARRATIVE_NAME;        }
  public ABCMdbField getField_Narrative_Desc(){       return NARRATIVE_DESC;        }
  public ABCMdbField getField_Researcher_PK(){        return RESEARCHER_PK;         }
  public ABCMdbField getField_Narrative_BaseDate(){   return NARRATIVE_BASEDATE;    }
  public ABCMdbField getField_Researcher_Name(){      return RESEARCHER_NAME;       }
  public ABCMdbField getField_Narrative_DateCreated(){return NARRATIVE_DATECREATED; }
  public ABCMdbField getField_Narrative_IsSeasonal(){ return NARRATIVE_ISSEASONAL;  }
  public ABCMdbField getField_CanBeEdited(){          return CANBEEDITED;           }

}
