
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMParameterSetValuesAndParametersView;

public class ABCMDefaultParameterSetValuesAndParametersView extends ABCMParameterSetValuesAndParametersView {

  protected ABCMdbField PARAMETER_NAME, PARAMETER_DESCRIPTION, PARAMETER_ABCMDefaultVALUE, PARAMETER_VALUE, PARAMETERSET_PK, PARAMETER_PK;

  public ABCMDefaultParameterSetValuesAndParametersView(AbstractABCMDBGateway db){
    super("ParameterSetValuesAndParameters", db);
    PARAMETER_NAME             = addField(new ABCMdbField("vcharParameterName"));
    PARAMETER_DESCRIPTION      = addField(new ABCMdbField("txtDescription"));
    PARAMETER_ABCMDefaultVALUE = addField(new ABCMdbField("dblABCMDefaultValue"));
    PARAMETER_VALUE            = addField(new ABCMdbField("dblValue"));
    PARAMETERSET_PK            = addField(new ABCMdbField("intParameterSetID"));
    PARAMETER_PK               = addField(new ABCMdbField("intParameterID"));
  }

  public ABCMdbField getField_Parameter_Name(){        return PARAMETER_NAME;         }
  public ABCMdbField getField_Parameter_Description(){ return PARAMETER_DESCRIPTION;  }
  public ABCMdbField getField_Parameter_DefaultValue(){return PARAMETER_ABCMDefaultVALUE; }
  public ABCMdbField getField_Parameter_Value(){       return PARAMETER_VALUE;        }
  public ABCMdbField getField_ParameterSet_PK(){       return PARAMETERSET_PK;        }
  public ABCMdbField getField_Parameter_PK(){          return PARAMETER_PK;           }

}
