
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMParameterSetsAndAllParametersView;

public class ABCMDefaultParameterSetsAndAllParametersView extends ABCMParameterSetsAndAllParametersView {

  protected ABCMdbField PARAMETERSET_PK, PARAMETERSET_NAME, PARAMETER_PK, PARAMETER_ABCMDefaultVALUE, PARAMETER_NAME, PARAMETER_DESCRIPTION, PARAMETER_UNITS;

  public ABCMDefaultParameterSetsAndAllParametersView(AbstractABCMDBGateway db){
    super("ParameterSetsAndAllParameters", db);
    PARAMETERSET_PK            = addField(new ABCMdbField("intParameterSetID"));
    PARAMETERSET_NAME          = addField(new ABCMdbField("varcharParameterSetName"));
    PARAMETER_PK               = addField(new ABCMdbField("intParameterID"));
    PARAMETER_ABCMDefaultVALUE = addField(new ABCMdbField("dblABCMDefaultValue"));
    PARAMETER_NAME             = addField(new ABCMdbField("vcharParameterName"));
    PARAMETER_DESCRIPTION      = addField(new ABCMdbField("txtDescription"));
    PARAMETER_UNITS            = addField(new ABCMdbField("txtUnits"));
  }

  public ABCMdbField getField_ParameterSet_PK(){       return PARAMETERSET_PK;        }
  public ABCMdbField getField_ParameterSet_Name(){     return PARAMETERSET_NAME;      }
  public ABCMdbField getField_Parameter_PK(){          return PARAMETER_PK;           }
  public ABCMdbField getField_Parameter_DefaultValue(){return PARAMETER_ABCMDefaultVALUE; }
  public ABCMdbField getField_Parameter_Name(){        return PARAMETER_NAME;         }
  public ABCMdbField getField_Parameter_Description(){ return PARAMETER_DESCRIPTION;  }
  public ABCMdbField getField_Parameter_Units(){       return PARAMETER_UNITS;        }

}
