
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMParameterSetsAndTruthValuesView;

public class ABCMDefaultParameterSetsAndTruthValuesView extends ABCMParameterSetsAndTruthValuesView {

  protected ABCMdbField PARAMETERSET_PK, TRUTHVALUE;

  public ABCMDefaultParameterSetsAndTruthValuesView(AbstractABCMDBGateway db){
    super("ParameterSetsAndTruthValues", db);
    PARAMETERSET_PK = addField(new ABCMdbField("intParameterSetID"));
    TRUTHVALUE      = addField(new ABCMdbField("truthValue"));

  }

  public ABCMdbField getField_ParameterSet_PK(){return PARAMETERSET_PK; }
  public ABCMdbField getField_TruthValue(){     return TRUTHVALUE;      }

}
