
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMParametersAndCategoriesView;

public class ABCMDefaultParametersAndCategoriesView extends ABCMParametersAndCategoriesView {

  protected ABCMdbField PARAMETERCATEGORY_NAME, PARAMETER_NAME, PARAMETERCATEGORY_PK, ORDER;

  public ABCMDefaultParametersAndCategoriesView(AbstractABCMDBGateway db){
    super("ParametersAndCategories", db);
    PARAMETERCATEGORY_NAME = addField(new ABCMdbField("vcharParameterCategoryName"));
    PARAMETER_NAME         = addField(new ABCMdbField("vcharParameterName"));
    PARAMETERCATEGORY_PK   = addField(new ABCMdbField("lngParameterCategoryID"));
    ORDER                  = addField(new ABCMdbField("lngOrderInCategory"));
  }

  public ABCMdbField getField_ParameterCategory_Name(){return PARAMETERCATEGORY_NAME; }
  public ABCMdbField getField_Parameter_Name(){        return PARAMETER_NAME;         }
  public ABCMdbField getField_ParameterCategory_PK(){  return PARAMETERCATEGORY_PK;   }
  public ABCMdbField getField_Order(){                 return ORDER;                  }

}
