
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMProbeSetsAndResearchersView;

public class ABCMDefaultProbeSetsAndResearchersView extends ABCMProbeSetsAndResearchersView {

  protected ABCMdbField PROBESET_PK, PROBESET_NAME, PROBESET_DATECREATED, RESEARCHER_PK, PROBESET_DESC, RESEARCHER_NAME, CANBEEDITED;

  public ABCMDefaultProbeSetsAndResearchersView(AbstractABCMDBGateway db){
    super("ProbeSetsAndResearchers", db);
    PROBESET_PK          = addField(new ABCMdbField("intProbeSetID"));
    PROBESET_NAME        = addField(new ABCMdbField("varcharProbeSetName"));
    PROBESET_DATECREATED = addField(new ABCMdbField("dteDateCreated"));
    RESEARCHER_PK        = addField(new ABCMdbField("intResearcherID"));
    PROBESET_DESC        = addField(new ABCMdbField("txtDescription"));
    RESEARCHER_NAME      = addField(new ABCMdbField("vcharResearcherName"));
    CANBEEDITED          = addField(new ABCMdbField("CanBeEdited"));
  }

  public ABCMdbField getField_ProbeSet_PK(){         return PROBESET_PK;          }
  public ABCMdbField getField_ProbeSet_Name(){       return PROBESET_NAME;        }
  public ABCMdbField getField_ProbeSet_DateCreated(){return PROBESET_DATECREATED; }
  public ABCMdbField getField_Researcher_PK(){       return RESEARCHER_PK;        }
  public ABCMdbField getField_ProbeSet_Desc(){       return PROBESET_DESC;        }
  public ABCMdbField getField_Researcher_Name(){     return RESEARCHER_NAME;      }
  public ABCMdbField getField_CanBeEdited(){         return CANBEEDITED;          }

}
