
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMProbesAndResearchersView;

public class ABCMDefaultProbesAndResearchersView extends ABCMProbesAndResearchersView {

  protected ABCMdbField RESEARCHER_NAME, PROBE_PK, PROBE_NAME, PROBE_DESC, PROBE_DATECREATED, DATASERIES_NAME, DATASERIES_DOMAIN, PROBE_ISNUMERIC, PROBE_ISMONTHLY, PROBE_BASEDATE, PROBE_FREQUENCY, PROBE_RETRIEVE, CANBEEDITED, PROBE_OFFSET;

  public ABCMDefaultProbesAndResearchersView(AbstractABCMDBGateway db){
    super("ProbesAndResearchers", db);
    RESEARCHER_NAME   = addField(new ABCMdbField("vcharResearcherName"));
    PROBE_PK          = addField(new ABCMdbField("intProbeID"));
    PROBE_NAME        = addField(new ABCMdbField("varcharProbeName"));
    PROBE_DESC        = addField(new ABCMdbField("txtDescription"));
    PROBE_DATECREATED = addField(new ABCMdbField("dteDateCreated"));
    DATASERIES_NAME   = addField(new ABCMdbField("varcharDataSeriesName"));
    DATASERIES_DOMAIN = addField(new ABCMdbField("varcharDataSeriesDomain"));
    PROBE_ISNUMERIC   = addField(new ABCMdbField("blnIsNumeric"));
    PROBE_ISMONTHLY   = addField(new ABCMdbField("blnIsMonthly"));
    PROBE_BASEDATE    = addField(new ABCMdbField("dblBaseDate"));
    PROBE_FREQUENCY   = addField(new ABCMdbField("dblFrequency"));
    PROBE_RETRIEVE    = addField(new ABCMdbField("txtRetrieve"));
    CANBEEDITED       = addField(new ABCMdbField("CanBeEdited"));
    PROBE_OFFSET      = addField(new ABCMdbField("dblOffset"));
  }

  public ABCMdbField getField_Researcher_Name(){  return RESEARCHER_NAME;   }
  public ABCMdbField getField_Probe_PK(){         return PROBE_PK;          }
  public ABCMdbField getField_Probe_Name(){       return PROBE_NAME;        }
  public ABCMdbField getField_Probe_Desc(){       return PROBE_DESC;        }
  public ABCMdbField getField_Probe_DateCreated(){return PROBE_DATECREATED; }
  public ABCMdbField getField_DataSeries_Name(){  return DATASERIES_NAME;   }
  public ABCMdbField getField_DataSeries_Domain(){return DATASERIES_DOMAIN; }
  public ABCMdbField getField_Probe_IsNumeric(){  return PROBE_ISNUMERIC;   }
  public ABCMdbField getField_Probe_IsMonthly(){  return PROBE_ISMONTHLY;   }
  public ABCMdbField getField_Probe_BaseDate(){   return PROBE_BASEDATE;    }
  public ABCMdbField getField_Probe_Frequency(){  return PROBE_FREQUENCY;   }
  public ABCMdbField getField_Probe_Retrieve(){   return PROBE_RETRIEVE;    }
  public ABCMdbField getField_CanBeEdited(){      return CANBEEDITED;       }
  public ABCMdbField getField_Probe_Offset(){     return PROBE_OFFSET;      }

}
