
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMReferenceAuthorsView;

public class ABCMDefaultReferenceAuthorsView extends ABCMReferenceAuthorsView {

  protected ABCMdbField PK, REFERENCE_PK, AUTHORORDER, RESEARCHER_PK, RESEARCHER_LASTNAMEFIRSTNAME;

  public ABCMDefaultReferenceAuthorsView(AbstractABCMDBGateway db){
    super("ReferenceAuthors", db);
    PK                           = addField(new ABCMdbField("intRefAuthorID"));
    REFERENCE_PK                 = addField(new ABCMdbField("intReferenceID"));
    AUTHORORDER                  = addField(new ABCMdbField("intAuthorOrder"));
    RESEARCHER_PK                = addField(new ABCMdbField("intResearcherID"));
    RESEARCHER_LASTNAMEFIRSTNAME = addField(new ABCMdbField("vcharResearcherLastFirst"));
  }

  public ABCMdbField getField_PK(){                          return PK;                           }
  public ABCMdbField getField_Reference_PK(){                return REFERENCE_PK;                 }
  public ABCMdbField getField_AuthorOrder(){                 return AUTHORORDER;                  }
  public ABCMdbField getField_Researcher_PK(){               return RESEARCHER_PK;                }
  public ABCMdbField getField_Researcher_LastNameFirstName(){return RESEARCHER_LASTNAMEFIRSTNAME; }

}
