
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMReferenceCommentsAndResearchersView;

public class ABCMDefaultReferenceCommentsAndResearchersView extends ABCMReferenceCommentsAndResearchersView {

  protected ABCMdbField REFERENCE_PK, COMMENT, RESEARCHER_NAME, COMMENT_DATEENTRYMADE, REFERENCECOMMENT_ID;

  public ABCMDefaultReferenceCommentsAndResearchersView(AbstractABCMDBGateway db){
    super("ReferenceCommentsAndResearchers", db);
    REFERENCE_PK          = addField(new ABCMdbField("intReferenceID"));
    COMMENT               = addField(new ABCMdbField("txtComment"));
    RESEARCHER_NAME       = addField(new ABCMdbField("vcharResearcherName"));
    COMMENT_DATEENTRYMADE = addField(new ABCMdbField("dteEntryMade"));
    REFERENCECOMMENT_ID   = addField(new ABCMdbField("intRefCommentID"));
  }

  public ABCMdbField getField_Reference_PK(){         return REFERENCE_PK;          }
  public ABCMdbField getField_Comment(){              return COMMENT;               }
  public ABCMdbField getField_Researcher_Name(){      return RESEARCHER_NAME;       }
  public ABCMdbField getField_Comment_DateEntryMade(){return COMMENT_DATEENTRYMADE; }
  public ABCMdbField getField_ReferenceComment_ID(){  return REFERENCECOMMENT_ID;   }

}
