
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMResearcherLoginsView;

public class ABCMDefaultResearcherLoginsView extends ABCMResearcherLoginsView {

  protected ABCMdbField RESEARCHER_ID, RESEARCHER_NAME, PROJECTRESEARCHER_USERNAME, PROJECTRESEARCHER_PASSWORD, PROJECTRESEARCHER_ISADMIN;

  public ABCMDefaultResearcherLoginsView(AbstractABCMDBGateway db){
    super("ResearcherLogins", db);
    RESEARCHER_ID              = addField(new ABCMdbField("intResearcherID"));
    RESEARCHER_NAME            = addField(new ABCMdbField("vcharResearcherName"));
    PROJECTRESEARCHER_USERNAME = addField(new ABCMdbField("vcharUserName"));
    PROJECTRESEARCHER_PASSWORD = addField(new ABCMdbField("vcharPassword"));
    PROJECTRESEARCHER_ISADMIN  = addField(new ABCMdbField("blnIsAdministrator"));
  }

  public ABCMdbField getField_Researcher_ID(){             return RESEARCHER_ID;              }
  public ABCMdbField getField_Researcher_Name(){           return RESEARCHER_NAME;            }
  public ABCMdbField getField_ProjectResearcher_UserName(){return PROJECTRESEARCHER_USERNAME; }
  public ABCMdbField getField_ProjectResearcher_Password(){return PROJECTRESEARCHER_PASSWORD; }
  public ABCMdbField getField_ProjectResearcher_IsAdmin(){ return PROJECTRESEARCHER_ISADMIN;  }

}
