
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMResearchersAndSessionsView;

public class ABCMDefaultResearchersAndSessionsView extends ABCMResearchersAndSessionsView {

  protected ABCMdbField LOGINRECORD_PK, RESEARCHER_NAME, SESSIONBEGIN;

  public ABCMDefaultResearchersAndSessionsView(AbstractABCMDBGateway db){
    super("ResearchersAndSessions", db);
    LOGINRECORD_PK  = addField(new ABCMdbField("intLoginRecordID"));
    RESEARCHER_NAME = addField(new ABCMdbField("vcharResearcherName"));
    SESSIONBEGIN    = addField(new ABCMdbField("dteSessionBeginAt"));
  }

  public ABCMdbField getField_LoginRecord_PK(){ return LOGINRECORD_PK;  }
  public ABCMdbField getField_Researcher_Name(){return RESEARCHER_NAME; }
  public ABCMdbField getField_SessionBegin(){   return SESSIONBEGIN;    }

}
