
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMSimulationAnalysesAndDataView;

public class ABCMDefaultSimulationAnalysesAndDataView extends ABCMSimulationAnalysesAndDataView {

  protected ABCMdbField ANALYSIS_PK, SIMULATIONDATASERIES_DATE, SIMULATIONRUN_PK, SIMULATIONDATASERIES_NAME, SIMULATIONDATASERIES_PK, VALUE;

  public ABCMDefaultSimulationAnalysesAndDataView(AbstractABCMDBGateway db){
    super("SimulationAnalysesAndData", db);
    ANALYSIS_PK               = addField(new ABCMdbField("intAnalysisID"));
    SIMULATIONDATASERIES_DATE = addField(new ABCMdbField("dblSimulationDate"));
    SIMULATIONRUN_PK          = addField(new ABCMdbField("lngSimulationRunID"));
    SIMULATIONDATASERIES_NAME = addField(new ABCMdbField("vcharSeriesName"));
    SIMULATIONDATASERIES_PK   = addField(new ABCMdbField("intDataSeriesID"));
    VALUE                     = addField(new ABCMdbField("dblValue"));
  }

  public ABCMdbField getField_Analysis_PK(){              return ANALYSIS_PK;               }
  public ABCMdbField getField_SimulationDataSeries_Date(){return SIMULATIONDATASERIES_DATE; }
  public ABCMdbField getField_SimulationRun_PK(){         return SIMULATIONRUN_PK;          }
  public ABCMdbField getField_SimulationDataSeries_Name(){return SIMULATIONDATASERIES_NAME; }
  public ABCMdbField getField_SimulationDataSeries_PK(){  return SIMULATIONDATASERIES_PK;   }
  public ABCMdbField getField_Value(){                    return VALUE;                     }

}
