package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMSimulationConfigurationsAndTruthValuesView;

public class ABCMDefaultSimulationConfigurationsAndTruthValuesView extends
    ABCMSimulationConfigurationsAndTruthValuesView {

  protected ABCMdbField PK, SIM_CONFIG_NAME, DESC, DATE_CREATED, RESEARCHER_FK, TRUTHVALUE;
  
  public ABCMDefaultSimulationConfigurationsAndTruthValuesView(AbstractABCMDBGateway db){
    super("SimulationConfigurationsAndTruthValues", db);
    
    PK              = addField(new ABCMdbField("intSimulationConfigurationID"));
    SIM_CONFIG_NAME = addField(new ABCMdbField("vcharSimConfigName"));
    DESC            = addField(new ABCMdbField("txtDescription")); 
    DATE_CREATED    = addField(new ABCMdbField("dteDateCreated"));
    RESEARCHER_FK   = addField(new ABCMdbField("intResearcherID"));
    TRUTHVALUE      = addField(new ABCMdbField("intTruthValue"));
    
  }

  public ABCMdbField getField_PK(){               return PK;               }
  public ABCMdbField getField_SimConfigName(){    return SIM_CONFIG_NAME;  }
  public ABCMdbField getField_Desc(){             return DESC;             }
  public ABCMdbField getField_DateCreated(){      return DATE_CREATED;     }
  public ABCMdbField getField_ResearcherFK(){     return RESEARCHER_FK;    }
  public ABCMdbField getField_TruthValue(){       return TRUTHVALUE;       }  
  
}
