
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMSimulationRunsAndResearchersView;

public class ABCMDefaultSimulationRunsAndResearchersView extends ABCMSimulationRunsAndResearchersView {

  protected ABCMdbField SIMULATIONRUN_PK, SIMULATIONRUN_DATETIMEBEGUN, SIMULATION_PK, SIMULATION_TITLE, PARAMETERSET_PK, PARAMETERSET_NAME, PROBESET_PK, PROBESET_NAME, SIMULATIONRUNMODE_PK, RESEARCHER_PK, SIMULATIONRUN_NOTES, SIMULATIONRUN_RANDOMNUMBERSEED, SIMULATIONRUN_RERUN_FK, RESEARCHER_NAME, SIMULATIONRUNMODE_TYPE, COMBINEDTRUTHVALUE, TRUTHVALUE;

  public ABCMDefaultSimulationRunsAndResearchersView(AbstractABCMDBGateway db){
    super("SimulationRunsAndResearchers", db);
    SIMULATIONRUN_PK               = addField(new ABCMdbField("intSimulationRunID"));
    SIMULATIONRUN_DATETIMEBEGUN    = addField(new ABCMdbField("dteDateTimeBegun"));
    SIMULATION_PK                  = addField(new ABCMdbField("intSimulationID"));
    SIMULATION_TITLE               = addField(new ABCMdbField("vcharSimulationTitle"));
    PARAMETERSET_PK                = addField(new ABCMdbField("intParameterSetID"));
    PARAMETERSET_NAME              = addField(new ABCMdbField("varcharParameterSetName"));
    PROBESET_PK                    = addField(new ABCMdbField("intProbeSetID"));
    PROBESET_NAME                  = addField(new ABCMdbField("varcharProbeSetName"));
    SIMULATIONRUNMODE_PK           = addField(new ABCMdbField("intMode"));
    RESEARCHER_PK                  = addField(new ABCMdbField("intResearcherID"));
    SIMULATIONRUN_NOTES            = addField(new ABCMdbField("txtNotes"));
    SIMULATIONRUN_RANDOMNUMBERSEED = addField(new ABCMdbField("intRandomNumberSeed"));
    SIMULATIONRUN_RERUN_FK         = addField(new ABCMdbField("intReRunOfID"));
    RESEARCHER_NAME                = addField(new ABCMdbField("vcharResearcherName"));
    SIMULATIONRUNMODE_TYPE         = addField(new ABCMdbField("vcharModeType"));
    COMBINEDTRUTHVALUE             = addField(new ABCMdbField("CombinedTruthValue"));
    TRUTHVALUE                     = addField(new ABCMdbField("txtTruthValue"));
  }

  public ABCMdbField getField_SimulationRun_PK(){              return SIMULATIONRUN_PK;               }
  public ABCMdbField getField_SimulationRun_DateTimeBegun(){   return SIMULATIONRUN_DATETIMEBEGUN;    }
  public ABCMdbField getField_Simulation_PK(){                 return SIMULATION_PK;                  }
  public ABCMdbField getField_Simulation_Title(){              return SIMULATION_TITLE;               }
  public ABCMdbField getField_ParameterSet_PK(){               return PARAMETERSET_PK;                }
  public ABCMdbField getField_ParameterSet_Name(){             return PARAMETERSET_NAME;              }
  public ABCMdbField getField_ProbeSet_PK(){                   return PROBESET_PK;                    }
  public ABCMdbField getField_ProbeSet_Name(){                 return PROBESET_NAME;                  }
  public ABCMdbField getField_SimulationRunMode_PK(){          return SIMULATIONRUNMODE_PK;           }
  public ABCMdbField getField_Researcher_PK(){                 return RESEARCHER_PK;                  }
  public ABCMdbField getField_SimulationRun_Notes(){           return SIMULATIONRUN_NOTES;            }
  public ABCMdbField getField_SimulationRun_RandomNumberSeed(){return SIMULATIONRUN_RANDOMNUMBERSEED; }
  public ABCMdbField getField_SimulationRun_ReRun_FK(){        return SIMULATIONRUN_RERUN_FK;         }
  public ABCMdbField getField_Researcher_Name(){               return RESEARCHER_NAME;                }
  public ABCMdbField getField_SimulationRunMode_Type(){        return SIMULATIONRUNMODE_TYPE;         }
  public ABCMdbField getField_CombinedTruthValue(){            return COMBINEDTRUTHVALUE;             }
  public ABCMdbField getField_TruthValue(){                    return TRUTHVALUE;                     }

}
