
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMSimulationsWithTruthValuesView;

public class ABCMDefaultSimulationsWithTruthValuesView extends ABCMSimulationsWithTruthValuesView {

  protected ABCMdbField SIMULATION_PK, SIMULATION_TITLE, CODEMODEL_PK, DATAMODEL_PK, DATECREATED, RESEARCHER_PK, SIMULATION_DESC, TRUTHVALUE_PK, TRUTHVALUE;

  public ABCMDefaultSimulationsWithTruthValuesView(AbstractABCMDBGateway db){
    super("SimulationsWithTruthValues", db);
    SIMULATION_PK    = addField(new ABCMdbField("intSimulationID"));
    SIMULATION_TITLE = addField(new ABCMdbField("vcharSimulationTitle"));
    CODEMODEL_PK     = addField(new ABCMdbField("intCodeModelID"));
    DATAMODEL_PK     = addField(new ABCMdbField("intDataModelID"));
    DATECREATED      = addField(new ABCMdbField("dteDateCreated"));
    RESEARCHER_PK    = addField(new ABCMdbField("intResearcherID"));
    SIMULATION_DESC  = addField(new ABCMdbField("txtDescription"));
    TRUTHVALUE_PK    = addField(new ABCMdbField("intTruthValue"));
    TRUTHVALUE       = addField(new ABCMdbField("txtTruthValue"));
  }

  public ABCMdbField getField_Simulation_PK(){   return SIMULATION_PK;    }
  public ABCMdbField getField_Simulation_Title(){return SIMULATION_TITLE; }
  public ABCMdbField getField_CodeModel_PK(){    return CODEMODEL_PK;     }
  public ABCMdbField getField_DataModel_PK(){    return DATAMODEL_PK;     }
  public ABCMdbField getField_DateCreated(){     return DATECREATED;      }
  public ABCMdbField getField_Researcher_PK(){   return RESEARCHER_PK;    }
  public ABCMdbField getField_Simulation_Desc(){ return SIMULATION_DESC;  }
  public ABCMdbField getField_TruthValue_PK(){   return TRUTHVALUE_PK;    }
  public ABCMdbField getField_TruthValue(){      return TRUTHVALUE;       }

}
