
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMSummaryAnalysesAndDetailsView;

public class ABCMDefaultSummaryAnalysesAndDetailsView extends ABCMSummaryAnalysesAndDetailsView {

  protected ABCMdbField SUMMARYANALYSIS_PK, SUMMARY_PK, SUMMARY_TITLE, ANALYSIS_PK, ANALYSIS_ORDER, ANALYSIS_TITLE, 
         ANALYSIS_DATECREATED, ANALYSIS_DESC, RESEARCHER_LASTNAMEFIRSTNAME;
  
  public ABCMDefaultSummaryAnalysesAndDetailsView(AbstractABCMDBGateway db){
    super("SummaryAnalysesAndDetails", db);
    SUMMARYANALYSIS_PK           = addField(new ABCMdbField("intSummaryAnalysisID"));
    SUMMARY_PK                   = addField(new ABCMdbField("intSummaryID"));
    SUMMARY_TITLE                = addField(new ABCMdbField("vcharSummaryTitle"));
    ANALYSIS_PK                  = addField(new ABCMdbField("intAnalysisID"));
    ANALYSIS_ORDER               = addField(new ABCMdbField("intOrder"));
    ANALYSIS_TITLE               = addField(new ABCMdbField("vcharAnalysisTitle"));
    ANALYSIS_DATECREATED         = addField(new ABCMdbField("dteDateCreated"));
    ANALYSIS_DESC                = addField(new ABCMdbField("txtDescription"));
    RESEARCHER_LASTNAMEFIRSTNAME = addField(new ABCMdbField("vcharResearcherLastFirst"));
    
  }

  public ABCMdbField getField_SummaryAnalysis_PK(){            return SUMMARYANALYSIS_PK;           }
  public ABCMdbField getField_Summary_PK(){                    return SUMMARY_PK;                   }
  public ABCMdbField getField_Summary_Title(){                 return SUMMARY_TITLE;                }
  public ABCMdbField getField_Analysis_PK(){                   return ANALYSIS_PK;                  }
  public ABCMdbField getField_AnalysisOrder(){                 return ANALYSIS_ORDER;               }
  public ABCMdbField getField_Analysis_Title(){                return ANALYSIS_TITLE;               }
  public ABCMdbField getField_Analysis_DateCreated(){          return ANALYSIS_DATECREATED;         }
  public ABCMdbField getField_Analysis_Desc(){                 return ANALYSIS_DESC;                }
  public ABCMdbField getField_Researcher_LastNameFirstName(){  return RESEARCHER_LASTNAMEFIRSTNAME; }
  
  
  

}
