
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMSummaryConfigurationsAndDetailsView;

public class ABCMDefaultSummaryConfigurationsAndDetailsView extends ABCMSummaryConfigurationsAndDetailsView {

  protected ABCMdbField SUMMARY_PK, SIMULATIONCONFIGURATION_PK, SIMULATIONCONFIGURATION_NAME, SIMULATIONCONFIGURATION_DESC, SIMULATIONCONFIGURATION_DATECREATED, RESEARCHER_PK, RESEARCHER_NAME, TRUTHVALUE;

  public ABCMDefaultSummaryConfigurationsAndDetailsView(AbstractABCMDBGateway db){
    super("SummaryConfigurationsAndDetails", db);
    SUMMARY_PK                          = addField(new ABCMdbField("intSummaryID"));
    SIMULATIONCONFIGURATION_PK          = addField(new ABCMdbField("intSimulationConfigurationID"));
    SIMULATIONCONFIGURATION_NAME        = addField(new ABCMdbField("vcharSimConfigName"));
    SIMULATIONCONFIGURATION_DESC        = addField(new ABCMdbField("txtDescription"));
    SIMULATIONCONFIGURATION_DATECREATED = addField(new ABCMdbField("dteDateCreated"));
    RESEARCHER_PK                       = addField(new ABCMdbField("intResearcherID"));
    RESEARCHER_NAME                     = addField(new ABCMdbField("vcharResearcherName"));
    TRUTHVALUE                          = addField(new ABCMdbField("txtTruthValue"));
  }

  public ABCMdbField getField_Summary_PK(){                         return SUMMARY_PK;                          }
  public ABCMdbField getField_SimulationConfiguration_PK(){         return SIMULATIONCONFIGURATION_PK;          }
  public ABCMdbField getField_SimulationConfiguration_name(){       return SIMULATIONCONFIGURATION_NAME;        }
  public ABCMdbField getField_SimulationConfiguration_Desc(){       return SIMULATIONCONFIGURATION_DESC;        }
  public ABCMdbField getField_SimulationConfiguration_DateCreated(){return SIMULATIONCONFIGURATION_DATECREATED; }
  public ABCMdbField getField_Researcher_PK(){                      return RESEARCHER_PK;                       }
  public ABCMdbField getField_Researcher_Name(){                    return RESEARCHER_NAME;                     }
  public ABCMdbField getField_TruthValue(){                         return TRUTHVALUE;                          }

}
