
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMSummaryConfigurationsView;

public class ABCMDefaultSummaryConfigurationsView extends ABCMSummaryConfigurationsView {

  protected ABCMdbField SUMMARY_PK, SIMULATIONCONFIGURATION_PK;

  public ABCMDefaultSummaryConfigurationsView(AbstractABCMDBGateway db){
    super("SummaryConfigurations", db);
    SUMMARY_PK                 = addField(new ABCMdbField("intSummaryID"));
    SIMULATIONCONFIGURATION_PK = addField(new ABCMdbField("intSimulationConfigurationID"));
  }

  public ABCMdbField getField_Summary_PK(){                return SUMMARY_PK;                 }
  public ABCMdbField getField_SimulationConfiguration_PK(){return SIMULATIONCONFIGURATION_PK; }

}
