
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMSummaryDataModelsAndDetailsView;

public class ABCMDefaultSummaryDataModelsAndDetailsView extends ABCMSummaryDataModelsAndDetailsView {

  protected ABCMdbField SUMMARY_PK, DATAMODEL_PK, DATAMODEL_NAME, DATAMODEL_DESCRIPTION, DATAMODEL_DATECREATED, RESEARCHER_NAME, SIMULATIONCONFIGURATION_NAME, HISTORY_TITLE;

  public ABCMDefaultSummaryDataModelsAndDetailsView(AbstractABCMDBGateway db){
    super("SummaryDataModelsAndDetails", db);
    SUMMARY_PK                   = addField(new ABCMdbField("intSummaryID"));
    DATAMODEL_PK                 = addField(new ABCMdbField("intDataModelID"));
    DATAMODEL_NAME               = addField(new ABCMdbField("varcharDataModelName"));
    DATAMODEL_DESCRIPTION        = addField(new ABCMdbField("txtDescription"));
    DATAMODEL_DATECREATED        = addField(new ABCMdbField("dteDateCreated"));
    RESEARCHER_NAME              = addField(new ABCMdbField("vcharResearcherName"));
    SIMULATIONCONFIGURATION_NAME = addField(new ABCMdbField("vcharSimConfigName"));
    HISTORY_TITLE                = addField(new ABCMdbField("vcharHistoryTitle"));
  }

  public ABCMdbField getField_Summary_PK(){                  return SUMMARY_PK;                   }
  public ABCMdbField getField_DataModel_PK(){                return DATAMODEL_PK;                 }
  public ABCMdbField getField_DataModel_Name(){              return DATAMODEL_NAME;               }
  public ABCMdbField getField_DataModel_Description(){       return DATAMODEL_DESCRIPTION;        }
  public ABCMdbField getField_DataModel_DateCreated(){       return DATAMODEL_DATECREATED;        }
  public ABCMdbField getField_Researcher_Name(){             return RESEARCHER_NAME;              }
  public ABCMdbField getField_SimulationConfiguration_Name(){return SIMULATIONCONFIGURATION_NAME; }
  public ABCMdbField getField_History_Title(){               return HISTORY_TITLE;                }

}
