
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMSummaryDataModelsView;

public class ABCMDefaultSummaryDataModelsView extends ABCMSummaryDataModelsView {

  protected ABCMdbField SUMMARY_PK, DATAMODEL_PK;

  public ABCMDefaultSummaryDataModelsView(AbstractABCMDBGateway db){
    super("SummaryDataModels", db);
    SUMMARY_PK   = addField(new ABCMdbField("intSummaryID"));
    DATAMODEL_PK = addField(new ABCMdbField("intDataModelID"));
  }

  public ABCMdbField getField_Summary_PK(){  return SUMMARY_PK;   }
  public ABCMdbField getField_DataModel_PK(){return DATAMODEL_PK; }

}
