
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMSummaryHistoriesAndDetailsView;

public class ABCMDefaultSummaryHistoriesAndDetailsView extends ABCMSummaryHistoriesAndDetailsView {

  protected ABCMdbField SUMMARY_PK, HISTORY_PK, HISTORY_TITLE, HISTORY_DESC, RESEARCHER_NAME, TRUTHVALUE;

  public ABCMDefaultSummaryHistoriesAndDetailsView(AbstractABCMDBGateway db){
    super("SummaryHistoriesAndDetails", db);
    SUMMARY_PK      = addField(new ABCMdbField("intSummaryID"));
    HISTORY_PK      = addField(new ABCMdbField("intHistoryID"));
    HISTORY_TITLE   = addField(new ABCMdbField("vcharHistoryTitle"));
    HISTORY_DESC    = addField(new ABCMdbField("txtDescription"));
    RESEARCHER_NAME = addField(new ABCMdbField("vcharResearcherName"));
    TRUTHVALUE      = addField(new ABCMdbField("txtTruthValue"));
  }

  public ABCMdbField getField_Summary_PK(){     return SUMMARY_PK;      }
  public ABCMdbField getField_History_PK(){     return HISTORY_PK;      }
  public ABCMdbField getField_History_Title(){  return HISTORY_TITLE;   }
  public ABCMdbField getField_History_Desc(){   return HISTORY_DESC;    }
  public ABCMdbField getField_Researcher_Name(){return RESEARCHER_NAME; }
  public ABCMdbField getField_TruthValue(){     return TRUTHVALUE;      }

}
