
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMSummaryParameterSetsView;

public class ABCMDefaultSummaryParameterSetsView extends ABCMSummaryParameterSetsView {

  protected ABCMdbField SUMMARY_PK, PARAMETERSET_PK;

  public ABCMDefaultSummaryParameterSetsView(AbstractABCMDBGateway db){
    super("SummaryParameterSets", db);
    SUMMARY_PK      = addField(new ABCMdbField("intSummaryID"));
    PARAMETERSET_PK = addField(new ABCMdbField("intParameterSetID"));
  }

  public ABCMdbField getField_Summary_PK(){     return SUMMARY_PK;      }
  public ABCMdbField getField_ParameterSet_PK(){return PARAMETERSET_PK; }

}
