
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMSummaryProbeSetsView;

public class ABCMDefaultSummaryProbeSetsView extends ABCMSummaryProbeSetsView {

  protected ABCMdbField SUMMARY_PK, PROBESET_PK;

  public ABCMDefaultSummaryProbeSetsView(AbstractABCMDBGateway db){
    super("SummaryProbeSets", db);
    SUMMARY_PK  = addField(new ABCMdbField("intSummaryID"));
    PROBESET_PK = addField(new ABCMdbField("intProbeSetID"));
  }

  public ABCMdbField getField_Summary_PK(){ return SUMMARY_PK;  }
  public ABCMdbField getField_ProbeSet_PK(){return PROBESET_PK; }

}
