
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMSummarySimulationsAndDetailsView;

public class ABCMDefaultSummarySimulationsAndDetailsView extends ABCMSummarySimulationsAndDetailsView {

  protected ABCMdbField SUMMARY_PK, SIMULATION_PK, SIMULATION_TITLE, SIMULATION_DESC, CODEMODEL_TITLE, DATAMODEL_NAME, SIMULATION_DATECREATED, RESEARCHER_NAME, TRUTHVALUE;

  public ABCMDefaultSummarySimulationsAndDetailsView(AbstractABCMDBGateway db){
    super("SummarySimulationsAndDetails", db);
    SUMMARY_PK             = addField(new ABCMdbField("intSummaryID"));
    SIMULATION_PK          = addField(new ABCMdbField("intSimulationID"));
    SIMULATION_TITLE       = addField(new ABCMdbField("vcharSimulationTitle"));
    SIMULATION_DESC        = addField(new ABCMdbField("txtDescription"));
    CODEMODEL_TITLE        = addField(new ABCMdbField("vcharCodeModelTitle"));
    DATAMODEL_NAME         = addField(new ABCMdbField("varcharDataModelName"));
    SIMULATION_DATECREATED = addField(new ABCMdbField("dteDateCreated"));
    RESEARCHER_NAME        = addField(new ABCMdbField("vcharResearcherName"));
    TRUTHVALUE             = addField(new ABCMdbField("txtTruthValue"));
  }

  public ABCMdbField getField_Summary_PK(){            return SUMMARY_PK;             }
  public ABCMdbField getField_Simulation_PK(){         return SIMULATION_PK;          }
  public ABCMdbField getField_Simulation_Title(){      return SIMULATION_TITLE;       }
  public ABCMdbField getField_Simulation_Desc(){       return SIMULATION_DESC;        }
  public ABCMdbField getField_CodeModel_Title(){       return CODEMODEL_TITLE;        }
  public ABCMdbField getField_DataModel_Name(){        return DATAMODEL_NAME;         }
  public ABCMdbField getField_Simulation_DateCreated(){return SIMULATION_DATECREATED; }
  public ABCMdbField getField_Researcher_Name(){       return RESEARCHER_NAME;        }
  public ABCMdbField getField_TruthValue(){            return TRUTHVALUE;             }

}
