
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMSummarySimulationsView;

public class ABCMDefaultSummarySimulationsView extends ABCMSummarySimulationsView {

  protected ABCMdbField SUMMARY_PK, SIMULATION_PK;

  public ABCMDefaultSummarySimulationsView(AbstractABCMDBGateway db){
    super("SummarySimulations", db);
    SUMMARY_PK    = addField(new ABCMdbField("intSummaryID"));
    SIMULATION_PK = addField(new ABCMdbField("intSimulationID"));
  }

  public ABCMdbField getField_Summary_PK(){   return SUMMARY_PK;    }
  public ABCMdbField getField_Simulation_PK(){return SIMULATION_PK; }

}
