
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMTESTView;

public class ABCMDefaultTESTView extends ABCMTESTView {

  protected ABCMdbField DATAMODEL_NAME, HISTORY_TITLE, TRUTHVALUE_PK, SIMULATIONCONFIGURATION_PK, TRUTHVALUE, DUMMY;

  public ABCMDefaultTESTView(AbstractABCMDBGateway db){
    super("TEST", db);
    DATAMODEL_NAME             = addField(new ABCMdbField("varcharDataModelName"));
    HISTORY_TITLE              = addField(new ABCMdbField("vcharHistoryTitle"));
    TRUTHVALUE_PK              = addField(new ABCMdbField("intTruthValue"));
    SIMULATIONCONFIGURATION_PK = addField(new ABCMdbField("intSimulationConfigurationID"));
    TRUTHVALUE                 = addField(new ABCMdbField("TruthValue"));
    DUMMY                      = addField(new ABCMdbField("DUMMY"));
  }

  public ABCMdbField getField_DataModel_Name(){            return DATAMODEL_NAME;             }
  public ABCMdbField getField_History_Title(){             return HISTORY_TITLE;              }
  public ABCMdbField getField_TruthValue_PK(){             return TRUTHVALUE_PK;              }
  public ABCMdbField getField_SimulationConfiguration_PK(){return SIMULATIONCONFIGURATION_PK; }
  public ABCMdbField getField_TruthValue(){                return TRUTHVALUE;                 }
  public ABCMdbField getField_DUMMY(){                     return DUMMY;                      }

}
