
package abcm.db.components.defaults.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.views.ABCMqdfFORfrmCodeModelOptionValuesView;

public class ABCMDefaultqdfFORfrmCodeModelOptionValuesView extends ABCMqdfFORfrmCodeModelOptionValuesView {

  protected ABCMdbField CODEMODELOPTIONVALUE_PK, CODEMODELOPTIONDOMAIN_PK, OPTIONVALUE, NAME, CODE, DESC;

  public ABCMDefaultqdfFORfrmCodeModelOptionValuesView(AbstractABCMDBGateway db){
    super("qdfFORfrmCodeModelOptionValues", db);
    CODEMODELOPTIONVALUE_PK  = addField(new ABCMdbField("intCodeModelOptionValueID"));
    CODEMODELOPTIONDOMAIN_PK = addField(new ABCMdbField("intCodeModelOptionDomainID"));
    OPTIONVALUE              = addField(new ABCMdbField("intOptionValue"));
    NAME                     = addField(new ABCMdbField("varCharOptionValueName"));
    CODE                     = addField(new ABCMdbField("txtCode"));
    DESC                     = addField(new ABCMdbField("txtDescription"));

  }

  public ABCMdbField getField_CodeModelOptionValue_PK(){ return CODEMODELOPTIONVALUE_PK;  }
  public ABCMdbField getField_CodeModelOptionDomain_PK(){return CODEMODELOPTIONDOMAIN_PK; }
  public ABCMdbField getField_OptionValue(){             return OPTIONVALUE;              }
  public ABCMdbField getField_Name(){                    return NAME;                     }
  public ABCMdbField getField_Code(){                    return CODE;                     }
  public ABCMdbField getField_Desc(){                    return DESC;                     }

}
