 
package abcm.db.components.tables;  
 
import abcm.db.components.ABCMObjectCommentTable;
import abcm.db.components.ABCMdbDatum;
import abcm.db.components.ABCMdbField;
 
public abstract class ABCMAnalysisCommentsTable extends ABCMObjectCommentTable{
 
  public ABCMAnalysisCommentsTable(String tableName){ super(tableName); }

  public abstract ABCMdbField getField_PK();
  public abstract ABCMdbField getField_AnalysisFK();
  public abstract ABCMdbField getField_CommentFK();

  public ABCMdbDatum getDatum(long analysisFK, long commentFK){
    ABCMdbDatum datum = new ABCMdbDatum(this);
    datum.addValue(getField_AnalysisFK(), analysisFK);
    datum.addValue(getField_CommentFK(), commentFK);
    return datum;
  }
  
}
 
