 
package abcm.db.components.tables;  
 
import abcm.db.components.ABCMObjectCommentTable;
import abcm.db.components.ABCMdbDatum;
import abcm.db.components.ABCMdbField;
 
public abstract class ABCMCodeModelCommentsTable extends ABCMObjectCommentTable{
 
  public ABCMCodeModelCommentsTable(String tableName){ super(tableName); }

  public abstract ABCMdbField getField_PK();
  public abstract ABCMdbField getField_CodeModelFK();
  public abstract ABCMdbField getField_CommentFK();

  public ABCMdbDatum getDatum(long codeModelFK, long commentFK){
    ABCMdbDatum datum = new ABCMdbDatum(this);
    datum.addValue(getField_CodeModelFK(), codeModelFK);
    datum.addValue(getField_CommentFK(), commentFK);
    return datum;
  }
  
}
 
