 
package abcm.db.components.tables;  
 
import abcm.db.components.ABCMdbDatum;
import abcm.db.components.ABCMdbField;
import abcm.db.components.ABCMdbTable;
 
public abstract class ABCMCodeModelsAndOptionValuesTable extends ABCMdbTable{
 
  public ABCMCodeModelsAndOptionValuesTable(String tableName){ super(tableName); }

  public abstract ABCMdbField getField_PK();
  public abstract ABCMdbField getField_CodeModelFK();
  public abstract ABCMdbField getField_CodeModelOptionDomainFK();
  public abstract ABCMdbField getField_OptionValueFK();

  public ABCMdbDatum getDatum(String codeModelFK, String optionDomainFK, String optionValueFK){
    ABCMdbDatum datum = new ABCMdbDatum(this);
    datum.addValue(getField_CodeModelFK(), codeModelFK);
    datum.addValue(getField_CodeModelOptionDomainFK(), optionDomainFK);
    datum.addValue(getField_OptionValueFK(), optionValueFK);
    return datum;
  }
  
  public ABCMdbDatum getDatum(long codeModelFK, long optionDomainFK, long optionValueFK){
    return getDatum("" + codeModelFK, "" + optionDomainFK, "" + optionValueFK);
  }

}
 
