 
package abcm.db.components.tables;  
 
import abcm.db.components.ABCMdbDatum;
import abcm.db.components.ABCMdbField;
import abcm.db.components.ABCMdbTable;
 
public abstract class ABCMCodeModelsTable extends ABCMdbTable{
 
  public ABCMCodeModelsTable(String tableName){ super(tableName); }

  public abstract ABCMdbField getField_PK();
  public abstract ABCMdbField getField_Title();
  public abstract ABCMdbField getField_ResearcherFK();
  public abstract ABCMdbField getField_DateCreated();
  public abstract ABCMdbField getField_Description();

  
  public ABCMdbDatum getDatum(String title, String researcherFK, String dateCreated, String description){
    ABCMdbDatum datum = new ABCMdbDatum(this);
    datum.addValue(getField_Title(), title);
    datum.addValue(getField_ResearcherFK(), researcherFK);
    datum.addValue(getField_DateCreated(), dateCreated);
    datum.addValue(getField_Description(), description);
    return datum;
  }
  
  public ABCMdbDatum getDatum(String title, long researcherFK, String dateCreated, String description){
    return getDatum(title, "" + researcherFK, dateCreated, description);
  }
   
}
 
