 
package abcm.db.components.tables;  
 
import abcm.db.components.ABCMdbDatum;
import abcm.db.components.ABCMdbField;
import abcm.db.components.ABCMdbTable;
 
public abstract class ABCMHistoriesTable extends ABCMdbTable{
 
  public ABCMHistoriesTable(String tableName){ super(tableName); }

  public abstract ABCMdbField getField_PK();
  public abstract ABCMdbField getField_Title();
  public abstract ABCMdbField getField_ResearcherFK();
  public abstract ABCMdbField getField_Description();
  public abstract ABCMdbField getField_TruthValueFK();

  public ABCMdbDatum getDatum(String title, String description, String truthValueFK, String researcherFK){
    ABCMdbDatum datum = new ABCMdbDatum(this);
    datum.addValue(getField_Title(), title);
    datum.addValue(getField_Description(), description);
    datum.addValue(getField_TruthValueFK(), truthValueFK);
    datum.addValue(getField_ResearcherFK(), researcherFK);
    return datum;
  }
  
  public ABCMdbDatum getDatum(String title, String description, long truthValueFK, long researcherFK){
    return getDatum(title, description, "" + truthValueFK, "" + researcherFK);
  }
  
}
 
