 
package abcm.db.components.tables;  
 
import abcm.db.components.ABCMdbDatum;
import abcm.db.components.ABCMdbField;
import abcm.db.components.ABCMdbTable;
 
public abstract class ABCMHistoryNarrativesTable extends ABCMdbTable{
 
  public ABCMHistoryNarrativesTable(String tableName){ super(tableName); }

  public abstract ABCMdbField getField_PK();
  public abstract ABCMdbField getField_HistoryFK();
  public abstract ABCMdbField getField_NarrativeFK();
  public abstract ABCMdbField getField_BaseDate();
  public abstract ABCMdbField getField_Order();

  public ABCMdbDatum getDatum(String historyFK, String narrativeFK, String baseDate, String order){
    ABCMdbDatum datum = new ABCMdbDatum(this);
    datum.addValue(getField_HistoryFK(), historyFK);
    datum.addValue(getField_NarrativeFK(), narrativeFK);
    datum.addValue(getField_BaseDate(), baseDate);
    datum.addValue(getField_Order(), order);
    return datum;
  }
  
  public ABCMdbDatum getDatum(long historyFK, long narrativeFK, double baseDate, int order){
    return getDatum("" + historyFK, "" + narrativeFK, "" + baseDate, "" + order);
  }
  
}
 
