 
package abcm.db.components.tables;  
 
import abcm.db.components.ABCMdbDatum;
import abcm.db.components.ABCMdbField;
import abcm.db.components.ABCMdbTable;
 
public abstract class ABCMNarrativeInstructionsTable extends ABCMdbTable{
 
  public ABCMNarrativeInstructionsTable(String tableName){ super(tableName); }
 
  public abstract ABCMdbField getField_PK();
  public abstract ABCMdbField getField_NarrativeFK();
  public abstract ABCMdbField getField_InstructionDate();
  public abstract ABCMdbField getField_InstructionOrder();
  public abstract ABCMdbField getField_NarrativeCommandFK();
  public abstract ABCMdbField getField_Arg1();
  public abstract ABCMdbField getField_Arg2();
  public abstract ABCMdbField getField_Arg3();
  public abstract ABCMdbField getField_Arg4();
  public abstract ABCMdbField getField_Arg5();
  public abstract ABCMdbField getField_Arg6();
  public abstract ABCMdbField getField_Arg7();
  public abstract ABCMdbField getField_Arg8();
  public abstract ABCMdbField getField_Arg9();
  public abstract ABCMdbField getField_Arg10();
  public abstract ABCMdbField getField_Comment();

  public ABCMdbDatum getDatum(String narrativeFK, String instructionDate, String instructionOrder, 
      String narrativeCommandFK, String arg1, String arg2, String arg3, 
      String arg4, String arg5, String arg6, String arg7, String arg8, String arg9, 
      String arg10, String comment){
    ABCMdbDatum datum = new ABCMdbDatum(this);
    datum.addValue(getField_NarrativeFK(), narrativeFK);
    datum.addValue(getField_InstructionDate(), instructionDate);
    datum.addValue(getField_InstructionOrder(), instructionOrder);
    datum.addValue(getField_NarrativeCommandFK(), narrativeCommandFK);
    datum.addValue(getField_Arg1(), arg1);
    datum.addValue(getField_Arg2(), arg2);
    datum.addValue(getField_Arg3(), arg3);
    datum.addValue(getField_Arg4(), arg4);
    datum.addValue(getField_Arg5(), arg5);
    datum.addValue(getField_Arg6(), arg6);
    datum.addValue(getField_Arg7(), arg7);
    datum.addValue(getField_Arg8(), arg8);
    datum.addValue(getField_Arg9(), arg9);
    datum.addValue(getField_Arg10(), arg10);
    datum.addValue(getField_Comment(), comment);
    return datum;
  }
  
  public ABCMdbDatum getDatum(long narrativeFK, double instructionDate, int instructionOrder, 
      long narrativeCommandFK, String arg1, String arg2, String arg3, 
      String arg4, String arg5, String arg6, String arg7, String arg8, String arg9, 
      String arg10, String comment){
    return getDatum("" + narrativeFK, "" + instructionDate, "" + instructionOrder, "" + narrativeCommandFK,
        arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, comment);
  }
  
}
 
