 
package abcm.db.components.tables;  
 
import abcm.db.components.ABCMObjectCommentTable;
import abcm.db.components.ABCMdbDatum;
import abcm.db.components.ABCMdbField;
 
public abstract class ABCMParameterCommentsTable extends ABCMObjectCommentTable{
 
  public ABCMParameterCommentsTable(String tableName){ super(tableName); }

  public abstract ABCMdbField getField_PK();
  public abstract ABCMdbField getField_ParameterFK();
  public abstract ABCMdbField getField_CommentFK();

  public ABCMdbDatum getDatum(long parameterFK, long commentFK){
    ABCMdbDatum datum = new ABCMdbDatum(this);
    datum.addValue(getField_ParameterFK(), parameterFK);
    datum.addValue(getField_CommentFK(), commentFK);
    return datum;
  }
}
 
