 
package abcm.db.components.tables;  
 
import abcm.db.components.ABCMdbDatum;
import abcm.db.components.ABCMdbField;
import abcm.db.components.ABCMdbTable;
 
public abstract class ABCMParameterSetsAndValuesTable extends ABCMdbTable{
 
  public ABCMParameterSetsAndValuesTable(String tableName){ super(tableName); }

  public abstract ABCMdbField getField_PK();
  public abstract ABCMdbField getField_ParameterSet_FK();
  public abstract ABCMdbField getField_Parameter_FK();
  public abstract ABCMdbField getField_Value();
  public abstract ABCMdbField getField_TruthValue();

  public ABCMdbDatum getDatum(String parameterSetFK, String parameterFK, String value, String truthValue){
    ABCMdbDatum datum = new ABCMdbDatum(this);
    datum.addValue(getField_ParameterSet_FK(), parameterSetFK);
    datum.addValue(getField_Parameter_FK(), parameterFK);
    datum.addValue(getField_Value(), value);
    datum.addValue(getField_TruthValue(), truthValue);
    return datum;
  }
  
  public ABCMdbDatum getDatum(long parameterSetFK, long parameterFK, double value, int truthValue){
    return getDatum("" + parameterSetFK, "" + parameterFK, "" + value, "" + truthValue);
  }
  
}
 
