 
package abcm.db.components.tables;  
 
import abcm.db.components.ABCMObjectCommentTable;
import abcm.db.components.ABCMdbDatum;
import abcm.db.components.ABCMdbField;
 
public abstract class ABCMProbeCommentsTable extends ABCMObjectCommentTable{
 
  public ABCMProbeCommentsTable(String tableName){ super(tableName); }

  public abstract ABCMdbField getField_PK();
  public abstract ABCMdbField getField_ProbeFK();
  public abstract ABCMdbField getField_CommentFK();

  public ABCMdbDatum getDatum(long probeFK, long commentFK){
    ABCMdbDatum datum = new ABCMdbDatum(this);
    datum.addValue(getField_ProbeFK(), probeFK);
    datum.addValue(getField_CommentFK(), commentFK);
    return datum;
  }
  
}
 
