 
package abcm.db.components.tables;  
 
import abcm.db.components.ABCMObjectCommentTable;
import abcm.db.components.ABCMdbDatum;
import abcm.db.components.ABCMdbField;
 
public abstract class ABCMProbeSetCommentsTable extends ABCMObjectCommentTable{
 
  public ABCMProbeSetCommentsTable(String tableName){ super(tableName); }

  public abstract ABCMdbField getField_PK();
  public abstract ABCMdbField getField_ProbeSetFK();
  public abstract ABCMdbField getField_CommentFK();

  public ABCMdbDatum getDatum(long probeSetFK, long commentFK){
    ABCMdbDatum datum = new ABCMdbDatum(this);
    datum.addValue(getField_ProbeSetFK(), probeSetFK);
    datum.addValue(getField_CommentFK(), commentFK);
    return datum;
  }
  
}
 
