 
package abcm.db.components.tables;  
 
import abcm.db.components.ABCMdbDatum;
import abcm.db.components.ABCMdbField;
import abcm.db.components.ABCMdbTable;
 
public abstract class ABCMProbeSetProbesTable extends ABCMdbTable{
 
  public ABCMProbeSetProbesTable(String tableName){ super(tableName); }

  public abstract ABCMdbField getField_PK();
  public abstract ABCMdbField getField_ProbeSetFK();
  public abstract ABCMdbField getField_ProbeFK();

  public ABCMdbDatum getDatum(String probeSetFK, String probeFK){
    ABCMdbDatum datum = new ABCMdbDatum(this);
    datum.addValue(getField_ProbeSetFK(), probeSetFK);
    datum.addValue(getField_ProbeFK(), probeFK);
    return datum;
  }
  
  public ABCMdbDatum getDatum(long probeSetFK, long probeFK){
    return getDatum("" + probeSetFK, "" + probeFK);
  }
  
}
 
