 
package abcm.db.components.tables;  
 
import abcm.db.components.ABCMdbDatum;
import abcm.db.components.ABCMdbField;
import abcm.db.components.ABCMdbTable;
 
public abstract class ABCMReferenceCategoriesTable extends ABCMdbTable{
 
  public ABCMReferenceCategoriesTable(String tableName){ super(tableName); }

  public abstract ABCMdbField getField_PK();
  public abstract ABCMdbField getField_Category();
  
  public ABCMdbDatum getDatum(String category){
    ABCMdbDatum datum = new ABCMdbDatum(this);
    datum.addValue(getField_Category(), category);
    return datum;
  }
}
 
