 
package abcm.db.components.tables;  
 
import abcm.db.components.ABCMdbDatum;
import abcm.db.components.ABCMdbField;
import abcm.db.components.ABCMdbTable;
 
public abstract class ABCMReferenceCommentsTable extends ABCMdbTable{
 
  public ABCMReferenceCommentsTable(String tableName){ super(tableName); }

  public abstract ABCMdbField getField_PK();
  public abstract ABCMdbField getField_ReferenceFK();
  public abstract ABCMdbField getField_Pages();
  public abstract ABCMdbField getField_CommentFK();

  public ABCMdbDatum getDatum(String referenceFK, String pages, String commentFK){
    ABCMdbDatum datum = new ABCMdbDatum(this);
    datum.addValue(getField_ReferenceFK(), referenceFK);
    datum.addValue(getField_Pages(), pages);
    datum.addValue(getField_CommentFK(), commentFK);
    return datum;
  }
  
}
 
