 
package abcm.db.components.tables;  
 
import abcm.db.components.ABCMdbDatum;
import abcm.db.components.ABCMdbField;
import abcm.db.components.ABCMdbTable;
 
public abstract class ABCMResearchersTable extends ABCMdbTable{
 
  public ABCMResearchersTable(String tableName){ super(tableName); }

  public abstract ABCMdbField getField_PK();
  public abstract ABCMdbField getField_ResearcherName();
  public abstract ABCMdbField getField_LastNameFirstName();
  public abstract ABCMdbField getField_Description();

  public ABCMdbDatum getDatum(String name, String lastFirst, String desc){
    ABCMdbDatum datum = new ABCMdbDatum(this);
    datum.addValue(getField_ResearcherName(), name);
    datum.addValue(getField_LastNameFirstName(), lastFirst);
    if(desc != null) datum.addValue(getField_Description(), desc);
    return datum;    
  }
}
 
