 
package abcm.db.components.tables;  
 
import abcm.db.components.ABCMdbDatum;
import abcm.db.components.ABCMdbField;
import abcm.db.components.ABCMdbTable;
 
public abstract class ABCMSimulationDataSeriesTable extends ABCMdbTable{
 
  public ABCMSimulationDataSeriesTable(String tableName){ super(tableName); }

  public abstract ABCMdbField getField_PK();
  public abstract ABCMdbField getField_SimulationRunFK();
  public abstract ABCMdbField getField_Name();
  public abstract ABCMdbField getField_Description();
  public abstract ABCMdbField getField_IsNumeric();

  public ABCMdbDatum getDatum(String simulationRunFK, String name, String description, String isNumeric){
    ABCMdbDatum datum = new ABCMdbDatum(this);
    datum.addValue(getField_SimulationRunFK(), simulationRunFK);
    datum.addValue(getField_Name(), name);
    datum.addValue(getField_Description(), description);
    datum.addValue(getField_IsNumeric(), isNumeric);
    return datum;
  }
  
}
 
