 
package abcm.db.components.tables;  
 
import abcm.db.components.ABCMdbDatum;
import abcm.db.components.ABCMdbField;
import abcm.db.components.ABCMdbTable;
 
public abstract class ABCMSimulationDataTable extends ABCMdbTable{
 
  public ABCMSimulationDataTable(String tableName){ super(tableName); }

  public abstract ABCMdbField getField_PK();
  public abstract ABCMdbField getField_DataSeriesFK();
  public abstract ABCMdbField getField_SimulationDate();
  public abstract ABCMdbField getField_NumericValue();
  public abstract ABCMdbField getField_StringValue();

  public ABCMdbDatum getDatum(String dataSeriesFK, String simulationDate, String numericValue, String stringValue){
    ABCMdbDatum datum = new ABCMdbDatum(this);
    datum.addValue(getField_DataSeriesFK(), dataSeriesFK);
    datum.addValue(getField_SimulationDate(), simulationDate);
    datum.addValue(getField_NumericValue(), numericValue);
    datum.addValue(getField_StringValue(), stringValue);
    return datum;
  }
  
}
 
