 
package abcm.db.components.tables;  
 
import abcm.db.components.ABCMdbDatum;
import abcm.db.components.ABCMdbField;
import abcm.db.components.ABCMdbTable;
 
public abstract class ABCMTermsTable extends ABCMdbTable{
 
  public ABCMTermsTable(String tableName){ super(tableName); }

  public abstract ABCMdbField getField_PK();
  public abstract ABCMdbField getField_Term();
  public abstract ABCMdbField getField_Anchor();
  public abstract ABCMdbField getField_Description();

  public ABCMdbDatum getDatum(String term, String anchor, String description){
    ABCMdbDatum datum = new ABCMdbDatum(this);
    datum.addValue(getField_Term(), term);
    datum.addValue(getField_Anchor(), anchor);
    datum.addValue(getField_Description(), description);
    return datum;
  }
  
}
 
