
package abcm.db.components.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.ABCMdbView;

public abstract class ABCMHistoryNarrativeDetailsView extends ABCMdbView {
  
  public ABCMHistoryNarrativeDetailsView(String viewName, AbstractABCMDBGateway db){ 
    super(viewName, db);
  }

  public abstract ABCMdbField getField_HistoryNarrative_PK();
  public abstract ABCMdbField getField_Narrative_Name();
  public abstract ABCMdbField getField_Narrative_Desc();
  public abstract ABCMdbField getField_Researcher_PK();
  public abstract ABCMdbField getField_Narrative_BaseDate();
  public abstract ABCMdbField getField_Narrative_DateCreated();
  public abstract ABCMdbField getField_Narrative_IsSeasonal();
  public abstract ABCMdbField getField_Researcher_Name();
  public abstract ABCMdbField getField_History_PK();
  public abstract ABCMdbField getField_Narrative_StartBaseDate();
  public abstract ABCMdbField getField_Narrative_Order();
  
  public String getSQL(){
    return
//    setSQL(   "SELECT " +historyNarrativesTable.getField_PK().getFullFieldName(dbOwner) + " AS intHistoryNarrativeID, " +"\n" + 
//                   narrativesTable.getField_Name().getFullFieldName(dbOwner) + " AS charNarrativeName, " +"\n" + 
//                   narrativesTable.getField_Description().getFullFieldName(dbOwner) + " AS txtDescription, " +"\n" + 
//                   narrativesTable.getField_ResearcherFK().getFullFieldName(dbOwner) + " AS intResearcherID, " +"\n" + 
//                   narrativesTable.getField_BaseDate().getFullFieldName(dbOwner) + " AS dblBaseDate, " +"\n" + 
//                   narrativesTable.getField_DateCreated().getFullFieldName(dbOwner) + " AS dteDateCreated, " +"\n" + 
//                   narrativesTable.getField_Seasonal().getFullFieldName(dbOwner) + " AS blnIsSeasonal, " +"\n" + 
//                   researchersTable.getField_ResearcherName().getFullFieldName(dbOwner) + " AS vcharResearcherName, " +"\n" + 
//                   historyNarrativesTable.getField_HistoryFK().getFullFieldName(dbOwner) + " AS intHistoryID, " +"\n" + 
//                   historyNarrativesTable.getField_BaseDate().getFullFieldName(dbOwner) + " AS dblStartBaseDate, " +"\n" + 
//                   historyNarrativesTable.getField_Order().getFullFieldName(dbOwner) + " AS intOrder " +"\n" + 
//           "FROM   " + historyNarrativesTable.getFullName(dbOwner) + " INNER JOIN " +"\n" + 
//                        narrativesTable.getFullName(dbOwner) + " ON " +"\n" + 
//                        historyNarrativesTable.getField_NarrativeFK().getFullFieldName(dbOwner) + " = " + narrativesTable.getField_PK().getFullFieldName(dbOwner) + " INNER JOIN " +"\n" + 
//                        researchersTable.getFullName(dbOwner) + " ON " +"\n" + 
//                        narrativesTable.getField_ResearcherFK().getFullFieldName(dbOwner) + " = " + researchersTable.getField_PK().getFullFieldName(dbOwner) + " ");

    "";
  }
  

}
