
package abcm.db.components.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.ABCMdbView;

public abstract class ABCMProbesAndProbeSetsView extends ABCMdbView {
  
  public ABCMProbesAndProbeSetsView(String viewName, AbstractABCMDBGateway db){ 
    super(viewName, db);
  }

  public abstract ABCMdbField getField_Probe_Name();
  public abstract ABCMdbField getField_Probe_Desc();
  public abstract ABCMdbField getField_Probe_DateCreated();
  public abstract ABCMdbField getField_Researcher_PK();
  public abstract ABCMdbField getField_DataSeries_Name();
  public abstract ABCMdbField getField_DataSeries_Domain();
  public abstract ABCMdbField getField_Probe_IsNumeric();
  public abstract ABCMdbField getField_Probe_IsMonthly();
  public abstract ABCMdbField getField_Probe_BaseDate();
  public abstract ABCMdbField getField_Probe_Frequency();
  public abstract ABCMdbField getField_Probe_Retrieve();
  public abstract ABCMdbField getField_Probe_Offset();
  public abstract ABCMdbField getField_Probe_PK();
  
  public String getSQL(){
    return
//    setSQL(  "SELECT " +probesTable.getField_Name().getFullFieldName(dbOwner) + " AS varcharProbeName, " +"\n" + 
//                   probesTable.getField_Description().getFullFieldName(dbOwner) + " AS txtDescription, " +"\n" + 
//                   probesTable.getField_DateCreated().getFullFieldName(dbOwner) + " AS dteDateCreated, " +"\n" + 
//                   probesTable.getField_ResearcherFK().getFullFieldName(dbOwner) + " AS intResearcherID, " +"\n" + 
//                   probesTable.getField_DataSeriesName().getFullFieldName(dbOwner) + " AS varcharDataSeriesName, " +"\n" + 
//                   probesTable.getField_DataSeriesDomain().getFullFieldName(dbOwner) + " AS varcharDataSeriesDomain, " +"\n" + 
//                   probesTable.getField_IsNumeric().getFullFieldName(dbOwner) + " AS blnIsNumeric, " +"\n" + 
//                   probesTable.getField_IsMonthly().getFullFieldName(dbOwner) + " AS blnIsMonthly, " +"\n" + 
//                   probesTable.getField_BaseDate().getFullFieldName(dbOwner) + " AS dblBaseDate, " +"\n" + 
//                   probesTable.getField_Frequency().getFullFieldName(dbOwner) + " AS dblFrequency, " +"\n" + 
//                   probesTable.getField_Retrieve().getFullFieldName(dbOwner) + " AS txtRetrieve, " +"\n" + 
//                   probesTable.getField_Offset().getFullFieldName(dbOwner) + " AS dblOffset, " +"\n" + 
//                   probeSetProbesTable.getField_ProbeSetFK().getFullFieldName(dbOwner) + " AS intProbeSetID " +"\n" + 
//           "FROM   " + probeSetProbesTable.getFullName(dbOwner) + " INNER JOIN " +"\n" + 
//                        probesTable.getFullName(dbOwner) + " ON " +"\n" + 
//                        probeSetProbesTable.getField_ProbeFK().getFullFieldName(dbOwner) + " = " + probesTable.getField_PK().getFullFieldName(dbOwner) + " ");
    "";
  }
  

}
