
package abcm.db.components.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.ABCMdbView;

public abstract class ABCMReferenceCommentsAndResearchersView extends ABCMdbView {
  
  public ABCMReferenceCommentsAndResearchersView(String viewName, AbstractABCMDBGateway db){ 
    super(viewName, db);
  }

  public abstract ABCMdbField getField_Reference_PK();
  public abstract ABCMdbField getField_Comment();
  public abstract ABCMdbField getField_Researcher_Name();
  public abstract ABCMdbField getField_Comment_DateEntryMade();
  public abstract ABCMdbField getField_ReferenceComment_ID();
  
  public String getSQL(){
    return
//    setSQL(   "SELECT " +jtmurphy.tblReferenceComments.intReferenceID AS intReferenceID, " +"\n" + 
//                   commentsTable.getField_CommentFK().getFullFieldName(dbOwner) + " AS txtComment, " +"\n" + 
//                   researchersTable.getField_ResearcherName().getFullFieldName(dbOwner) + " AS vcharResearcherName, " +"\n" + 
//                   commentsTable.getField_DateCreated().getFullFieldName(dbOwner) + " AS dteEntryMade, " +"\n" + 
//                   referenceCommentsTable.getField_PK().getFullFieldName(dbOwner) + " AS intRefCommentID " +"\n" + 
//           "FROM   jtmurphy.tblComments INNER JOIN " +"\n" + 
//                        researchersTable.getFullName(dbOwner) + " ON " +"\n" + 
//                    jtmurphy.tblComments.intResearcherID = jtmurphy.tblResearchers.intResearcherID INNER JOIN " +"\n" + 
//                    jtmurphy.tblReferenceComments ON " +"\n" + 
//                    jtmurphy.tblComments.intCommentID = jtmurphy.tblReferenceComments.intCommentID ");

    "";
  }
  

}
