
package abcm.db.components.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.ABCMdbView;

public abstract class ABCMResearcherLoginsView extends ABCMdbView {

  public ABCMResearcherLoginsView(String viewName, AbstractABCMDBGateway db){ 
    super(viewName, db);
  }

  public abstract ABCMdbField getField_Researcher_ID();
  public abstract ABCMdbField getField_Researcher_Name();
  public abstract ABCMdbField getField_ProjectResearcher_UserName();
  public abstract ABCMdbField getField_ProjectResearcher_Password();
  public abstract ABCMdbField getField_ProjectResearcher_IsAdmin();

  public String getSQL(){
    return
//    setSQL(  "SELECT " +jtmurphy.tblResearchers.intResearcherID AS intResearcherID, " +"\n" + 
//                   researchersTable.getField_ResearcherName().getFullFieldName(dbOwner) + " AS vcharResearcherName, " +"\n" + 
//                   projectResearchersTable.getField_Username().getFullFieldName(dbOwner) + " AS vcharUserName, " +"\n" + 
//                   projectResearchersTable.getField_Password().getFullFieldName(dbOwner) + " AS vcharPassword, " +"\n" + 
//                   projectResearchersTable.getField_IsAdministrator().getFullFieldName(dbOwner) + " AS blnIsAdministrator " +"\n" + 
//           "FROM   " + researchersTable.getFullName(dbOwner) + " INNER JOIN " +"\n" + 
//                        projectResearchersTable.getFullName(dbOwner) + " ON " +"\n" + 
//                    jtmurphy.tblResearchers.intResearcherID = " + projectResearchersTable.getField_ResearcherFK().getFullFieldName(dbOwner) + " ");

    "";
  }
  
  
}
