
package abcm.db.components.views;

import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;
import abcm.db.components.ABCMdbView;

public abstract class ABCMSummaryParameterSetsAndDetailsView extends ABCMdbView {
  
  public ABCMSummaryParameterSetsAndDetailsView(String viewName, AbstractABCMDBGateway db){ 
    super(viewName, db);
  }

  public abstract ABCMdbField getField_Summary_PK();
  public abstract ABCMdbField getField_ParameterSet_PK();
  public abstract ABCMdbField getField_ParameterSet_Name();
  public abstract ABCMdbField getField_ParameterSet_DateCreated();
  public abstract ABCMdbField getField_ParameterSet_IsAutomatic();
  public abstract ABCMdbField getField_ParameterSet_Desc();
  public abstract ABCMdbField getField_Researcher_Name();

  public String getSQL(){
    return
//    setSQL(   "SELECT " +getSummaryParameterSetsView().getField_Summary_PK().getFullFieldName(dbOwner) + " AS intSummaryID, " +"\n" + 
//                   parameterSetsTable.getField_PK().getFullFieldName(dbOwner) + " AS intParameterSetID, " +"\n" + 
//                   parameterSetsTable.getField_Name().getFullFieldName(dbOwner) + " AS varcharParameterSetName, " +"\n" + 
//                   parameterSetsTable.getField_DateCreated().getFullFieldName(dbOwner) + " AS dteDateCreated, " +"\n" + 
//                   parameterSetsTable.getField_IsAutomatic().getFullFieldName(dbOwner) + " AS blnAutomatic, " +"\n" + 
//                   parameterSetsTable.getField_Description().getFullFieldName(dbOwner) + " AS memDescription, " +"\n" + 
//                   researchersTable.getField_ResearcherName().getFullFieldName(dbOwner) + " AS vcharResearcherName " +"\n" + 
//           "FROM   "  + getSummaryParameterSetsView().getName() + " INNER JOIN " +"\n" + 
//                        parameterSetsTable.getFullName(dbOwner) + " ON " +"\n" + 
//                        getSummaryParameterSetsView().getField_ParameterSet_PK().getFullFieldName(dbOwner) + " = " + parameterSetsTable.getField_PK().getFullFieldName(dbOwner) + " INNER JOIN " +"\n" + 
//                        researchersTable.getFullName(dbOwner) + " ON " +"\n" + 
//                        parameterSetsTable.getField_ResearcherFK().getFullFieldName(dbOwner) + " = jtmurphy.tblResearchers.intResearcherID ");

    "";
  }
  
}
