
package wm.db.defaults.views;

import wm.db.views.WMCanBeEdited_PlantsView;
import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;

public class WMDefaultCanBeEdited_PlantsView extends WMCanBeEdited_PlantsView {

  protected ABCMdbField PLANT_PK, PLANT_NAME, RESEARCHER_PK, COUNTOFCONFIGURATIONS, COUNTOFCOMMENTS;

  public WMDefaultCanBeEdited_PlantsView(AbstractABCMDBGateway db){
    super("CanBeEdited_Plants", db);
    PLANT_PK              = addField(new ABCMdbField("intPlantID"));
    PLANT_NAME            = addField(new ABCMdbField("vcharPlantName"));
    RESEARCHER_PK         = addField(new ABCMdbField("intResearcherID"));
    COUNTOFCONFIGURATIONS = addField(new ABCMdbField("NumberOfConfigs"));
    COUNTOFCOMMENTS       = addField(new ABCMdbField("NumberOfComments"));
  }

  public ABCMdbField getField_Plant_PK(){             return PLANT_PK;              }
  public ABCMdbField getField_Plant_Name(){           return PLANT_NAME;            }
  public ABCMdbField getField_Researcher_PK(){        return RESEARCHER_PK;         }
  public ABCMdbField getField_CountOfConfigurations(){return COUNTOFCONFIGURATIONS; }
  public ABCMdbField getField_CountOfComments(){      return COUNTOFCOMMENTS;       }

}
