
package wm.db.defaults.views;

import wm.db.views.WMPlantConfigsAndResearchersView;
import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;

public class WMDefaultPlantConfigsAndResearchersView extends WMPlantConfigsAndResearchersView {

  protected ABCMdbField PLANTCONFIGURATION_PK, PLANTCONFIGURATION_NAME, PLANTCONFIGURATION_DESCRIPTION, 
             PLANTCONFIGURATION_DATECREATED, PLANT_PK, RESEARCHER_NAME, PLANT_NAME, 
             CANBEEDITED, PLANTCONFIGURATION_TRUTHVALUE;

  public WMDefaultPlantConfigsAndResearchersView(AbstractABCMDBGateway db){
    super("PlantConfigsAndResearchers", db);
    PLANTCONFIGURATION_PK          = addField(new ABCMdbField("intPlantConfigurationID"));
    PLANTCONFIGURATION_NAME        = addField(new ABCMdbField("vcharPlantConfigName"));
    PLANTCONFIGURATION_DESCRIPTION = addField(new ABCMdbField("txtDescription"));
    PLANTCONFIGURATION_DATECREATED = addField(new ABCMdbField("dteDateCreated"));
    PLANT_PK                       = addField(new ABCMdbField("intPlantID"));
    RESEARCHER_NAME                = addField(new ABCMdbField("vcharResearcherName"));
    PLANT_NAME                     = addField(new ABCMdbField("vcharPlantName"));
    CANBEEDITED                    = addField(new ABCMdbField("CanBeEdited"));
    PLANTCONFIGURATION_TRUTHVALUE  = addField(new ABCMdbField("txtTruthValue"));
  }

  public ABCMdbField getField_PlantConfiguration_PK(){         return PLANTCONFIGURATION_PK;          }
  public ABCMdbField getField_PlantConfiguration_Name(){       return PLANTCONFIGURATION_NAME;        }
  public ABCMdbField getField_PlantConfiguration_Description(){return PLANTCONFIGURATION_DESCRIPTION; }
  public ABCMdbField getField_PlantConfiguration_DateCreated(){return PLANTCONFIGURATION_DATECREATED; }
  public ABCMdbField getField_Plant_PK(){                      return PLANT_PK;                       }
  public ABCMdbField getField_Researcher_Name(){               return RESEARCHER_NAME;                }
  public ABCMdbField getField_Plant_Name(){                    return PLANT_NAME;                     }
  public ABCMdbField getField_CanBeEdited(){                   return CANBEEDITED;                    }
  public ABCMdbField getField_PlantConfiguration_TruthValue(){ return PLANTCONFIGURATION_TRUTHVALUE;  }

}
