package wm.db.defaults.views;

import wm.db.views.WMPlantConfigurationInfoView1;
import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;

public class WMDefaultPlantConfigurationInfoView1 extends WMPlantConfigurationInfoView1{

  protected ABCMdbField VARIETY_NAME, NAME, CONFIG_PK;
  
  public WMDefaultPlantConfigurationInfoView1(AbstractABCMDBGateway db){
    super("PlantConfigurationInfoView1", db);
    VARIETY_NAME          = addField(new ABCMdbField("vcharVariety"));
    NAME                  = addField(new ABCMdbField("vcharName"));
    CONFIG_PK             = addField(new ABCMdbField("intSimulationConfigurationID"));
  }

  public ABCMdbField getField_VarietyName(){          return VARIETY_NAME;    }
  public ABCMdbField getField_Name(){                 return NAME;            }
  public ABCMdbField getField_ConfigurationPK(){      return CONFIG_PK;       }
	
}
