
package wm.db.defaults.views;

import wm.db.views.WMPlantConfigurationsInSimulationConfigurationsView;
import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;

public class WMDefaultPlantConfigurationsInSimulationConfigurationsView extends WMPlantConfigurationsInSimulationConfigurationsView {

  protected ABCMdbField PLANTCONFIGURATION_PK, COUNTOFSIMULATIONCONFIGURATIONS;

  public WMDefaultPlantConfigurationsInSimulationConfigurationsView(AbstractABCMDBGateway db){
    super("PlantConfigurationsInSimulationConfigurations", db);
    PLANTCONFIGURATION_PK           = addField(new ABCMdbField("intPlantConfigurationID"));
    COUNTOFSIMULATIONCONFIGURATIONS = addField(new ABCMdbField("SimConfigs"));
  }

  public ABCMdbField getField_PlantConfiguration_PK(){          return PLANTCONFIGURATION_PK;           }
  public ABCMdbField getField_CountOfSimulationConfigurations(){return COUNTOFSIMULATIONCONFIGURATIONS; }

}
