
package wm.db.defaults.views;

import wm.db.views.WMPlantsAndCommentsView;
import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;

public class WMDefaultPlantsAndCommentsView extends WMPlantsAndCommentsView {

  protected ABCMdbField COMMENT_PK, PLANT_NAME, PLANT_PK;

  public WMDefaultPlantsAndCommentsView(AbstractABCMDBGateway db){
    super("PlantsAndComments", db);
    COMMENT_PK = addField(new ABCMdbField("intCommentID"));
    PLANT_NAME = addField(new ABCMdbField("vcharPlantName"));
    PLANT_PK   = addField(new ABCMdbField("intPlantID"));
  }

  public ABCMdbField getField_Comment_PK(){return COMMENT_PK; }
  public ABCMdbField getField_Plant_Name(){return PLANT_NAME; }
  public ABCMdbField getField_Plant_PK(){  return PLANT_PK;   }

}
