
package wm.db.defaults.views;

import wm.db.views.WMPlantsInCommentsView;
import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;

public class WMDefaultPlantsInCommentsView extends WMPlantsInCommentsView {

  protected ABCMdbField PLANT_PK, COUNTOFCOMMENTS;

  public WMDefaultPlantsInCommentsView(AbstractABCMDBGateway db){
    super("PlantsInComments", db);
    
    PLANT_PK        = addField(new ABCMdbField("intPlantID"));
    COUNTOFCOMMENTS = addField(new ABCMdbField("NumberOfComments"));
  }

  public ABCMdbField getField_Plant_PK(){       return PLANT_PK;        }
  public ABCMdbField getField_CountOfComments(){return COUNTOFCOMMENTS; }

}
