
package wm.db.defaults.views;

import wm.db.views.WMSimulationConfigsWithPlantConfigTruthValueView;
import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;

public class WMDefaultSimulationConfigsWithPlantConfigTruthValueView extends WMSimulationConfigsWithPlantConfigTruthValueView {

  protected ABCMdbField SIMULATIONCONFIGURATION_PK, TRUTHVALUE;

  public WMDefaultSimulationConfigsWithPlantConfigTruthValueView(AbstractABCMDBGateway db){
    super("SimulationConfigsWithPlantConfigTruthValue", db);
    SIMULATIONCONFIGURATION_PK = addField(new ABCMdbField("intSimulationConfigurationID"));
    TRUTHVALUE                 = addField(new ABCMdbField("TruthValue"));
  }

  public ABCMdbField getField_SimulationConfiguration_PK(){return SIMULATIONCONFIGURATION_PK; }
  public ABCMdbField getField_TruthValue(){                return TRUTHVALUE;                 }

}
