
package wm.db.defaults.views;

import wm.db.views.WMSimulationConfigurationPlantConfigurationsView;
import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;

public class WMDefaultSimulationConfigurationPlantConfigurationsView extends WMSimulationConfigurationPlantConfigurationsView {

  protected ABCMdbField SIMULATIONCONFIGURATIONPLANTCONFIGURATION_PK, SIMULATIONCONFIGURATION_PK, PLANTCONFIGURATION_PK, PLANTCONFIGURATION_NAME, PLANTCONFIGURATION_DESCRIPTION, PLANTCONFIGURATION_DATECREATED, RESEARCHER_PK, PLANT_NAME, RESEARCHER_NAME, CANBEEDITED, TRUTHVALUE;

  public WMDefaultSimulationConfigurationPlantConfigurationsView(AbstractABCMDBGateway db){
    super("SimulationConfigurationPlantConfigurations", db);
    SIMULATIONCONFIGURATIONPLANTCONFIGURATION_PK = addField(new ABCMdbField("intSimConfigPlantConfigID"));
    SIMULATIONCONFIGURATION_PK                   = addField(new ABCMdbField("intSimulationConfigurationID"));
    PLANTCONFIGURATION_PK                        = addField(new ABCMdbField("intPlantConfigurationID"));
    PLANTCONFIGURATION_NAME                      = addField(new ABCMdbField("vcharPlantConfigName"));
    PLANTCONFIGURATION_DESCRIPTION               = addField(new ABCMdbField("txtDescription"));
    PLANTCONFIGURATION_DATECREATED               = addField(new ABCMdbField("dteDateCreated"));
    RESEARCHER_PK                                = addField(new ABCMdbField("intResearcherID"));
    PLANT_NAME                                   = addField(new ABCMdbField("vcharPlantName"));
    RESEARCHER_NAME                              = addField(new ABCMdbField("vcharResearcherName"));
    CANBEEDITED                                  = addField(new ABCMdbField("CanBeEdited"));
    TRUTHVALUE                                   = addField(new ABCMdbField("txtTruthValue"));
  }

  public ABCMdbField getField_SimulationConfigurationPlantConfiguration_PK(){return SIMULATIONCONFIGURATIONPLANTCONFIGURATION_PK; }
  public ABCMdbField getField_SimulationConfiguration_PK(){                  return SIMULATIONCONFIGURATION_PK;                   }
  public ABCMdbField getField_PlantConfiguration_PK(){                       return PLANTCONFIGURATION_PK;                        }
  public ABCMdbField getField_PlantConfiguration_Name(){                     return PLANTCONFIGURATION_NAME;                      }
  public ABCMdbField getField_PlantConfiguration_Description(){              return PLANTCONFIGURATION_DESCRIPTION;               }
  public ABCMdbField getField_PlantConfiguration_DateCreated(){              return PLANTCONFIGURATION_DATECREATED;               }
  public ABCMdbField getField_Researcher_PK(){                               return RESEARCHER_PK;                                }
  public ABCMdbField getField_Plant_Name(){                                  return PLANT_NAME;                                   }
  public ABCMdbField getField_Researcher_Name(){                             return RESEARCHER_NAME;                              }
  public ABCMdbField getField_CanBeEdited(){                                 return CANBEEDITED;                                  }
  public ABCMdbField getField_TruthValue(){                                  return TRUTHVALUE;                                   }

}
