
package wm.db.defaults.views;

import wm.db.views.WMSummaryPlantConfigurationsAndDetailsView;
import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;

public class WMDefaultSummaryPlantConfigurationsAndDetailsView extends WMSummaryPlantConfigurationsAndDetailsView {

  protected ABCMdbField SUMMARY_PK, PLANTCONFIGURATION_PK, PLANTCONFIGURATION_NAME, PLANTCONFIGURATION_DESCRIPTION, PLANTCONFIGURATION_DATECREATED, RESEARCHER_NAME, PLANT_NAME;

  public WMDefaultSummaryPlantConfigurationsAndDetailsView(AbstractABCMDBGateway db){
    super("SummaryPlantConfigurationsAndDetails", db);
    SUMMARY_PK                     = addField(new ABCMdbField("intSummaryID"));
    PLANTCONFIGURATION_PK          = addField(new ABCMdbField("intPlantConfigurationID"));
    PLANTCONFIGURATION_NAME        = addField(new ABCMdbField("vcharPlantConfigName"));
    PLANTCONFIGURATION_DESCRIPTION = addField(new ABCMdbField("txtDescription"));
    PLANTCONFIGURATION_DATECREATED = addField(new ABCMdbField("dteDateCreated"));
    RESEARCHER_NAME                = addField(new ABCMdbField("vcharResearcherName"));
    PLANT_NAME                     = addField(new ABCMdbField("vcharPlantName"));
  }

  public ABCMdbField getField_Summary_PK(){                    return SUMMARY_PK;                     }
  public ABCMdbField getField_PlantConfiguration_PK(){         return PLANTCONFIGURATION_PK;          }
  public ABCMdbField getField_PlantConfiguration_Name(){       return PLANTCONFIGURATION_NAME;        }
  public ABCMdbField getField_PlantConfiguration_Description(){return PLANTCONFIGURATION_DESCRIPTION; }
  public ABCMdbField getField_PlantConfiguration_DateCreated(){return PLANTCONFIGURATION_DATECREATED; }
  public ABCMdbField getField_Researcher_Name(){               return RESEARCHER_NAME;                }
  public ABCMdbField getField_Plant_Name(){                    return PLANT_NAME;                     }

}
