
package wm.db.defaults.views;

import wm.db.views.WMSummaryPlantConfigurationsView;
import abcm.db.AbstractABCMDBGateway;
import abcm.db.components.ABCMdbField;

public class WMDefaultSummaryPlantConfigurationsView extends WMSummaryPlantConfigurationsView {

  protected ABCMdbField SUMMARY_PK, PLANTCONFIGURATION_PK;

  public WMDefaultSummaryPlantConfigurationsView(AbstractABCMDBGateway db){
    super("SummaryPlantConfigurations", db);
    SUMMARY_PK            = addField(new ABCMdbField("intSummaryID"));
    PLANTCONFIGURATION_PK = addField(new ABCMdbField("intPlantConfigurationID"));
  }

  public ABCMdbField getField_Summary_PK(){           return SUMMARY_PK;            }
  public ABCMdbField getField_PlantConfiguration_PK(){return PLANTCONFIGURATION_PK; }

}
