 
package wm.db.tables;  
 
import abcm.db.components.ABCMdbDatum;
import abcm.db.components.ABCMdbField;
import abcm.db.components.ABCMdbTable;
 
public abstract class WMChemicalsTable extends ABCMdbTable{
 
  public WMChemicalsTable(String tableName){ super(tableName); }

  public abstract ABCMdbField getField_PK();
  public abstract ABCMdbField getField_Name();
  public abstract ABCMdbField getField_Comments();
  public abstract ABCMdbField getField_ResearcherFK();

  public ABCMdbDatum getDatum(String name, String comment, String researcherFK){
    ABCMdbDatum datum = new ABCMdbDatum(this);
    datum.addValue(getField_Name(), name);
    datum.addValue(getField_Comments(), comment);
    datum.addValue(getField_ResearcherFK(), researcherFK);
    return datum;
  }
  
}
 
