package wm.model;

import java.util.Vector;

import abcm.sim.AbstractModelComponent;
import flowag.bio.Harvest;

/**
 * 
 *  @author John T. Murphy<br/>
 *  Global Institute of Sustainability,<br/>
 *  Arizona State University<br/>
 *  For license and disclaimers, see the Overview.
 */
public class Storage extends AbstractModelComponent{

  /** Collection of harvests stored  */
  private Vector harvests;
  
  /**
   * Constructor
   */
  public Storage(){
    harvests = new Vector();
  }
  
  /**
   * Call the step method for all harvests stored
   */
  public void step(){
    for(int i = 0; i < harvests.size(); i++){
      Harvest H = (Harvest)harvests.get(i); 
      H.step();
    }
  }
  
}
